package com.netapp.acquisition.aquisitionserverside.interfaces.remote;

import com.netapp.acquisition.aquisitionserverside.interfaces.data.DiskModelWrapper;

import javax.ejb.Remote;

/**
 *
 */
@SuppressWarnings("UnusedDeclaration")
@Remote
public interface DiskModelRemote { 
    String JNDI_NAME = "DiskModelRemote";

    public void updateDiskModel();

    /**
     * Gets the current cache of the combined default disk models or the latest from gate.onaro.com and custom disk models.
     *
     * @return The current disk model. May be empty, but never returns null.
     */
    public DiskModelWrapper getDiskModel();
    /**
     * Gets the current cache of the combined default disk models or the latest from gate.onaro.com and custom disk models.
     *
     * @return The current disk model. May be empty. Will be null if the disk model has not been updated since the timestamp
     * @param timestamp
     */
    public DiskModelWrapper getDiskModelIfNewer(final long timestamp);

}
