-- This is used for linking back disk table in first cluster when second cluster is added
--


-- mcc disk runner: connect homeNodeId for non-local homeNode from remote cluster's node
--
-- tagname: Node
-- temporary table name: node_temp

UPDATE
    netapp_model.disk d, netapp_model.node n, netapp_model.node_temp t, netapp_model.cluster c1, netapp_model.cluster c2
SET
  d.homeNodeId = n.objid
WHERE
  d.homeNodeId IS NULL
  AND d.homeNodeName IS NOT NULL
  AND n.objid = t.objid
  AND c1.objid = n.clusterId
  AND c1.mtDrPartnerClusterUUID IS NOT NULL
  AND c2.uuid = c1.mtDrPartnerClusterUUID
  AND d.clusterId = c2.objid
  AND d.homeNodeName = n.name;


-- mcc disk runner: connect ownerNodeId for non-local ownerNode from remote cluster's node
--
-- tagname: Node
-- temporary table name: node_temp

UPDATE
    netapp_model.disk d, netapp_model.node n, netapp_model.node_temp t, netapp_model.cluster c1, netapp_model.cluster c2
SET
  d.ownerNodeId = n.objid
WHERE
  d.ownerNodeId IS NULL
  AND d.ownerNodeName IS NOT NULL
  AND n.objid = t.objid
  AND c1.objid = n.clusterId
  AND c1.mtDrPartnerClusterUUID IS NOT NULL
  AND c2.uuid = c1.mtDrPartnerClusterUUID
  AND d.clusterId = c2.objid
  AND d.ownerNodeName = n.name;

-- mcc disk runner: connect activeNodeId for non-local activeNode from remote cluster's node
--
-- tagname: Node
-- temporary table name: node_temp

UPDATE
    netapp_model.disk d, netapp_model.node n, netapp_model.node_temp t, netapp_model.cluster c1, netapp_model.cluster c2
SET
  d.activeNodeId = n.objid
WHERE
  d.activeNodeId IS NULL
  AND d.activeNodeName IS NOT NULL
  AND n.objid = t.objid
  AND c1.objid = n.clusterId
  AND c1.mtDrPartnerClusterUUID IS NOT NULL
  AND c2.uuid = c1.mtDrPartnerClusterUUID
  AND d.clusterId = c2.objid
  AND d.activeNodeName = n.name;