-- Copyright (c) 2013 NetApp. All rights reserved

-- Connect a new vServer snap mirror with the source vServer, if the source vServer is already present in the system
-- from another originator
--
-- tagname: SnapMirror
-- temporary table name: snapmirror_temp

UPDATE netapp_model.snap_mirror sm,
  netapp_model.snapmirror_temp t,
  netapp_model.vserver sv,
  netapp_model.cluster sc
SET
  sm.sourceVserverId = sv.objid,
  sm.sourceClusterId = sv.clusterId
WHERE
  sm.objid = t.objid
  AND sm.relationshipGroupType = 'VSERVER'
  AND sm.sourceVolume IS NULL
  AND sm.sourceVserverId IS NULL
  AND sm.sourceVserver = sv.name
  AND sv.clusterId = sc.objid
  AND sm.sourceCluster = sc.name
  AND sv.objState = 'LIVE';
