/*
 * Copyright (c) 2013 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.ext_cache_obj.interfaces.data;

import java.io.Serializable;

@SuppressWarnings("UnusedDeclaration")
public class ExtCacheObjMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *  Estimated number of disk reads per second replaced by cache
     */
    private float diskReadsReplaced;

    /**
     *  External cache hit rate
     */
    private float hitPercent;

    public ExtCacheObjMeasurements() {
    }

    public ExtCacheObjMeasurements(float diskReadsReplaced, float hitPercent) {
        this.hitPercent = hitPercent;
        this.diskReadsReplaced = diskReadsReplaced;
    }

    public float getDiskReadsReplaced() {
        return diskReadsReplaced;
    }

    public void setDiskReadsReplaced(final float diskReadsReplaced) {
        this.diskReadsReplaced = diskReadsReplaced;
    }

    public float getHitPercent() {
        return hitPercent;
    }

    public void setHitPercent(final float hitPercent) {
        this.hitPercent = hitPercent;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (!(o instanceof ExtCacheObjMeasurements)) {
            return false;
        }

        ExtCacheObjMeasurements that = (ExtCacheObjMeasurements) o;

        return Float.compare(that.diskReadsReplaced, diskReadsReplaced) == 0
                       && Float.compare(that.hitPercent, hitPercent) == 0;
    }

    @Override
    public int hashCode() {
        int result = (diskReadsReplaced != +0.0f ? Float.floatToIntBits(diskReadsReplaced) : 0);
        result = 31 * result + (hitPercent != +0.0f ? Float.floatToIntBits(hitPercent) : 0);
        return result;

    }

    @Override
    public String toString() {
        return "ExtCacheObjMeasurements{" +
               "diskReadsReplaced=" + diskReadsReplaced +
               ", hitPercent=" + hitPercent +
               '}';
    }
}