package com.netapp.oci.netapp.performance.nic.interfaces.data;

import java.io.Serializable;

public class NicMeasurements implements Serializable {
  
    private static final long serialVersionUID = 1L;
    
    float rxBytesRate;
    float rxErrorsRate;
    float txBytesRate;
    float txErrorsRate;
    float opmNicTotalBytePersec;
    float opmNicUtilization;
    float opmNicTotalErrorRate;
    
    public NicMeasurements() {
    }

    public NicMeasurements(float rxBytesRate, float rxErrorsRate, float txBytesRate, float txErrorsRate) 
    {
        this.rxBytesRate = rxBytesRate;
        this.rxErrorsRate = rxErrorsRate;
        this.txBytesRate = txBytesRate;
        this.txErrorsRate = txErrorsRate;
    }
    
    
    public NicMeasurements(float rxBytesRate, float rxErrorsRate,
			float txBytesRate, float txErrorsRate,
			float opmNicTotalBytePersec, float opmNicUtilization,
			float opmNicTotalErrorRate) {
		this.rxBytesRate = rxBytesRate;
		this.rxErrorsRate = rxErrorsRate;
		this.txBytesRate = txBytesRate;
		this.txErrorsRate = txErrorsRate;
		this.opmNicTotalBytePersec = opmNicTotalBytePersec;
		this.opmNicUtilization = opmNicUtilization;
		this.opmNicTotalErrorRate = opmNicTotalErrorRate;
	}

	public float getRxBytesRate() {
        return rxBytesRate;
    }
    
    public NicMeasurements setRxBytesRate(float rxBytesRate) {
        this.rxBytesRate = rxBytesRate;
        return this;
    }
    
    public float getRxErrorsRate() {
        return rxErrorsRate;
    }
    
    public NicMeasurements setRxErrorsRate(float rxErrorsRate) {
        this.rxErrorsRate = rxErrorsRate;
        return this;
    }
    
    public float getTxBytesRate() {
        return txBytesRate;
    }
    
    public NicMeasurements setTxBytesRate(float txBytesRate) {
        this.txBytesRate = txBytesRate;
        return this;
    }
    
    public float getTxErrorsRate() {
        return txErrorsRate;
    }
    
    public NicMeasurements setTxErrorsRate(float txErrorsRate) {
        this.txErrorsRate = txErrorsRate;
        return this;
    }
    
    public float getOpmNicTotalBytePerSec() {
		return opmNicTotalBytePersec;
	}

	public NicMeasurements setOpmNicTotalBytePerSec(float opmNicTotalBytePersec) {
		this.opmNicTotalBytePersec = opmNicTotalBytePersec;
		return this;
	}

	public float getOpmNicUtilization() {
		return opmNicUtilization;
	}

	public NicMeasurements setOpmNicUtilization(float opmNicUtilization) {
		this.opmNicUtilization = opmNicUtilization;
		return this;
	}

	public float getOpmNicTotalErrorRate() {
		return opmNicTotalErrorRate;
	}

	public NicMeasurements setOpmNicTotalErrorRate(float opmNicTotalErrorRate) {
		this.opmNicTotalErrorRate = opmNicTotalErrorRate;
		return this;
	}

	@Override
	public String toString() {
		return "NicMeasurements [rxBytesRate=" + rxBytesRate
				+ ", rxErrorsRate=" + rxErrorsRate + ", txBytesRate="
				+ txBytesRate + ", txErrorsRate=" + txErrorsRate
				+ ", opmNicTotalBytePersec=" + opmNicTotalBytePersec
				+ ", opmNicUtilization=" + opmNicUtilization
				+ ", opmNicTotalErrorRate=" + opmNicTotalErrorRate
				+ "]";
	}

    @Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + Float.floatToIntBits(rxBytesRate);
		result = prime * result + Float.floatToIntBits(rxErrorsRate);
		result = prime * result + Float.floatToIntBits(txBytesRate);
		result = prime * result + Float.floatToIntBits(txErrorsRate);
		result = prime * result + Float.floatToIntBits(opmNicTotalBytePersec);
		result = prime * result	+ Float.floatToIntBits(opmNicTotalErrorRate);
		result = prime * result + Float.floatToIntBits(opmNicUtilization);
		return result;
	}

    @Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NicMeasurements other = (NicMeasurements) obj;
		if (Float.floatToIntBits(rxBytesRate) != Float
				.floatToIntBits(other.rxBytesRate))
			return false;
		if (Float.floatToIntBits(rxErrorsRate) != Float
				.floatToIntBits(other.rxErrorsRate))
			return false;
		if (Float.floatToIntBits(txBytesRate) != Float
				.floatToIntBits(other.txBytesRate))
			return false;
		if (Float.floatToIntBits(txErrorsRate) != Float
				.floatToIntBits(other.txErrorsRate))
			return false;
		if (Float.floatToIntBits(opmNicTotalBytePersec) != Float
				.floatToIntBits(other.opmNicTotalBytePersec))
			return false;
		if (Float.floatToIntBits(opmNicTotalErrorRate) != Float
				.floatToIntBits(other.opmNicTotalErrorRate))
			return false;
		if (Float.floatToIntBits(opmNicUtilization) != Float
				.floatToIntBits(other.opmNicUtilization))
			return false;
		return true;
	}
}
