package com.netapp.oci.netapp.performance.nic.interfaces.data;

import java.io.Serializable;
import java.math.BigInteger;

public class NicRawMeasurements implements Serializable {
    private static final long serialVersionUID = 1L;
    
    BigInteger rxBytesRate;
    BigInteger rxErrorsRate;
    BigInteger txBytesRate;
    BigInteger txErrorsRate;
    BigInteger opmNicTotalBytePersec;
    BigInteger opmNicTotalErrorRate;
    
    public BigInteger getRxBytesRate() {
        return rxBytesRate;
    }
    
    public NicRawMeasurements setRxBytesRate(BigInteger rxBytesRate) {
        this.rxBytesRate = rxBytesRate;
        return this;
    }
    
    public BigInteger getRxErrorsRate() {
        return rxErrorsRate;
    }
    
    public NicRawMeasurements setRxErrorsRate(BigInteger rxErrorsRate) {
        this.rxErrorsRate = rxErrorsRate;
        return this;
    }
    
    public BigInteger getTxBytesRate() {
        return txBytesRate;
    }
    
    public NicRawMeasurements setTxBytesRate(BigInteger txBytesRate) {
        this.txBytesRate = txBytesRate;
        return this;
    }
    
    public BigInteger getTxErrorsRate() {
        return txErrorsRate;
    }
    
    public NicRawMeasurements setTxErrorsRate(BigInteger txErrorsRate) {
        this.txErrorsRate = txErrorsRate;
        return this;
    }

	public BigInteger getOpmNicTotalBytePersec() {
		return opmNicTotalBytePersec;
	}

	public NicRawMeasurements setOpmNicTotalBytePersec(BigInteger opmNicTotalBytePersec) {
		this.opmNicTotalBytePersec = opmNicTotalBytePersec;
		return this;
	}

	public BigInteger getOpmNicTotalErrorRate() {
		return opmNicTotalErrorRate;
	}

	public NicRawMeasurements setOpmNicTotalErrorRate(BigInteger opmNicTotalErrorRate) {
		this.opmNicTotalErrorRate = opmNicTotalErrorRate;
		return this;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime
				* result
				+ ((opmNicTotalBytePersec == null) ? 0 : opmNicTotalBytePersec
						.hashCode());
		result = prime
				* result
				+ ((opmNicTotalErrorRate == null) ? 0 : opmNicTotalErrorRate
						.hashCode());
		result = prime * result
				+ ((rxBytesRate == null) ? 0 : rxBytesRate.hashCode());
		result = prime * result
				+ ((rxErrorsRate == null) ? 0 : rxErrorsRate.hashCode());
		result = prime * result
				+ ((txBytesRate == null) ? 0 : txBytesRate.hashCode());
		result = prime * result
				+ ((txErrorsRate == null) ? 0 : txErrorsRate.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		NicRawMeasurements other = (NicRawMeasurements) obj;
		if (opmNicTotalBytePersec == null) {
			if (other.opmNicTotalBytePersec != null)
				return false;
		} else if (!opmNicTotalBytePersec.equals(other.opmNicTotalBytePersec))
			return false;
		if (opmNicTotalErrorRate == null) {
			if (other.opmNicTotalErrorRate != null)
				return false;
		} else if (!opmNicTotalErrorRate.equals(other.opmNicTotalErrorRate))
			return false;
		if (rxBytesRate == null) {
			if (other.rxBytesRate != null)
				return false;
		} else if (!rxBytesRate.equals(other.rxBytesRate))
			return false;
		if (rxErrorsRate == null) {
			if (other.rxErrorsRate != null)
				return false;
		} else if (!rxErrorsRate.equals(other.rxErrorsRate))
			return false;
		if (txBytesRate == null) {
			if (other.txBytesRate != null)
				return false;
		} else if (!txBytesRate.equals(other.txBytesRate))
			return false;
		if (txErrorsRate == null) {
			if (other.txErrorsRate != null)
				return false;
		} else if (!txErrorsRate.equals(other.txErrorsRate))
			return false;
		return true;
	}
    
	
    
}
