/*
 * Copyright (c) 2012 NetApp
 * All rights reserved
 */

package com.netapp.oci.netapp.performance.shared;

import com.netapp.oci.netapp.performance.aggregate.AggregateMetaData;
import com.netapp.oci.netapp.performance.aggregate.interfaces.data.AggregateMeasurements;
import com.netapp.oci.netapp.performance.aggregate.interfaces.data.AggregateRawMeasurements;
import com.netapp.oci.netapp.performance.aggregate.interfaces.impl.AggregatePerformanceBean;
import com.netapp.oci.netapp.performance.cifsvserver.CifsVserverMetaData;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.data.CifsVserverMeasurements;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.data.CifsVserverRawMeasurements;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.impl.CifsVserverPerformanceBean;
import com.netapp.oci.netapp.performance.cluster.ClusterMetaData;
import com.netapp.oci.netapp.performance.cluster.interfaces.data.ClusterMeasurements;
import com.netapp.oci.netapp.performance.cluster.interfaces.impl.ClusterPerformanceBean;
import com.netapp.oci.netapp.performance.disk.DiskMetaData;
import com.netapp.oci.netapp.performance.disk.interfaces.data.DiskMeasurements;
import com.netapp.oci.netapp.performance.disk.interfaces.data.DiskRawMeasurements;
import com.netapp.oci.netapp.performance.disk.interfaces.impl.DiskPerformanceBean;
import com.netapp.oci.netapp.performance.fcplif.FcpLifMetaData;
import com.netapp.oci.netapp.performance.fcplif.FcpLifVserverMetaData;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifRawMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifVserverMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.impl.FcpLifPerformanceBean;
import com.netapp.oci.netapp.performance.fcplif.interfaces.impl.FcpLifVserverPerformanceBean;
import com.netapp.oci.netapp.performance.fcpport.FcpPortMetaData;
import com.netapp.oci.netapp.performance.fcpport.interfaces.data.FcpPortMeasurements;
import com.netapp.oci.netapp.performance.fcpport.interfaces.data.FcpPortRawMeasurements;
import com.netapp.oci.netapp.performance.fcpport.interfaces.impl.FcpPortPerformanceBean;
import com.netapp.oci.netapp.performance.hostadapter.HostadapterMetaData;
import com.netapp.oci.netapp.performance.hostadapter.interfaces.data.HostadapterMeasurements;
import com.netapp.oci.netapp.performance.hostadapter.interfaces.impl.HostadapterPerformanceBean;
import com.netapp.oci.netapp.performance.iscsilif.IscsiLifMetaData;
import com.netapp.oci.netapp.performance.iscsilif.IscsiLifVserverMetaData;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifRawMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.impl.IscsiLifPerformanceBean;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.impl.IscsiLifVserverPerformanceBean;
import com.netapp.oci.netapp.performance.lun.LunMetaData;
import com.netapp.oci.netapp.performance.lun.interfaces.data.LunMeasurements;
import com.netapp.oci.netapp.performance.lun.interfaces.data.LunRawMeasurements;
import com.netapp.oci.netapp.performance.lun.interfaces.impl.LunPerformanceBean;
import com.netapp.oci.netapp.performance.networklif.NetworkLifMetaData;
import com.netapp.oci.netapp.performance.networklif.NetworkLifVserverMetaData;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifRawMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifVserverMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.impl.NetworkLifPerformanceBean;
import com.netapp.oci.netapp.performance.networklif.interfaces.impl.NetworkLifVserverPerformanceBean;
import com.netapp.oci.netapp.performance.networkport.NetworkPortMetaData;
import com.netapp.oci.netapp.performance.networkport.interfaces.data.NetworkPortMeasurements;
import com.netapp.oci.netapp.performance.networkport.interfaces.impl.NetworkPortPerformanceBean;
import com.netapp.oci.netapp.performance.nfs.NfsMetaData;
import com.netapp.oci.netapp.performance.nfs.Nfsv3MetaData;
import com.netapp.oci.netapp.performance.nfs.Nfsv41MetaData;
import com.netapp.oci.netapp.performance.nfs.Nfsv4MetaData;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.*;
import com.netapp.oci.netapp.performance.nfs.interfaces.impl.NfsPerformanceBean;
import com.netapp.oci.netapp.performance.nfs.interfaces.impl.Nfsv3PerformanceBean;
import com.netapp.oci.netapp.performance.nfs.interfaces.impl.Nfsv41PerformanceBean;
import com.netapp.oci.netapp.performance.nfs.interfaces.impl.Nfsv4PerformanceBean;
import com.netapp.oci.netapp.performance.nic.NicMetaData;
import com.netapp.oci.netapp.performance.nic.interfaces.data.NicMeasurements;
import com.netapp.oci.netapp.performance.nic.interfaces.data.NicRawMeasurements;
import com.netapp.oci.netapp.performance.nic.interfaces.impl.NicPerformanceBean;
import com.netapp.oci.netapp.performance.node.NodeMetaData;
import com.netapp.oci.netapp.performance.node.interfaces.data.NodeMeasurements;
import com.netapp.oci.netapp.performance.node.interfaces.data.NodeRawMeasurements;
import com.netapp.oci.netapp.performance.node.interfaces.impl.NodePerformanceBean;
import com.netapp.oci.netapp.performance.processor.ProcessorMetaData;
import com.netapp.oci.netapp.performance.processor.interfaces.data.ProcessorMeasurements;
import com.netapp.oci.netapp.performance.processor.interfaces.impl.ProcessorPerformanceBean;
import com.netapp.oci.netapp.performance.qosservicecenter.QosServiceCenterMetaData;
import com.netapp.oci.netapp.performance.qosservicecenter.interfaces.data.QosServiceCenterMeasurements;
import com.netapp.oci.netapp.performance.qosservicecenter.interfaces.impl.QosServiceCenterPerformanceBean;
import com.netapp.oci.netapp.performance.qosworkload.QosVolumeWorkloadMetaData;
import com.netapp.oci.netapp.performance.qosworkload.interfaces.data.QosVolumeWorkloadMeasurements;
import com.netapp.oci.netapp.performance.qosworkload.interfaces.impl.QosVolumeWorkloadPerformanceBean;
import com.netapp.oci.netapp.performance.qosworkloaddblade.QosWorkloadQueueDBladeMetaData;
import com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.data.QosWorkloadQueueDBladeMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.impl.QosWorkloadQueueDBladePerformanceBean;
import com.netapp.oci.netapp.performance.qosworkloaddetail.QosWorkloadDetailMetaData;
import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data.QosWorkloadDetailMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.impl.QosWorkloadDetailPerformanceBean;
import com.netapp.oci.netapp.performance.qosworkloadnblade.QosWorkloadQueueNBladeMetaData;
import com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.data.QosWorkloadQueueNBladeMeasurements;
import com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.impl.QosWorkloadQueueNBladePerformanceBean;
import com.netapp.oci.netapp.performance.volume.VolumeMetaData;
import com.netapp.oci.netapp.performance.volume.interfaces.data.VolumeMeasurements;
import com.netapp.oci.netapp.performance.volume.interfaces.data.VolumeRawMeasurements;
import com.netapp.oci.netapp.performance.volume.interfaces.impl.VolumePerformanceBean;
import com.netapp.oci.netapp.performance.vserver.VolumeVserverMetaData;
import com.netapp.oci.netapp.performance.vserver.VserverMetaData;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VolumeVserverMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VserverMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.impl.VolumeVserverPerformanceBean;
import com.netapp.oci.netapp.performance.vserver.interfaces.impl.VserverPerformanceBean;
import com.netapp.oci.netapp.performance.wafl.WaflMetaData;
import com.netapp.oci.netapp.performance.wafl.interfaces.data.WaflMeasurements;
import com.netapp.oci.netapp.performance.wafl.interfaces.impl.WaflPerformanceBean;

/**
 * @author Anton Sergeev
 */
public class ComponentsFactoryRepository {	

    public static AbstractPerformanceComponentsFactory<AggregateMeasurements, AggregateMeasurements> getAggregatePerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
        		AggregatePerformanceBean.PACKAGE_NAME, AggregateMetaData.SAMPLE_COLUMNS, AggregateMetaData.SUMMARY_COLUMNS, AggregateMetaData.getSampleParser(),
        		AggregateMetaData.getSummaryParser(), AggregateMetaData.SUMMARY_COMMON_METHODS, AggregateMetaData.SAMPLE_TO_SUMMARY_METHODS);    	
    }
	
    public static AbstractPerformanceComponentsFactory<AggregateRawMeasurements, Object> getAggregatePerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                AggregatePerformanceBean.PACKAGE_NAME_RAW, AggregateMetaData.RAW_COLUMNS, AggregateMetaData.getRawParser());
    }

    public static AbstractPerformanceComponentsFactory<CifsVserverRawMeasurements, Object> getCifsVserverPerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                CifsVserverPerformanceBean.PACKAGE_NAME_RAW, CifsVserverMetaData.RAW_COLUMNS, CifsVserverMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<CifsVserverMeasurements, CifsVserverMeasurements> getCifsVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                CifsVserverPerformanceBean.PACKAGE_NAME, CifsVserverMetaData.SAMPLE_COLUMNS, CifsVserverMetaData.SUMMARY_COLUMNS, CifsVserverMetaData.getSampleParser(),
                CifsVserverMetaData.getSummaryParser(), CifsVserverMetaData.SUMMARY_COMMON_METHODS, CifsVserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<NetworkLifVserverRawMeasurements, Object> getLifVserverPerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                NetworkLifVserverPerformanceBean.PACKAGE_NAME_RAW, NetworkLifVserverMetaData.RAW_COLUMNS, NetworkLifVserverMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<NetworkLifVserverMeasurements, NetworkLifVserverMeasurements> getLifVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NetworkLifVserverPerformanceBean.PACKAGE_NAME, NetworkLifVserverMetaData.SAMPLE_COLUMNS, NetworkLifVserverMetaData.SUMMARY_COLUMNS, NetworkLifVserverMetaData.getSampleParser(),
                NetworkLifVserverMetaData.getSummaryParser(), NetworkLifVserverMetaData.SUMMARY_COMMON_METHODS, NetworkLifVserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<Nfsv3RawMeasurements, Object> getNfsv3PerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                Nfsv3PerformanceBean.PACKAGE_NAME_RAW, Nfsv3MetaData.RAW_COLUMNS, Nfsv3MetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<Nfsv3Measurements, Nfsv3Measurements> getNfsv3PerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                Nfsv3PerformanceBean.PACKAGE_NAME, Nfsv3MetaData.SAMPLE_COLUMNS, Nfsv3MetaData.SUMMARY_COLUMNS, Nfsv3MetaData.getSampleParser(),
                Nfsv3MetaData.getSummaryParser(), Nfsv3MetaData.SUMMARY_COMMON_METHODS, Nfsv3MetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<Nfsv4RawMeasurements, Object> getNfsv4PerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<Nfsv4RawMeasurements, Object>(
                Nfsv4PerformanceBean.PACKAGE_NAME_RAW, Nfsv4MetaData.RAW_COLUMNS, Nfsv4MetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<Nfsv4Measurements, Nfsv4Measurements> getNfsv4PerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                Nfsv4PerformanceBean.PACKAGE_NAME, Nfsv4MetaData.SAMPLE_COLUMNS, Nfsv4MetaData.SUMMARY_COLUMNS, Nfsv4MetaData.getSampleParser(),
                Nfsv4MetaData.getSummaryParser(), Nfsv4MetaData.SUMMARY_COMMON_METHODS, Nfsv4MetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<Nfsv41RawMeasurements, Object> getNfsv41PerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                Nfsv41PerformanceBean.PACKAGE_NAME_RAW, Nfsv41MetaData.RAW_COLUMNS, Nfsv41MetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<Nfsv41Measurements, Nfsv41Measurements> getNfsv41PerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                Nfsv41PerformanceBean.PACKAGE_NAME, Nfsv41MetaData.SAMPLE_COLUMNS, Nfsv41MetaData.SUMMARY_COLUMNS, Nfsv41MetaData.getSampleParser(),
                Nfsv41MetaData.getSummaryParser(), Nfsv41MetaData.SUMMARY_COMMON_METHODS, Nfsv41MetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<NfsMeasurements, NfsMeasurements> getNfsPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NfsPerformanceBean.PACKAGE_NAME, NfsMetaData.SAMPLE_COLUMNS, NfsMetaData.SUMMARY_COLUMNS, NfsMetaData.getSampleParser(),
                NfsMetaData.getSummaryParser(), NfsMetaData.SUMMARY_COMMON_METHODS, NfsMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<VolumeMeasurements, VolumeMeasurements> getVolumePerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                VolumePerformanceBean.PACKAGE_NAME, VolumeMetaData.SAMPLE_COLUMNS, VolumeMetaData.SUMMARY_COLUMNS, VolumeMetaData.getSampleParser(),
                VolumeMetaData.getSummaryParser(), VolumeMetaData.SUMMARY_COMMON_METHODS, VolumeMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<VolumeRawMeasurements, Object> getVolumeRawPerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                VolumePerformanceBean.PACKAGE_NAME_RAW, VolumeMetaData.RAW_COLUMNS, VolumeMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<LunMeasurements, LunMeasurements> getLunPerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                LunPerformanceBean.PACKAGE_NAME, LunMetaData.SAMPLE_COLUMNS, LunMetaData.SUMMARY_COLUMNS, LunMetaData.getSampleParser(),
                LunMetaData.getSummaryParser(), LunMetaData.SUMMARY_COMMON_METHODS, LunMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<LunRawMeasurements, Object> getLunRawPerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                LunPerformanceBean.PACKAGE_NAME_RAW, LunMetaData.RAW_COLUMNS, LunMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<DiskMeasurements, DiskMeasurements> getDiskPerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<DiskMeasurements, DiskMeasurements>(
                DiskPerformanceBean.PACKAGE_NAME, DiskMetaData.SAMPLE_COLUMNS, DiskMetaData.SUMMARY_COLUMNS, DiskMetaData.getSampleParser(),
                DiskMetaData.getSummaryParser(), DiskMetaData.SUMMARY_COMMON_METHODS, DiskMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<DiskRawMeasurements, Object> getDiskPerformanceRawComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<DiskRawMeasurements, Object>(
                DiskPerformanceBean.PACKAGE_NAME_RAW, DiskMetaData.RAW_COLUMNS, DiskMetaData.getRawParser());
    }

    public static AbstractPerformanceComponentsFactory<NodeMeasurements, NodeMeasurements> getNodePerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NodePerformanceBean.PACKAGE_NAME, NodeMetaData.SAMPLE_COLUMNS, NodeMetaData.SUMMARY_COLUMNS, NodeMetaData.getSampleParser(),
                NodeMetaData.getSummaryParser(), NodeMetaData.SUMMARY_COMMON_METHODS, NodeMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<NodeRawMeasurements, Object> getNodeRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<NodeRawMeasurements, Object>(
                NodePerformanceBean.PACKAGE_NAME_RAW, NodeMetaData.RAW_COLUMNS, NodeMetaData.getRawParser());
    }

    //
    // FcpLif Performance Statistics - sample and summary statistics
    //
    public static AbstractPerformanceComponentsFactory<FcpLifMeasurements, FcpLifMeasurements> getFcpLifPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                FcpLifPerformanceBean.PACKAGE_NAME, FcpLifMetaData.SAMPLE_COLUMNS, FcpLifMetaData.SUMMARY_COLUMNS, FcpLifMetaData.getSampleParser(),
                FcpLifMetaData.getSummaryParser(), FcpLifMetaData.SUMMARY_COMMON_METHODS, FcpLifMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    //
    // FcpLif Performance Statistics - raw statistics
    //
    public static AbstractPerformanceComponentsFactory<FcpLifRawMeasurements, Object> getFcpLifPerformanceRawComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<FcpLifRawMeasurements, Object>(
                FcpLifPerformanceBean.PACKAGE_NAME_RAW, FcpLifMetaData.RAW_COLUMNS, FcpLifMetaData.getRawParser()); 
    }

    //
    // FcpLifVserver Performance Statistics - sample and summary statistics
    //
    public static AbstractPerformanceComponentsFactory<FcpLifVserverMeasurements, FcpLifVserverMeasurements> getFcpLifVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                FcpLifVserverPerformanceBean.PACKAGE_NAME, FcpLifVserverMetaData.SAMPLE_COLUMNS, FcpLifVserverMetaData.SUMMARY_COLUMNS, FcpLifVserverMetaData.getSampleParser(),
                FcpLifVserverMetaData.getSummaryParser(), FcpLifVserverMetaData.SUMMARY_COMMON_METHODS, FcpLifVserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    //
    // FcpLifVserver Performance Statistics - raw statistics
    //
    public static AbstractPerformanceComponentsFactory<FcpLifVserverRawMeasurements, Object> getFcpLifVserverPerformanceRawComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<FcpLifVserverRawMeasurements, Object>(
                FcpLifVserverPerformanceBean.PACKAGE_NAME_RAW, FcpLifVserverMetaData.RAW_COLUMNS, FcpLifVserverMetaData.getRawParser()); 
    }

    public static AbstractPerformanceComponentsFactory<IscsiLifMeasurements, IscsiLifMeasurements> getIscsiLifPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                IscsiLifPerformanceBean.PACKAGE_NAME, IscsiLifMetaData.SAMPLE_COLUMNS, IscsiLifMetaData.SUMMARY_COLUMNS, IscsiLifMetaData.getSampleParser(),
                IscsiLifMetaData.getSummaryParser(), IscsiLifMetaData.SUMMARY_COMMON_METHODS, IscsiLifMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<IscsiLifRawMeasurements, Object> getIscsiLifRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<IscsiLifRawMeasurements, Object>(
                IscsiLifPerformanceBean.PACKAGE_NAME_RAW, IscsiLifMetaData.RAW_COLUMNS, IscsiLifMetaData.getRawParser());
    }

    public static AbstractPerformanceComponentsFactory<IscsiLifVserverMeasurements, IscsiLifVserverMeasurements> getIscsiLifVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                IscsiLifVserverPerformanceBean.PACKAGE_NAME, IscsiLifVserverMetaData.SAMPLE_COLUMNS, IscsiLifVserverMetaData.SUMMARY_COLUMNS, IscsiLifVserverMetaData.getSampleParser(),
                IscsiLifVserverMetaData.getSummaryParser(), IscsiLifVserverMetaData.SUMMARY_COMMON_METHODS, IscsiLifVserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<IscsiLifVserverRawMeasurements, Object> getIscsiLifVserverRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<IscsiLifVserverRawMeasurements, Object>(
                IscsiLifVserverPerformanceBean.PACKAGE_NAME_RAW, IscsiLifVserverMetaData.RAW_COLUMNS, IscsiLifVserverMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<NetworkLifMeasurements, NetworkLifMeasurements> getNetworkLifPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NetworkLifPerformanceBean.PACKAGE_NAME, NetworkLifMetaData.SAMPLE_COLUMNS, NetworkLifMetaData.SUMMARY_COLUMNS, NetworkLifMetaData.getSampleParser(),
                NetworkLifMetaData.getSummaryParser(), NetworkLifMetaData.SUMMARY_COMMON_METHODS, NetworkLifMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<NetworkLifRawMeasurements, Object> getNetworkLifRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<NetworkLifRawMeasurements, Object>(
                NetworkLifPerformanceBean.PACKAGE_NAME_RAW, NetworkLifMetaData.RAW_COLUMNS, NetworkLifMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<NetworkPortMeasurements, NetworkPortMeasurements> getNetworkPortPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NetworkPortPerformanceBean.PACKAGE_NAME, NetworkPortMetaData.SAMPLE_COLUMNS, NetworkPortMetaData.SUMMARY_COLUMNS, NetworkPortMetaData.getSampleParser(),
                NetworkPortMetaData.getSummaryParser(), NetworkPortMetaData.SUMMARY_COMMON_METHODS, NetworkPortMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<NicRawMeasurements, Object> getNicRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<NicRawMeasurements, Object>(
                NicPerformanceBean.PACKAGE_NAME_RAW, NicMetaData.RAW_COLUMNS, NicMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<NicMeasurements, NicMeasurements> getNicPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                NicPerformanceBean.PACKAGE_NAME, NicMetaData.SAMPLE_COLUMNS, NicMetaData.SUMMARY_COLUMNS, NicMetaData.getSampleParser(),
                NicMetaData.getSummaryParser(), NicMetaData.SUMMARY_COMMON_METHODS, NicMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<FcpPortMeasurements, FcpPortMeasurements> getFcpPortPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                FcpPortPerformanceBean.PACKAGE_NAME, FcpPortMetaData.SAMPLE_COLUMNS, FcpPortMetaData.SUMMARY_COLUMNS, FcpPortMetaData.getSampleParser(),
                FcpPortMetaData.getSummaryParser(), FcpPortMetaData.SUMMARY_COMMON_METHODS, FcpPortMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<FcpPortRawMeasurements, Object> getFcpPortRawPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<FcpPortRawMeasurements, Object>(
                FcpPortPerformanceBean.PACKAGE_NAME_RAW, FcpPortMetaData.RAW_COLUMNS, FcpPortMetaData.getRawParser());
    }
    
    public static AbstractPerformanceComponentsFactory<VolumeVserverMeasurements, VolumeVserverMeasurements> getVolumeVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                VolumeVserverPerformanceBean.PACKAGE_NAME, VolumeVserverMetaData.SAMPLE_COLUMNS, VolumeVserverMetaData.SUMMARY_COLUMNS, VolumeVserverMetaData.getSampleParser(),
                VolumeVserverMetaData.getSummaryParser(), VolumeVserverMetaData.SUMMARY_COMMON_METHODS, VolumeVserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<VserverMeasurements, VserverMeasurements> getVserverPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                VserverPerformanceBean.PACKAGE_NAME, VserverMetaData.SAMPLE_COLUMNS, VserverMetaData.SUMMARY_COLUMNS, VserverMetaData.getSampleParser(),
                VserverMetaData.getSummaryParser(), VserverMetaData.SUMMARY_COMMON_METHODS, VserverMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<ProcessorMeasurements, ProcessorMeasurements> getProcessorPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                ProcessorPerformanceBean.PACKAGE_NAME, ProcessorMetaData.SAMPLE_COLUMNS, ProcessorMetaData.SUMMARY_COLUMNS, ProcessorMetaData.getSampleParser(),
                ProcessorMetaData.getSummaryParser(), ProcessorMetaData.SUMMARY_COMMON_METHODS, ProcessorMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<QosVolumeWorkloadMeasurements, QosVolumeWorkloadMeasurements> getQosVolumeWorkloadPerformanceComponentsFactory(){
        return new PartitionedPerformanceComponentsFactory<>(
                QosVolumeWorkloadPerformanceBean.PACKAGE_NAME, QosVolumeWorkloadMetaData.SAMPLE_COLUMNS, QosVolumeWorkloadMetaData.SUMMARY_COLUMNS, QosVolumeWorkloadMetaData.getSampleParser(),
                QosVolumeWorkloadMetaData.getSummaryParser(), QosVolumeWorkloadMetaData.SUMMARY_COMMON_METHODS, QosVolumeWorkloadMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<QosWorkloadQueueDBladeMeasurements, QosWorkloadQueueDBladeMeasurements> getQosWorkloadQueueDBladePerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                QosWorkloadQueueDBladePerformanceBean.PACKAGE_NAME, QosWorkloadQueueDBladeMetaData.SAMPLE_COLUMNS, QosWorkloadQueueDBladeMetaData.SUMMARY_COLUMNS, QosWorkloadQueueDBladeMetaData.getSampleParser(),
                QosWorkloadQueueDBladeMetaData.getSummaryParser(), QosWorkloadQueueDBladeMetaData.SUMMARY_COMMON_METHODS, QosWorkloadQueueDBladeMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<QosWorkloadQueueNBladeMeasurements, QosWorkloadQueueNBladeMeasurements> getQosWorkloadQueueNBladePerformanceComponentsFactory() {
        return new PartitionedPerformanceComponentsFactory<>(
                QosWorkloadQueueNBladePerformanceBean.PACKAGE_NAME, QosWorkloadQueueNBladeMetaData.SAMPLE_COLUMNS, QosWorkloadQueueNBladeMetaData.SUMMARY_COLUMNS, QosWorkloadQueueNBladeMetaData.getSampleParser(),
                QosWorkloadQueueNBladeMetaData.getSummaryParser(), QosWorkloadQueueNBladeMetaData.SUMMARY_COMMON_METHODS, QosWorkloadQueueNBladeMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<QosWorkloadDetailMeasurements, QosWorkloadDetailMeasurements> getQosWorkloadDetailPerformanceComponentsFactory(){
        return new PartitionedPerformanceComponentsFactory<>(
                QosWorkloadDetailPerformanceBean.PACKAGE_NAME, QosWorkloadDetailMetaData.SAMPLE_COLUMNS, QosWorkloadDetailMetaData.SUMMARY_COLUMNS, QosWorkloadDetailMetaData.getSampleParser(),
                QosWorkloadDetailMetaData.getSummaryParser(), QosWorkloadDetailMetaData.SUMMARY_COMMON_METHODS, QosWorkloadDetailMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }


    public static AbstractPerformanceComponentsFactory<QosServiceCenterMeasurements, QosServiceCenterMeasurements> getQosServiceCenterPerformanceComponentsFactory(){
        return new PartitionedPerformanceComponentsFactory<>(
                QosServiceCenterPerformanceBean.PACKAGE_NAME, QosServiceCenterMetaData.SAMPLE_COLUMNS, QosServiceCenterMetaData.SUMMARY_COLUMNS, QosServiceCenterMetaData.getSampleParser(),
                QosServiceCenterMetaData.getSummaryParser(), QosServiceCenterMetaData.SUMMARY_COMMON_METHODS, QosServiceCenterMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<WaflMeasurements, WaflMeasurements> getWaflPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                WaflPerformanceBean.PACKAGE_NAME, WaflMetaData.SAMPLE_COLUMNS, WaflMetaData.SUMMARY_COLUMNS, WaflMetaData.getSampleParser(),
                WaflMetaData.getSummaryParser(), WaflMetaData.SUMMARY_COMMON_METHODS, WaflMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }
    
    public static AbstractPerformanceComponentsFactory<ClusterMeasurements, ClusterMeasurements> getClusterPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                ClusterPerformanceBean.PACKAGE_NAME, ClusterMetaData.SAMPLE_COLUMNS, ClusterMetaData.SUMMARY_COLUMNS, ClusterMetaData.getSampleParser(),
                ClusterMetaData.getSummaryParser(), ClusterMetaData.SUMMARY_COMMON_METHODS, ClusterMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

    public static AbstractPerformanceComponentsFactory<HostadapterMeasurements, HostadapterMeasurements> getHostadapterPerformanceComponentsFactory() {
        return new NonPartitionedPerformanceComponentsFactory<>(
                HostadapterPerformanceBean.PACKAGE_NAME, HostadapterMetaData.SAMPLE_COLUMNS, HostadapterMetaData.SUMMARY_COLUMNS, HostadapterMetaData.getSampleParser(),
                HostadapterMetaData.getSummaryParser(), HostadapterMetaData.SUMMARY_COMMON_METHODS, HostadapterMetaData.SAMPLE_TO_SUMMARY_METHODS);
    }

}
