package com.netapp.oci.netapp.performance.shared.interfaces.local;

import com.netapp.oci.netapp.performance.aggregate.interfaces.data.AggregateMeasurements;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.data.CifsVserverMeasurements;
import com.netapp.oci.netapp.performance.cluster.interfaces.data.ClusterMeasurements;
import com.netapp.oci.netapp.performance.disk.interfaces.data.DiskMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifVserverMeasurements;
import com.netapp.oci.netapp.performance.fcpport.interfaces.data.FcpPortMeasurements;
import com.netapp.oci.netapp.performance.hostadapter.interfaces.data.HostadapterMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverMeasurements;
import com.netapp.oci.netapp.performance.lun.interfaces.data.LunMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifVserverMeasurements;
import com.netapp.oci.netapp.performance.networkport.interfaces.data.NetworkPortMeasurements;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.NfsMeasurements;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.Nfsv3Measurements;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.Nfsv41Measurements;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.Nfsv4Measurements;
import com.netapp.oci.netapp.performance.nic.interfaces.data.NicMeasurements;
import com.netapp.oci.netapp.performance.node.interfaces.data.NodeMeasurements;
import com.netapp.oci.netapp.performance.processor.interfaces.data.ProcessorMeasurements;
import com.netapp.oci.netapp.performance.qosservicecenter.interfaces.data.QosServiceCenterMeasurements;
import com.netapp.oci.netapp.performance.qosworkload.interfaces.data.QosVolumeWorkloadMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.data.QosWorkloadQueueDBladeMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data.QosWorkloadDetailMeasurements;
import com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.data.QosWorkloadQueueNBladeMeasurements;
import com.netapp.oci.netapp.performance.volume.interfaces.data.VolumeMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VolumeVserverMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VserverMeasurements;
import com.netapp.oci.netapp.performance.wafl.interfaces.data.WaflMeasurements;
import com.netapp.oci.platform.framework.performance.data.Sample;

import java.util.Collection;
import java.util.Map;

/**
 * Defines the interfaces that a sample Collectionener needs to implement.
 * 
 * @author Cheng Sun
 *
 */
public interface PerformanceSampleListener {
	
	void processAggr(Map<Long, Collection<Sample<AggregateMeasurements>>> samples);
	
	void processCifsVserver(Map<Long, Collection<Sample<CifsVserverMeasurements>>> samples);
	
	void processDisk(Map<Long, Collection<Sample<DiskMeasurements>>> samples);
	
	void processFcpLif(Map<Long, Collection<Sample<FcpLifMeasurements>>> samples);
	
	void processFcpLifVserver(Map<Long, Collection<Sample<FcpLifVserverMeasurements>>> samples);
	
	void processFcpPort(Map<Long, Collection<Sample<FcpPortMeasurements>>> samples);
	
	void processIscsiLif(Map<Long, Collection<Sample<IscsiLifMeasurements>>> samples);
	
	void processIscsiLifVserver(Map<Long, Collection<Sample<IscsiLifVserverMeasurements>>> samples);
	
	void processLun(Map<Long, Collection<Sample<LunMeasurements>>> samples);
	
	void processNetworkLif(Map<Long, Collection<Sample<NetworkLifMeasurements>>> samples);
	
	void processNetworkLifVserver(Map<Long, Collection<Sample<NetworkLifVserverMeasurements>>> samples);
	
	void processNetworkPort(Map<Long, Collection<Sample<NetworkPortMeasurements>>> samples);
	
	void processNfsv3(Map<Long, Collection<Sample<Nfsv3Measurements>>> samples);

	void processNfsv4(Map<Long, Collection<Sample<Nfsv4Measurements>>> samples);

	void processNfsv41(Map<Long, Collection<Sample<Nfsv41Measurements>>> samples);

    void processNfs(Map<Long, Collection<Sample<NfsMeasurements>>> samples);

	void processNode(Map<Long, Collection<Sample<NodeMeasurements>>> samples);
	
	void processNic(Map<Long, Collection<Sample<NicMeasurements>>> samples);
	
	void processProcessor(Map<Long, Collection<Sample<ProcessorMeasurements>>> samples);
	
	void processVolume(Map<Long, Collection<Sample<VolumeMeasurements>>> samples);

	void processVolumeVserver(Map<Long, Collection<Sample<VolumeVserverMeasurements>>> samples);

	void processVserver(Map<Long, Collection<Sample<VserverMeasurements>>> samples);

	void processQosVolumeWorkload(Map<Long, Collection<Sample<QosVolumeWorkloadMeasurements>>> samples);
	
	void processQosWorkloadDetail(Map<Long, Collection<Sample<QosWorkloadDetailMeasurements>>> samples);
		
	void processQosServiceCenter(Map<Long, Collection<Sample<QosServiceCenterMeasurements>>> samples);
	
	void processQosWorkloadQueueNBlade(Map<Long, Collection<Sample<QosWorkloadQueueNBladeMeasurements>>> samples);
	
	void processQosWorkloadQueueDBlade(Map<Long, Collection<Sample<QosWorkloadQueueDBladeMeasurements>>> samples);

	void processWafl(Map<Long, Collection<Sample<WaflMeasurements>>> samples);

	void processCluster(Map<Long, Collection<Sample<ClusterMeasurements>>> samples);
	
	void processHostadapter(Map<Long, Collection<Sample<HostadapterMeasurements>>> samples);

}

