package com.netapp.oci.netapp.performance.vserver.interfaces.remote;

import com.netapp.oci.netapp.interfaces.data.NetappInterfaceException;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VolumeVserverMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;

import javax.ejb.Remote;
import java.util.Collection;

/**
 * @author Nancy Walia
 *         Date: Jan 17, 2012
 */
@Remote
public interface VolumeVserverPerformanceRemote {
    String JNDI_NAME = "VolumeVserverPerformanceRemote";

    /**
     * The Acq use this method to report on Vserver performance
     *
     * @param datasourceId - id of the datasource reporting performance data
     * @param clusterKey - the Cluster Key Identifier
     * @param time - the report time, it is the datasource responsibility to make sure that the earlier sample and the
     *               latest sample time difference is less then X minute (1 by default),
     * @param rawSamples - raw vserver samples
     * @param leaseTime    the time for datasource to be registered in the in the registry (in milliseconds)
     *
     * @throws com.netapp.oci.netapp.interfaces.data.NetappInterfaceException if failed to report
     */
    void reportVolumeVserverSamples(Long datasourceId, String clusterKey, long time, Collection<RawSample<VolumeVserverMeasurements>> rawSamples, long leaseTime) throws NetappInterfaceException;
}

