/*
SQLyog Enterprise - MySQL GUI v8.2 
MySQL - 5.6.18-enterprise-commercial-advanced : Database - netapp_performance
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`netapp_performance` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `netapp_performance`;

/*Table structure for table `sample_current_disk` */

DROP TABLE IF EXISTS `sample_current_disk`;

CREATE TABLE `sample_current_disk` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster container reference ID',
  `cpReadBlocks` float DEFAULT NULL COMMENT 'Number of blocks transferred for consistency point read operations per second (blocks/s)',
  `cpReadLatency` float DEFAULT NULL COMMENT 'Average latency per block in microseconds for consistency point read operations (microseconds)',
  `cpReads` float DEFAULT NULL COMMENT 'Number of disk read operations initiated each second for consistency point processing (ops/s)',
  `diskBusy` float DEFAULT NULL COMMENT 'Percentage of time there was at least one outstanding request to the disk (percentage, 0-100)',
  `baseForDiskBusy` bigint(20) DEFAULT NULL COMMENT 'Disk operations used for calculate disk busy',
  `guaranteedReadBlocks` float DEFAULT NULL COMMENT 'Number of blocks transferred for guaranteed read operations per second (blocks/s)',
  `guaranteedReadLatency` float DEFAULT NULL COMMENT 'Average latency per block in microseconds for guaranteed read operations (microseconds)',
  `guaranteedReads` float DEFAULT NULL COMMENT 'Number of disk read operations initiated each second for raid reconstruct or scrubbing activities (ops/s)',
  `guaranteedWriteBlocks` float DEFAULT NULL COMMENT 'Number of blocks transferred for guaranteed write operations per second (blocks/s)',
  `guaranteedWriteLatency` float DEFAULT NULL COMMENT 'Average latency per block in microseconds for guaranteedwrite operations (microseconds)',
  `guaranteedWrites` float DEFAULT NULL COMMENT 'Number of write read operations initiated each second for raid reconstruct or scrubbing activities (ops/s)',
  `totalTransfers` float DEFAULT NULL COMMENT 'Total number of disk operations involving data transfer initiated per second (ops/s)',
  `userReadBlocks` float DEFAULT NULL COMMENT 'Number of blocks transferred for user read operations per second (blocks/s)',
  `userReadLatency` float DEFAULT NULL COMMENT 'Average latency per block in microseconds for user read operations (microseconds)',
  `userReads` float DEFAULT NULL COMMENT 'Number of disk read operations initiated each second for retrieving data or metadata associated with user requests (ops/s)',
  `userWriteBlocks` float DEFAULT NULL COMMENT 'Number of blocks transferred for user write operations per second (blocks/s)',
  `userWriteLatency` float DEFAULT NULL COMMENT 'Average latency per block in microseconds for user write operations (microseconds)',
  `userWrites` float DEFAULT NULL COMMENT 'Number of disk write operations initiated each second for storing data or metadata associated with user requests (ops/s)',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_fcplif` */

DROP TABLE IF EXISTS `sample_current_fcplif`;

CREATE TABLE `sample_current_fcplif` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `otherOps` float DEFAULT NULL COMMENT 'Number of operations that are not read or write (ops/s)',
  `avgLatency` float DEFAULT NULL COMMENT 'Average latency for FCP operations',
  `totalOps` float DEFAULT NULL COMMENT 'Total number of operations',
  `readData` float DEFAULT NULL COMMENT 'Amount of data read from the storage system (bytes/s)',
  `readOps` float DEFAULT NULL COMMENT 'Number of read operations (op/s)',
  `writeData` float DEFAULT NULL COMMENT 'Amount of data written to the storage system (bytes/s)',
  `writeOps` float DEFAULT NULL COMMENT 'Number of write operations (ops/s)',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_fcpport` */

DROP TABLE IF EXISTS `sample_current_fcpport`;

CREATE TABLE `sample_current_fcpport` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `otherOps` float DEFAULT NULL COMMENT 'Number of operations that are not read or write (ops/s)',
  `readData` float DEFAULT NULL COMMENT 'Amount of data read from the storage system (bytes/s)',
  `readOps` float DEFAULT NULL COMMENT 'Number of read operations (op/s)',
  `writeData` float DEFAULT NULL COMMENT 'Amount of data written to the storage system (bytes/s)',
  `writeOps` float DEFAULT NULL COMMENT 'Number of write operations (ops/s)',
  `avgOtherLatency` float DEFAULT NULL COMMENT 'Average latency on the fcp port',
  `avgReadLatency` float DEFAULT NULL COMMENT 'Average read latency on the fcp port',
  `avgWriteLatency` float DEFAULT NULL COMMENT 'Average write latency on the fcp port',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_iscsilif` */

DROP TABLE IF EXISTS `sample_current_iscsilif`;

CREATE TABLE `sample_current_iscsilif` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `dataInBlocks` float DEFAULT NULL COMMENT 'Bytes sent from iSCSI sessions on this LIF (bytes/s)',
  `dataOutBlocks` float DEFAULT NULL COMMENT 'Bytes of blocks read from iSCSI sessions on this LIF (bytes/s)',
  `iscsiReadOps` float DEFAULT NULL COMMENT 'iSCSI read operations per second on this LIF (op/s)',
  `iscsiWriteOps` float DEFAULT NULL COMMENT 'iSCSI write operations per second on this LIF (op/s)',
  `protocolErrors` float DEFAULT NULL COMMENT 'Number of protocol errors from iSCSI sessions on this LIF (number/s)',
  `readData` float DEFAULT NULL COMMENT 'Number of read data from iSCSI sessions on this LIF',
  `writeData` float DEFAULT NULL COMMENT 'Number of writedata from iSCSI sessions on this LIF',
  `cmdTransfered` float DEFAULT NULL COMMENT 'command transfered from iSCSI sessions on this LIF',
  `avgLatency` float DEFAULT NULL COMMENT 'Average latency through iSCSI sessions on this LIF',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_lun` */

DROP TABLE IF EXISTS `sample_current_lun`;

CREATE TABLE `sample_current_lun` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `avgLatency` float DEFAULT NULL COMMENT 'Average latency in milliseconds for all operations on the LUN (milliseconds)',
  `avgReadLatency` float DEFAULT NULL COMMENT 'Average read latency in milliseconds for all operations on the LUN (milliseconds)',
  `avgWriteLatency` float DEFAULT NULL COMMENT 'Average write latency in milliseconds for all operations on the LUN (milliseconds)',
  `otherOps` float DEFAULT NULL COMMENT 'Number of other operations (ops/s)',
  `readData` float DEFAULT NULL COMMENT 'Read bytes (bytes/s)',
  `readOps` float DEFAULT NULL COMMENT 'Number of read operations (ops/s)',
  `readPartialBlocks` float DEFAULT NULL COMMENT 'Percent of reads whose size is not a multiple of WAFL block size (percent, 0-100)',
  `totalOps` float DEFAULT NULL COMMENT 'Total number of operations on the LUN (ops/s)',
  `writeData` float DEFAULT NULL COMMENT 'Write bytes (bytes/s)',
  `writeOps` float DEFAULT NULL COMMENT 'Number of write operations (ops/s)',
  `writePartialBlocks` float DEFAULT NULL COMMENT 'Percent of writes whose size is not a multiple of WAFL block size (percent, 0-100)',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_networklif` */

DROP TABLE IF EXISTS `sample_current_networklif`;

CREATE TABLE `sample_current_networklif` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `recvData` float DEFAULT NULL COMMENT 'Number of bytes received per second',
  `recvErrors` float DEFAULT NULL COMMENT 'Number of received Errors per second',
  `recvPacket` float DEFAULT NULL COMMENT 'Number of packets received per second',
  `sentData` float DEFAULT NULL COMMENT 'Number of bytes sent per second',
  `sentErrors` float DEFAULT NULL COMMENT 'Number of sent errors per second',
  `sentPacket` float DEFAULT NULL COMMENT 'Number of packets sent per second',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_networkport` */

DROP TABLE IF EXISTS `sample_current_networkport`;

CREATE TABLE `sample_current_networkport` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster container reference ID',
  `recvData` float DEFAULT NULL COMMENT 'Total bytes received per second',
  `recvPackets` float DEFAULT NULL COMMENT 'Packets received per second',
  `sendData` float DEFAULT NULL COMMENT 'Total bytes sent per second',
  `sendPackets` float DEFAULT NULL COMMENT 'Packets sent per second',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_node` */

DROP TABLE IF EXISTS `sample_current_node`;

CREATE TABLE `sample_current_node` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster container reference ID',
  `cpuBusy` float DEFAULT NULL COMMENT 'System CPU resource utilization (percent, 0-100)',
  `avgProcessorBusy` float DEFAULT NULL COMMENT 'Average processor utilization across all processors in the system',
  `cpuElapsedTime` bigint(20) DEFAULT NULL COMMENT 'Cpu elapsed time for the operations',
  `netDataRecv` float DEFAULT NULL COMMENT 'Net data received in the system',
  `netDataSent` float DEFAULT NULL COMMENT 'Net data sent in the system',
  `readOps` float DEFAULT NULL COMMENT 'Number of read operations initiated each second for storing data or metadata associated with the node',
  `writeOps` float DEFAULT NULL COMMENT 'Number of write operations initiated each second for storing data or metadata associated with the node',
  `systemOps` float DEFAULT NULL COMMENT 'Number of system operations initiated each second for storing data or metadata associated with the node',
  `totalOps` float DEFAULT NULL COMMENT 'Number of total operations initiated each second for storing data or metadata associated with the node',
  `otherOps` float DEFAULT NULL COMMENT 'Number of other operations initiated each second for storing data or metadata associated with the node',
  `partnerOps` float DEFAULT NULL COMMENT 'Number of partner operations initiated each second for storing data or metadata associated with the node',
  `cifsOps` float DEFAULT NULL COMMENT 'Number of cifs operations initiated each second for storing data or metadata associated with the node',
  `fcpOps` float DEFAULT NULL COMMENT 'Number of fcp operations initiated each second for storing data or metadata associated with the node',
  `httpOps` float DEFAULT NULL COMMENT 'Number of http operations initiated each second for storing data or metadata associated with the node',
  `iscsiOps` float DEFAULT NULL COMMENT 'Number of iscsi operations initiated each second for storing data or metadata associated with the node',
  `nfsOps` float DEFAULT NULL COMMENT 'Number of nfs operations initiated each second for storing data or metadata associated with the node',
  `sysReadLatency` float DEFAULT NULL COMMENT 'latency in microseconds for system read',
  `sysWriteLatency` float DEFAULT NULL COMMENT 'latency in microseconds for system write',
  `sysOtherLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for system operation',
  `sysAvgLatency` float DEFAULT NULL COMMENT 'latency in microseconds for system other',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_processor` */

DROP TABLE IF EXISTS `sample_current_processor`;

CREATE TABLE `sample_current_processor` (
  `objid` bigint(20) NOT NULL DEFAULT '0',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster container reference ID',
  `processorBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor is executing non-idle processes',
  `dBladeBusy` float DEFAULT NULL COMMENT 'Sum of elements from domain_busy representing d_blade usage:exempt,kahuna,raid,sm_exempt,storage,wafl_exempt,wafl_xcleaner',
  `nBladeBusy` float DEFAULT NULL COMMENT 'Sum of elements from domain_busy representing n_blade usage:cifs,cluster,dnscache,nwk_exclusive,nwk_exempt,nwk_legacy,protocol,target',
  `kahunaBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''kahuna''',
  `storageBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''storage''',
  `raidBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''raid''',
  `targetBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''target''',
  `cifsBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''cifs''',
  `clusterBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''cluster''',
  `protocolBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''protocol''',
  `nwkExclusiveBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''nwk_exclusive''',
  `nwkLegacyBusy` float DEFAULT NULL COMMENT 'Percentage of elapsed time that the processor spent in busy domain ''nwk_legacy''',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_qos_service_center` */

DROP TABLE IF EXISTS `sample_current_qos_service_center`;

CREATE TABLE `sample_current_qos_service_center` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Reference ID of qos service center',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster container reference ID',
  `waitTime` bigint(20) DEFAULT NULL,
  `utilization` float DEFAULT NULL COMMENT 'The percent of the resource that is used.',
  `collectionPeriod` bigint(20) DEFAULT NULL COMMENT 'Collection Period, measured in milliseconds.',
  `cpuElapsedTime` bigint(20) DEFAULT NULL COMMENT 'Elapsed time since boot',
  `numInstances` bigint(20) DEFAULT NULL COMMENT 'The number of instances (processors, disks, and so on) in the resource.',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_qos_volume_workload` */

DROP TABLE IF EXISTS `sample_current_qos_volume_workload`;

CREATE TABLE `sample_current_qos_volume_workload` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Reference ID of qos volume workload',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `latency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process all the operations on the volume- not including request processing or network communication (microseconds)',
  `ops` float DEFAULT NULL COMMENT 'Number of operations per second serviced by the volume (ops/s)',
  `totalData` float DEFAULT NULL COMMENT 'total of bytes read/written per second to the volume (bytes/s)',
  `readData` float DEFAULT NULL COMMENT 'Bytes read per second from the volume (bytes/s)',
  `readLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process read request to the volume- not including request processing or network communication (microseconds)',
  `readOps` float DEFAULT NULL COMMENT 'Number of reads per second to the volume (ops/s)',
  `writeData` float DEFAULT NULL COMMENT 'Bytes written per second to the volume (bytes/s)',
  `writeLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process write request to the volume- not including request processing or network communication (microseconds)',
  `writeOps` float DEFAULT NULL COMMENT 'Number of writes per second to the volume (ops/s)',
  `cacheMissRate` float DEFAULT NULL COMMENT 'This is the percentage of cache misses. The sum of read_io_type DISK and HYA_HDD',
  `cacheMissRateBase` bigint(20) DEFAULT NULL  COMMENT 'This is the total number of WAFL read requests. It is used as a base counter (or denominator) for the cache_miss_rate counter. This counter is exactly similar to the read_io_type_base counter from the workload object.',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_qos_workload_detail` */

DROP TABLE IF EXISTS `sample_current_qos_workload_detail`;

CREATE TABLE `sample_current_qos_workload_detail` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Reference ID of qos volume workload detail',
  `time` bigint(20) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `serviceTime` bigint(20) DEFAULT NULL COMMENT 'The workloads average service time per visit to the service center',
  `waitTime` bigint(20) DEFAULT NULL COMMENT 'The workloads average wait time per visit to the service center.',
  `collectionPeriod` bigint(20) DEFAULT NULL COMMENT 'Collection Period, measured in milliseconds.',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_qos_workload_queue_dblade` */

DROP TABLE IF EXISTS `sample_current_qos_workload_queue_dblade`;

CREATE TABLE `sample_current_qos_workload_queue_dblade` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Qos workload node relationship Id',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster ID',
  `cpuDBladeResidenceTime` bigint(20) DEFAULT NULL COMMENT 'CPU Dblade residence time, measured in microseconds, not microseconds/visit.',
  `cpuDBladeUtilServiceTime` bigint(20) DEFAULT NULL COMMENT 'CPU Dblade util time, measured in microseconds, not microseconds/visit.',
  `cpuDBladeBackgroundServiceTime` bigint(20) DEFAULT NULL COMMENT 'CPU Dblade background service time, measured in microseconds, not microseconds/visit.',
  `cpuDBladeBackgroundWAFLCPServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw CPU Dblade background service time. Wafl_cp represents service time        contributed by the WAFL_CP workload on behalf of this workload.',
  `cpuDBladeBackgroundBackgroundDeleteServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw CPU Dblade background service time. Background_delete represents service time        contributed by the BACKGROUND_DELETE workload on behalf of this workload.',
  `cpuDBladeBackgroundRAStripeXServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw CPU Dblade background service time. Readahead_x_stripe represents service time       contributed by the RA_STRIPE_X workload on behalf of this workload. Units are microseconds.',
  `diskHDDBackgroundServiceTime` bigint(20) DEFAULT NULL COMMENT 'Disk hdd background service time, measured in microseconds, not microseconds/visit.',
  `diskHDDBackgroundWAFLCPServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw Disk HDD background service time. Wafl_cp represents service time contributed        by the WAFL_CP workload on behalf of this workload. Units are microseconds.',
  `diskHDDBackgroundBackgroundDeleteServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw Disk HDD background service time. Background_delete represents service time        contributed by the BACKGROUND_DELETE workload on behalf of this workload.',
  `diskHDDBackgroundRAStripeXServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw Disk HDD background service time. Readahead_x_stripe represents service time        contributed by the RA_STRIPE_X workload on behalf of this workload.',
  `diskSSDBackgroundServiceTime` bigint(20) DEFAULT NULL COMMENT 'Disk ssd background service time, measured in microseconds, not microseconds/visit.',
  `diskSSDBackgroundWAFLCPServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw disk SSD background service time. Wafl_cp represents service time        contributed by the WAFL_CP workload on behalf of this workload.',
  `diskSSDBackgroundBackgroundDeleteServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw disk SSD background service time. Background_delete represents service time        contributed by the BACKGROUND_DELETE workload on behalf of this workload.',
  `diskSSDBackgroundRAStripeXServiceTime` bigint(20) DEFAULT NULL COMMENT 'The raw disk SSD background service time. Readahead_x_stripe represents service time        contributed by the RA_STRIPE_X workload on behalf of this workload',
  `delayWAFLSuspCPWaitTime` bigint(20) DEFAULT NULL COMMENT 'WAFL SUSP CP wait time, measured in microseconds, not microseconds/visit.',
  `delayDiskIOWaitTime` bigint(20) DEFAULT NULL COMMENT 'DISK IO wait time, measured in microseconds, not microseconds/visit.',
  `delayNvlogTransferWaitTime` bigint(20) DEFAULT NULL COMMENT 'NVLog transfer wait time in microseconds',
  `cacheMissRate` float DEFAULT NULL COMMENT 'This is the percentage of cache misses. The sum of read_io_type DISK and HYA_HDD',
  `collectionPeriod` bigint(20) DEFAULT NULL COMMENT 'Collection Period, measured in milliseconds.',
  `cacheMissRateBase` bigint(20) DEFAULT NULL  COMMENT 'This is the total number of WAFL read requests. It is used as a base counter (or denominator) for the cache_miss_rate counter. This counter is exactly similar to the read_io_type_base counter from the workload object.',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

/*Table structure for table `sample_current_qos_workload_queue_nblade` */

DROP TABLE IF EXISTS `sample_current_qos_workload_queue_nblade`;

CREATE TABLE `sample_current_qos_workload_queue_nblade` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Qos workload node relationship Id',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Cluster ID',
  `readOps` float DEFAULT NULL COMMENT 'The workloads read operations that completed during the measurement interval; measured per second.',
  `writeOps` float DEFAULT NULL COMMENT 'The workloads write operations that completed during the measurement interval; measured per second.',
  `otherOps` float DEFAULT NULL COMMENT 'The workloads operations (other) that completed during the measurement interval; measured per second.',
  `readLatency` float DEFAULT NULL COMMENT 'The average read response time for requests that were initiated by the workload.',
  `writeLatency` float DEFAULT NULL COMMENT 'The average write response time for requests that were initiated by the workload.',
  `otherLatency` float DEFAULT NULL COMMENT 'The average response (other) time for requests that were initiated by the workload.',
  `readData` float DEFAULT NULL COMMENT 'The data read per second by the workload.',
  `writeData` float DEFAULT NULL COMMENT 'The data written per second by the workload.',
  `cpuNBladeResidenceTime` bigint(20) DEFAULT NULL COMMENT 'The CPU Nblade residence time (service time + wait time), measured in microseconds.',
  `cpuNBladeUtilServiceTime` bigint(20) DEFAULT NULL COMMENT 'The CPU Nblade util service time, measured in microseconds.',
  `delayClusterInterconnectWaitTime` bigint(20) DEFAULT NULL COMMENT 'The Cluster interconnect wait time, measured in microseconds.',
  `delayQosLimitWaitTime` bigint(20) DEFAULT NULL COMMENT 'The QoS wait time, measured in microseconds.',
  `delayNetworkWaitTime` bigint(20) DEFAULT NULL COMMENT 'The network wait time, measured in microseconds.',
  `collectionPeriod` bigint(20) DEFAULT NULL COMMENT 'Collection Period, measured in milliseconds.',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

/*Table structure for table `sample_current_status` */

DROP TABLE IF EXISTS `sample_current_status`;

CREATE TABLE `sample_current_status` (
  `package` varchar(30) COLLATE utf8_bin NOT NULL DEFAULT '',
  `containerkey` varchar(255) COLLATE utf8_bin NOT NULL DEFAULT '',
  `containerid` bigint(20) DEFAULT NULL,
  `lastsampletime` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`package`,`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

/*Table structure for table `sample_current_volume` */

DROP TABLE IF EXISTS `sample_current_volume`;

CREATE TABLE `sample_current_volume` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Reference ID of volume',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `avgLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process all the operations on the volume- not including request processing or network communication (microseconds)',
  `cifsOtherLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process other CIFS operations to the volume- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsOtherOps` float DEFAULT NULL COMMENT 'Number of other cifs operations per second to the volume (ops/s)',
  `cifsReadData` float DEFAULT NULL COMMENT 'Bytes read per second via cifs from the volume (bytes/s)',
  `cifsReadLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process CIFS read requests to the volume- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsReadOps` float DEFAULT NULL COMMENT 'Number of cifs reads per second to the volume (ops/s)',
  `cifsWriteData` float DEFAULT NULL COMMENT 'Bytes written per second via cifs to the volume (bytes/s)',
  `cifsWriteLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process CIFS write requests to the volume- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsWriteOps` float DEFAULT NULL COMMENT 'Number of cifs writes per second to the volume (ops/s)',
  `fcpOtherLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process other FCP protocol operations to the volume- not including FCP protocol request processing or network communcation (microseconds)',
  `fcpOtherOps` float DEFAULT NULL COMMENT 'Number of other block protocol operations per second to the volume (ops/s)',
  `fcpReadData` float DEFAULT NULL COMMENT 'Bytes read per second via block protocol from the volume (bytes/s)',
  `fcpReadLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process FCP protocol read operations to the volume- not including FCP protocol request processing or network communication (microseconds)',
  `fcpReadOps` float DEFAULT NULL COMMENT 'Number of block protocol reads per second to the volume (ops/s)',
  `fcpWriteData` float DEFAULT NULL COMMENT 'Bytes written per second via block protocol to the volume (bytes/s)',
  `fcpWriteLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process FCP protocol write operations to the volume- not including FCP protocol request processing or network communication (microseconds)',
  `fcpWriteOps` float DEFAULT NULL COMMENT 'Number of block protocol writes per second to the volume (ops/s)',
  `iscsiOtherLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process other iSCSI protocol operations to the volume- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiOtherOps` float DEFAULT NULL COMMENT 'Number of other block protocol operations per second to the volume (ops/s)',
  `iscsiReadData` float DEFAULT NULL COMMENT 'Bytes read per second via block protocol from the volume (byes/s)',
  `iscsiReadLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process iSCSI protocol read operations to the volume- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiReadOps` float DEFAULT NULL COMMENT 'Number of block protocol reads per second to the volume (ops/s)',
  `iscsiWriteData` float DEFAULT NULL COMMENT 'Bytes written per second via block protocol to the volume (bytes/s)',
  `iscsiWriteLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process iSCSI protocol write operations to the volume- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiWriteOps` float DEFAULT NULL COMMENT 'Number of block protocol writes per second to the volume (ops/s)',
  `nfsOtherLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process other NFS operations to the volume- not including NFS protocol request processing or network communication (microseconds)',
  `nfsOtherOps` float DEFAULT NULL COMMENT 'Number of other NFS operations per second to the volume (ops/s)',
  `nfsReadData` float DEFAULT NULL COMMENT 'Bytes read per second via NFS from the volume (bytes/s)',
  `nfsReadLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process NFS protocol read requests to the volume- not including NFS protocol request processing or network communication (microseconds)',
  `nfsReadOps` float DEFAULT NULL COMMENT 'Number of NFS reads per second to the volume (ops/s)',
  `nfsWriteData` float DEFAULT NULL COMMENT 'Bytes written per second via NFS to the volume (bytes/s)',
  `nfsWriteLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process NFS protocol write requests to the volume- not including NFS protocol request processing or network communication (microseconds)',
  `nfsWriteOps` float DEFAULT NULL COMMENT 'Number of NFS writes per second to the volume (ops/s)',
  `otherLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process other operations to the volume- not including request processing or network communication (microseconds)',
  `otherOps` float DEFAULT NULL COMMENT 'Number of other operations per second to the volume (ops/s)',
  `readData` float DEFAULT NULL COMMENT 'Bytes read per second from the volume (bytes/s)',
  `readLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process read request to the volume- not including request processing or network communication (microseconds)',
  `readOps` float DEFAULT NULL COMMENT 'Number of reads per second to the volume (ops/s)',
  `sanOtherLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process other block protocol requests to the volume- not including block protocol request processing or network communication (microseconds)',
  `sanOtherOps` float DEFAULT NULL COMMENT 'Number of other block protocol operations per second to the volume (ops/s)',
  `sanReadData` float DEFAULT NULL COMMENT 'Bytes read per second via block protocol from the volume (bytes/s)',
  `sanReadLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process block protocol read requests to the volume- not including block protocol request processing or network communication (microseconds)',
  `sanReadOps` float DEFAULT NULL COMMENT 'Number of block protocol reads per second to the volume (ops/s)',
  `sanWriteData` float DEFAULT NULL COMMENT 'Bytes written per second via block protocol to the volume (bytes/s)',
  `sanWriteLatency` float DEFAULT NULL COMMENT 'Average time for the WAFL filesystem to process block protocol write requests to the volume- including block protocol request processing or network communication (microseconds)',
  `sanWriteOps` float DEFAULT NULL COMMENT 'Number of block protocol writes per second to the volume (ops/s)',
  `totalOps` float DEFAULT NULL COMMENT 'Number of operations per second serviced by the volume (ops/s)',
  `writeData` float DEFAULT NULL COMMENT 'Bytes written per second to the volume (bytes/s)',
  `writeLatency` float DEFAULT NULL COMMENT 'Average latency in microseconds for the WAFL filesystem to process write request to the volume- not including request processing or network communication (microseconds)',
  `writeOps` float DEFAULT NULL COMMENT 'Number of writes per second to the volume (ops/s)',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `sample_current_vserver` */

DROP TABLE IF EXISTS `sample_current_vserver`;

CREATE TABLE `sample_current_vserver` (
  `objid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Reference ID of vserver',
  `time` bigint(20) DEFAULT NULL,
  `empty` tinyint(1) DEFAULT NULL,
  `containerkey` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `containerid` bigint(20) NOT NULL DEFAULT '0' COMMENT 'Vserver container reference ID',
  `avgLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average latency in microseconds for the WFL Filesystem to process all the operations on the volume of vserver-not including request processing or network communication(microseconds)',
  `cifsOtherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process other CIFS operations to the volume of vserver- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsOtherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other cifs operations per second to the volume of vserver (ops/s)',
  `cifsReadData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second via cifs from the volume of vserver (bytes/s)',
  `cifsReadLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process CIFS read requests to the volume of vserver- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsReadOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of cifs reads per second to the volume of vserver (ops/s)',
  `cifsWriteData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second via cifs to the volume of vserver (bytes/s)',
  `cifsWriteLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process CIFS write requests to the volume of vserver- not including CIFS protocol request processing or network communication (microseconds)',
  `cifsWriteOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of cifs writes per second to the volume of vserver (ops/s)',
  `fcpOtherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process other FCP protocol operations to the volume of vserver- not including FCP protocol request processing or network communcation (microseconds)',
  `fcpOtherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other block protocol operations per second to the volume of vserver (ops/s)',
  `fcpReadData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second via block protocol from the volume of vserver (bytes/s)',
  `fcpReadLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process FCP protocol read operations to the volume of vserver- not including FCP protocol request processing or network communication (microseconds)',
  `fcpReadOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol reads per second to the volume of vserver (ops/s)',
  `fcpWriteData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second via block protocol to the volume of vserver (bytes/s)',
  `fcpWriteLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process FCP protocol write operations to the volume of vserver- not including FCP protocol request processing or network communication (microseconds)',
  `fcpWriteOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol writes per second to the volume of vserver (ops/s)',
  `iscsiOtherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process other iSCSI protocol operations to the volume of vserver- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiOtherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other block protocol operations per second to the volume of vserver (ops/s)',
  `iscsiReadData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second via block protocol from the volume of vserver (bytes/s)',
  `iscsiReadLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process iSCSI protocol read operations to the volume of vserver- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiReadOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol reads per second to the volume of vserver (ops/s)',
  `iscsiWriteData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second via block protocol to the volume of vserver (bytes/s)',
  `iscsiWriteLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process iSCSI protocol write operations to the volume of vserver- not including iSCSI protocol request processing or network communication (microseconds)',
  `iscsiWriteOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol writes per second to the volume of vserver (ops/s)',
  `nfsOtherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process other NFS operations to the volume of vserver- not including NFS protocol request processing or network communication (microseconds)',
  `nfsOtherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other NFS operations per second to the volume of vserver (ops/s)',
  `nfsReadData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second via NFS from the volume of vserver (bytes/s)',
  `nfsReadLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process NFS protocol read requests to the volume of vserver- not including NFS protocol request processing or network communication (microseconds)',
  `nfsReadOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of NFS reads per second to the volume of vserver (ops/s)',
  `nfsWriteData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second via NFS to the volume of vserver (bytes/s)',
  `nfsWriteLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process NFS protocol write requests to the volume of vserver- not including NFS protocol request processing or network communication (microseconds)',
  `nfsWriteOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of NFS writes per second to the volume of vserver (ops/s)',
  `otherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average latency in microseconds for the WAFL filesystem to process other operations to the volume of vserver- not including request processing or network communication (microseconds)',
  `otherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other operations per second to the volume of vserver (ops/s)',
  `readData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second from the volume of vserver (bytes/s)',
  `readLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average latency in microseconds for the WAFL filesystem to process read request to the volume of vserver- not including request processing or network communication (microseconds)',
  `readOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of reads per second to the volume of vserver (ops/s)',
  `sanOtherLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process other block protocol requests to the volume of vserver- not including block protocol request processing or network communication (microseconds)',
  `sanOtherOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of other block protocol operations per second to the volume of vserver (ops/s)',
  `sanReadData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes read per second via block protocol from the volume of vserver (bytes/s)',
  `sanReadLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process block protocol read requests to the volume of vserver- not including block protocol request processing or network communication (microseconds)',
  `sanReadOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol reads per second to the volume of vserver (ops/s)',
  `sanWriteData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second via block protocol to the volume of vserver (bytes/s)',
  `sanWriteLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average time for the WAFL filesystem to process block protocol write requests to the volume of vserver- including block protocol request processing or network communication (microseconds)',
  `sanWriteOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of block protocol writes per second to the volume of vserver (ops/s)',
  `totalOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of operations per second serviced by the volume of vserver (ops/s)',
  `writeData` float DEFAULT NULL COMMENT 'volume:vserver-Bytes written per second to the volume of vserver (bytes/s)',
  `writeLatency` float DEFAULT NULL COMMENT 'volume:vserver-Average latency in microseconds for the WAFL filesystem to process write request to the volume of vserver- not including request processing or network communication (microseconds)',
  `writeOps` float DEFAULT NULL COMMENT 'volume:vserver-Number of writes per second to the volume of vserver (ops/s)',
  `fcpLifAvgOtherLatency` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Average latency for operations other than read and write (microseconds)',
  `fcpLifAvgReadLatency` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Average latency for read operations (microseconds)',
  `fcpLifAvgWriteLatency` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Average latency for write operations (microseconds)',
  `fcpLifOtherOps` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Number of operations that are not read or write (ops/s)',
  `fcpLifReadData` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Amount of data read from the storage system (bytes/s)',
  `fcpLifReadOps` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Number of read operations (ops/s)',
  `fcpLifTotalOps` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Total number of operations (ops/s)',
  `fcpLifWriteData` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Amount of data written to the storage system (bytes/s)',
  `fcpLifWriteOps` float DEFAULT NULL COMMENT 'fcp_lif:vserver-Number of write operations (ops/s)',
  `iscsiLifAvgOtherLatency` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-Average latency for operations other than read and write (for example, Inquiry, Report LUNs, SCSI Task Management Functions) (microseconds)',
  `iscsiLifAvgReadLatency` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-Average latency for read operations (microseconds)',
  `iscsiLifAvgWriteLatency` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-Average latency for write operations (microseconds)',
  `iscsiLifDataInBlocks` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-number of blocks sent from iSCSI sessions on this LIF',
  `iscsiLifDataOutBlocks` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-number of blocks received from iSCSI sessions on this LIF',
  `iscsiLifOtherOps` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-iSCSI other operations per second on this LIF (ops/s)',
  `iscsiLifReadOps` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-iSCSI read operations per second on this LIF (ops/s)',
  `iscsiLifWriteOps` float DEFAULT NULL COMMENT 'iscsi_lif:vserver-iSCSI write operations per second on this LIF (ops/s)',
  PRIMARY KEY (`objid`,`containerid`),
  KEY `containerkey_index` (`containerkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
/*!50100 PARTITION BY LIST (containerid)
(PARTITION p0 VALUES IN (0) ENGINE = InnoDB) */;

/*Table structure for table `update_history` */

DROP TABLE IF EXISTS `update_history`;

CREATE TABLE `update_history` (
  `time` bigint(20) NOT NULL,
  `package` varchar(255) COLLATE utf8_bin NOT NULL,
  `datasourceId` bigint(20) NOT NULL,
  `starttime` bigint(20) NOT NULL,
  `duration` bigint(20) NOT NULL,
  `containerKey` varchar(255) COLLATE utf8_bin NOT NULL,
  `samplesReported` int(11) NOT NULL,
  `samplesInserted` int(11) NOT NULL,
  `leaseTime` bigint(20) NOT NULL,
  PRIMARY KEY (`time`,`package`,`datasourceId`,`containerKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
