-- Copyright (c) 2012 NetApp. All rights reserved

CREATE VIEW netapp_model_view.cluster AS
SELECT
    objid,
    uuid,
    resourceKey,
    datasourceId,
    name,
    serialNumber,
    managementIp,
    version,
    versionGeneration,
    versionMajor,
    versionMinor,
    rawDiskBytesTotal,
    rawDiskBytesUsed,
    contact,
    location,
    diagnosisStatus,
    diagnosisStatusRaw,
    haConfigured,
    timeZone,
    timeZoneUTC,
    timeZoneVersion,
    isMetroCluster,
    sslFipsEnabled,
    mtDrPartnerClusterUUID,
    mtDrPartnerClusterId,
    mtConfigurationState,
    mtConfigurationStateRaw,
    mtRemoteConfigurationState,
    mtRemoteConfigurationStateRaw,
    mtMode,
    mtModeRaw,
    mtRemoteMode,
    mtRemoteModeRaw,
    mtConfigurationType,
    createTime,
    lastUpdateTime
FROM
    netapp_model.cluster
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.cluster_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    datasourceId,
    name,
    serialNumber,
    managementIp,
    version,
    versionGeneration,
    versionMajor,
    versionMinor,
    rawDiskBytesTotal,
    rawDiskBytesUsed,
    contact,
    location,
    diagnosisStatus,
    diagnosisStatusRaw,
    haConfigured,
    timeZone,
    timeZoneUTC,
    timeZoneVersion,
    isMetroCluster,
    sslFipsEnabled,
    mtDrPartnerClusterUUID,
    mtDrPartnerClusterId,
    mtConfigurationState,
    mtConfigurationStateRaw,
    mtRemoteConfigurationState,
    mtRemoteConfigurationStateRaw,
    mtMode,
    mtModeRaw,
    mtRemoteMode,
    mtRemoteModeRaw,
    mtConfigurationType,
    createTime,
    lastUpdateTime,
    objState
FROM
    netapp_model.cluster;


CREATE VIEW netapp_model_view.vserver AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    rootVolumeId,
    snapshotPolicyId,
    qosPolicyGroupId,
    state,
    stateRaw,
    operationalState,
    operationalStateRaw,
    type,
    typeRaw,
    subtype,
    subtypeRaw,
    allowedProtocols,
    disallowedProtocols,
    networkIpSpaceId,
    isConfigLockedForChanges,
    nfsEnabled,
    nfsV2Supported,
    nfsV3Supported,
    nfsV4Supported,
    nfsV41Supported,
    nfsV41PnfsEnabled,
    nfs41AclEnabled,
    nfsV4ReadDelegationEnabled,
    nfsV4WriteDelegationEnabled,
    nfsV4MigrationEnabled,
    nfsV4ReferralsEnabled,
    nfsV41MigrationEnabled,
    nfsV41ReferralsEnabled,
    cifsEnabled,
    cifsServer,
    cifsAuthenticationStyle,
    cifsAuthenticationStyleRaw,
    cifsDomain,
    exportPolicyEnabled,
    defaultUnixUser,
    defaultUnixGroup,
    iscsiEnabled,
    iscsiNodeName,
    iscsiAliasName,
    fcpEnabled,
    fcpNodeName,
    nisEnabled,
    activeNisDomainName,
    activeNisServers,
    dnsEnabled,
    dnsServers,
    dnsDomainNames,
    domainName,
    isEnabled,
    useSecure,
    ttl,
    maximumVolumes,
    language,
    nameServerSwitch,
    volumeBytesUsed,
    volumeBytesAvail,
    volumeBytesTotal,
    isRepository,
    ldapClientEnabled,
    isKerberosEnabled,
    isSmbEncryptionRequired,
    createTime,
    updateTime
FROM
    netapp_model.vserver
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.vserver_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    rootVolumeId,
    snapshotPolicyId,
    qosPolicyGroupId,
    state,
    stateRaw,
    operationalState,
    operationalStateRaw,
    type,
    typeRaw,
    subtype,
    subtypeRaw,
    allowedProtocols,
    disallowedProtocols,
    networkIpSpaceId,
    isConfigLockedForChanges,
    nfsEnabled,
    nfsV2Supported,
    nfsV3Supported,
    nfsV4Supported,
    nfsV41Supported,
    nfsV41PnfsEnabled,
    nfs41AclEnabled,
    nfsV4ReadDelegationEnabled,
    nfsV4WriteDelegationEnabled,
    nfsV4MigrationEnabled,
    nfsV4ReferralsEnabled,
    nfsV41MigrationEnabled,
    nfsV41ReferralsEnabled,
    cifsEnabled,
    cifsServer,
    cifsAuthenticationStyle,
    cifsAuthenticationStyleRaw,
    cifsDomain,
    exportPolicyEnabled,
    defaultUnixUser,
    defaultUnixGroup,
    iscsiEnabled,
    iscsiNodeName,
    iscsiAliasName,
    fcpEnabled,
    fcpNodeName,
    nisEnabled,
    activeNisDomainName,
    activeNisServers,
    dnsEnabled,
    dnsServers,
    dnsDomainNames,
    domainName,
    isEnabled,
    useSecure,
    ttl,
    maximumVolumes,
    language,
    nameServerSwitch,
    volumeBytesUsed,
    volumeBytesAvail,
    volumeBytesTotal,
    isRepository,
    ldapClientEnabled,
    isKerberosEnabled,
    isSmbEncryptionRequired,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.vserver;

CREATE VIEW netapp_model_view.volume AS
SELECT
    v.objid,
    v.uuid,
    v.resourceKey,
    v.name,
    v.clusterId,
    v.vserverId,
    a.nodeId,
    v.aggregateId,
    v.exportPolicyId,
    r.cloneParentId,
    v.flexCacheOriginId,
    v.snapshotPolicyId,
    v.sisPolicyId,
    v.storageServiceId,
    v.qosPolicyGroupId,
    v.instanceUUID,
    v.size,
    v.sizeTotal,
    v.sizeUsed,
    v.sizeUsedPercent,
    v.sizeAvail,
    v.sizeAvailPercent,
    v.isVserverRoot,
    v.state,
    v.stateRaw,
    v.junctionPath,
    v.isJunctionActive,
    r.junctionParentId,
    v.style,
    v.styleRaw,
    v.derivedStyle,
    v.isSisVolume,
    v.isDataProtectionMirror,
    v.isLoadSharingMirror,
    v.isMoveMirror,
    v.isReplicaVolume,
    v.isSpaceGuaranteeEnabled,
    v.vmAlignSector,
    v.vmAlignSuffix,
    v.overwriteReserve,
    v.overwriteReserveRequired,
    v.overwriteReserveUsed,
    v.overwriteReserveAvail,
    v.overwriteReserveActualUsed,
    v.snapshotReserveSize,
    v.percentageSnapshotReserve,
    v.sizeUsedBySnapshots,
    v.percentageSnapshotReserveUsed,
    v.sizeAvailableForSnapshot,
    v.percentageFractionalReserve,
    v.deduplicationSpaceSaved,
    v.compressionSpaceSaved,
    v.securityStyle,
    v.securityStyleRaw,
    v.hybridCacheEligibility,
    v.hybridCacheEligibilityRaw,
    v.inodeFilesUsed,
    v.inodeFilesTotal,
    v.inodeBlockType,
    v.inodeBlockTypeRaw,
    v.quotaCommitted,
    v.quotaOverCommitted,
    v.quotaStatus,
    v.quotaStatusRaw,
    v.flexCacheMinReserve,
    v.spaceGuarantee,
    v.spaceGuaranteeRaw,
    v.isSnapshotCloneDependencyEnabled,
    v.isI2pEnabled,
    v.isAutoSnapshotsEnabled,
    v.isSnapDirAccessEnabled,
    v.languageCode,
    v.volType,
    v.volTypeRaw,
    v.spaceMgmtOptionTryFirst,
    v.spaceMgmtOptionTryFirstRaw,
    v.autoSizeMode,
    v.autoSizeModeRaw,
    v.autoSizeMaximumSize,
    v.autoSizeIncrementSize,
    v.isAtimeUpdateEnabled,
    v.isCreateUcodeEnabled,
    v.isConvertUcodeEnabled,
    v.cloneSplitEstimate,
    v.cloneChildCount,
    v.snapshotCount,
    v.isSnapshotAutoDeleteEnabled,
    v.snapshotAutoDeleteCommitment,
    v.snapshotAutoDeleteCommitmentRaw,
    v.snapshotAutoDeleteDeleteOrder,
    v.snapshotAutoDeleteDeleteOrderRaw,
    v.snapshotAutoDeleteDeferDelete,
    v.snapshotAutoDeleteDeferDeleteRaw,
    v.snapshotAutoDeleteTargetFreeSpace,
    v.snapshotAutoDeleteTrigger,
    v.snapshotAutoDeleteTriggerRaw,
    v.snapshotAutoDeletePrefix,
    v.snapshotAutoDeleteDestroyList,
    v.oldestSnapshotTimestamp,
    v.sisStatus,
    v.sisStatusRaw,
    v.sisState,
    v.sisStateRaw,
    v.sisProgress,
    v.sisType,
    v.sisTypeRaw,
    v.sisSchedule,
    v.sisLastOpBeginTimestamp,
    v.sisLastOpEndTimestamp,
    v.sisLastOpError,
    v.sisLastOpState,
    v.sisLastOpStateRaw,
    v.sisLastOpSize,
    v.isSisCompressionEnabled,
    v.isSisInlineCompressionEnabled,
    v.percentageDeduplicationSpaceSaved,
    v.percentageCompressionSpaceSaved,
    v.isSnapDiffEnabled,
    v.isManagedByService,
    v.maxDataConstituentSize,
    v.maxNamespaceConstituentSize,
    v.constituentRole,
    v.constituentRoleRaw,
    v.isConstituent,
    v.securityUserID,
    v.securityGroupID,
    v.securityPermissions,
    v.cachingPolicy,
    v.cachingPolicyRaw,
    v.createTime,
    v.updateTime
FROM
    netapp_model.volume v
LEFT JOIN
    netapp_model.volume_self_relationship r
ON v.objId = r.objId
LEFT JOIN
    netapp_model.aggregate a
ON
    v.aggregateid = a.objid
WHERE
    v.objState = 'LIVE' ;

CREATE VIEW netapp_model_view.volume_full AS
SELECT
    v.objid,
    v.uuid,
    v.resourceKey,
    v.name,
    v.clusterId,
    v.vserverId,
    a.nodeId,
    v.aggregateId,
    v.exportPolicyId,
    r.cloneParentId,
    v.flexCacheOriginId,
    v.snapshotPolicyId,
    v.sisPolicyId,
    v.storageServiceId,
    v.qosPolicyGroupId,
    v.instanceUUID,
    v.size,
    v.sizeTotal,
    v.sizeUsed,
    v.sizeUsedPercent,
    v.sizeAvail,
    v.sizeAvailPercent,
    v.isVserverRoot,
    v.state,
    v.stateRaw,
    v.junctionPath,
    v.isJunctionActive,
    r.junctionParentId,
    v.style,
    v.styleRaw,
    v.derivedStyle,
    v.isSisVolume,
    v.isDataProtectionMirror,
    v.isLoadSharingMirror,
    v.isMoveMirror,
    v.isReplicaVolume,
    v.isSpaceGuaranteeEnabled,
    v.vmAlignSector,
    v.vmAlignSuffix,
    v.overwriteReserve,
    v.overwriteReserveRequired,
    v.overwriteReserveUsed,
    v.overwriteReserveAvail,
    v.overwriteReserveActualUsed,
    v.snapshotReserveSize,
    v.percentageSnapshotReserve,
    v.sizeUsedBySnapshots,
    v.percentageSnapshotReserveUsed,
    v.sizeAvailableForSnapshot,
    v.percentageFractionalReserve,
    v.deduplicationSpaceSaved,
    v.compressionSpaceSaved,
    v.securityStyle,
    v.securityStyleRaw,
    v.hybridCacheEligibility,
    v.hybridCacheEligibilityRaw,
    v.inodeFilesUsed,
    v.inodeFilesTotal,
    v.inodeBlockType,
    v.inodeBlockTypeRaw,
    v.quotaCommitted,
    v.quotaOverCommitted,
    v.quotaStatus,
    v.quotaStatusRaw,
    v.flexCacheMinReserve,
    v.spaceGuarantee,
    v.spaceGuaranteeRaw,
    v.isSnapshotCloneDependencyEnabled,
    v.isI2pEnabled,
    v.isAutoSnapshotsEnabled,
    v.isSnapDirAccessEnabled,
    v.languageCode,
    v.volType,
    v.volTypeRaw,
    v.spaceMgmtOptionTryFirst,
    v.spaceMgmtOptionTryFirstRaw,
    v.autoSizeMode,
    v.autoSizeModeRaw,
    v.autoSizeMaximumSize,
    v.autoSizeIncrementSize,
    v.isAtimeUpdateEnabled,
    v.isCreateUcodeEnabled,
    v.isConvertUcodeEnabled,
    v.cloneSplitEstimate,
    v.cloneChildCount,
    v.snapshotCount,
    v.isSnapshotAutoDeleteEnabled,
    v.snapshotAutoDeleteCommitment,
    v.snapshotAutoDeleteCommitmentRaw,
    v.snapshotAutoDeleteDeleteOrder,
    v.snapshotAutoDeleteDeleteOrderRaw,
    v.snapshotAutoDeleteDeferDelete,
    v.snapshotAutoDeleteDeferDeleteRaw,
    v.snapshotAutoDeleteTargetFreeSpace,
    v.snapshotAutoDeleteTrigger,
    v.snapshotAutoDeleteTriggerRaw,
    v.snapshotAutoDeletePrefix,
    v.snapshotAutoDeleteDestroyList,
    v.oldestSnapshotTimestamp,
    v.sisStatus,
    v.sisStatusRaw,
    v.sisState,
    v.sisStateRaw,
    v.sisProgress,
    v.sisType,
    v.sisTypeRaw,
    v.sisSchedule,
    v.sisLastOpBeginTimestamp,
    v.sisLastOpEndTimestamp,
    v.sisLastOpError,
    v.sisLastOpState,
    v.sisLastOpStateRaw,
    v.sisLastOpSize,
    v.isSisCompressionEnabled,
    v.isSisInlineCompressionEnabled,
    v.percentageDeduplicationSpaceSaved,
    v.percentageCompressionSpaceSaved,
    v.isSnapDiffEnabled,
    v.isManagedByService,
    v.maxDataConstituentSize,
    v.maxNamespaceConstituentSize,
    v.constituentRole,
    v.constituentRoleRaw,
    v.isConstituent,
    v.securityUserID,
    v.securityGroupID,
    v.securityPermissions,
    v.cachingPolicy,
    v.cachingPolicyRaw,
    v.createTime,
    v.updateTime,
    v.objState
FROM
    netapp_model.volume v
LEFT JOIN
    netapp_model.volume_self_relationship r
USING (objId)
LEFT JOIN
    netapp_model.aggregate a
ON
    v.aggregateid = a.objid;

CREATE VIEW netapp_model_view.qtree AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    qtreeIdentifier,
    clusterId,
    volumeId,
    vserverId,
    status,
    statusRaw,
    securityStyle,
    securityStyleRaw,
    oplocks,
    exportPolicyId,
    isExportPolicyInherited,
    createTime,
    updateTime
FROM
    netapp_model.qtree
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.qtree_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    qtreeIdentifier,
    clusterId,
    volumeId,
    vserverId,
    status,
    statusRaw,
    securityStyle,
    securityStyleRaw,
    oplocks,
    exportPolicyId,
    isExportPolicyInherited,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.qtree;

CREATE VIEW netapp_model_view.lun AS
SELECT
    objid,
    uuid,
    resourceKey,
    qtreeId,
    volumeId,
    vserverId,
    clusterId,
    qosPolicyGroupId,
    path,
    isOnline,
    size,
    sizeUsed,
    isSpaceReservationEnabled,
    isSpaceAllocEnabled,
    isMapped,
    serialNumber,
    multiProtocolType,
    alignment,
    alignmentRaw,
    prefixSize,
    suffixSize,
    lunClass,
    lunClassRaw,
    comment,
    createTime,
    updateTime
FROM
    netapp_model.lun
WHERE
    objState = 'LIVE';;

CREATE VIEW netapp_model_view.lun_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    qtreeId,
    volumeId,
    vserverId,
    clusterId,
    qosPolicyGroupId,
    path,
    isOnline,
    size,
    sizeUsed,
    isSpaceReservationEnabled,
    isSpaceAllocEnabled,
    isMapped,
    serialNumber,
    multiProtocolType,
    alignment,
    alignmentRaw,
    prefixSize,
    suffixSize,
    lunClass,
    lunClassRaw,
    comment,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.lun;

CREATE VIEW netapp_model_view.node AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    partnerNodeId,
    mtDrPartnerNodeUUID,
    mtDrPartnerNodeId,
    mtDrOperationState,
    mtDrOperationStateRaw,
    mtAutomaticUso,
    serialNumber,
    version,
    model,
    uptime,
    vendor,
    location,
    failoverState,
    cpuProcessorType,
    cpuProcessorId,
    numberOfProcessors,
    memorySizeMB,
    productType,
    nvramId,
    cpuFirmwareRelease,
    isOverTemperature,
    failedFanCount,
    failedPowerSupplyCount,
    nvramBatteryStatus,
    nvramBatteryStatusRaw,
    rawDiskBytesTotal,
    rawDiskBytesUsed,
    aggregateBytesTotal,
    aggregateBytesUsed,
    isFailoverEnabled,
    isTakeOverPossible,
    partnerFirmwareState,
    localFirmwareState,
    isInterconnectUp,
    interconnectLinks,
    interconnectType,
    versionGeneration,
    versionMajor,
    versionMinor,
    owner,
    isNodeHealthy,
    isEpsilonNode,
    isAllFlashOptimized,
    envFailedFanMessage,
    envFailedPowerSupplyMessage,
    giveBackState,
    currentMode,
    takeoverByPartnerNotPossibleReason,
    takeoverOfPartnerNotPossibleReason,
    takeoverFailureReason,
    createTime,
    updateTime
FROM
    netapp_model.node
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.node_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    partnerNodeId,
    mtDrPartnerNodeUUID,
    mtDrPartnerNodeId,
    mtDrOperationState,
    mtDrOperationStateRaw,
    mtAutomaticUso,
    serialNumber,
    version,
    model,
    uptime,
    vendor,
    location,
    failoverState,
    cpuProcessorType,
    cpuProcessorId,
    numberOfProcessors,
    memorySizeMB,
    productType,
    nvramId,
    cpuFirmwareRelease,
    isOverTemperature,
    failedFanCount,
    failedPowerSupplyCount,
    nvramBatteryStatus,
    nvramBatteryStatusRaw,
    rawDiskBytesTotal,
    rawDiskBytesUsed,
    aggregateBytesTotal,
    aggregateBytesUsed,
    isFailoverEnabled,
    isTakeOverPossible,
    partnerFirmwareState,
    localFirmwareState,
    isInterconnectUp,
    interconnectLinks,
    interconnectType,
    versionGeneration,
    versionMajor,
    versionMinor,
    owner,
    isNodeHealthy,
    isEpsilonNode,
    isAllFlashOptimized,
    envFailedFanMessage,
    envFailedPowerSupplyMessage,
    giveBackState,
    currentMode,
    takeoverByPartnerNotPossibleReason,
    takeoverOfPartnerNotPossibleReason,
    takeoverFailureReason,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.node;

CREATE VIEW netapp_model_view.flash_device as
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    slotNumber,
    serialNumber,
    modelName,
    firmwareRevision,
    capacityGB,
    percentOnline,
    status,
    statusRaw,
    serviceTime,
    thresholdProfile,
    createTime,
    updateTime
FROM
    netapp_model.flash_device
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.flash_device_full as
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    slotNumber,
    serialNumber,
    modelName,
    firmwareRevision,
    capacityGB,
    percentOnline,
    status,
    statusRaw,
    serviceTime,
    thresholdProfile,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.flash_device;

CREATE VIEW netapp_model_view.storage_shelf as
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    partnerNodeId,
    shelfUuid,
    shelfIdentifier,
    sesProductId,
    firmwareRevisionA,
    firmwareRevisionB,
    module,
    channelName,
    shelfType,
    state,
    stateRaw,
    isLocalAttach,
    stackId,
    temperatureSensorCount,
    temperatureSensorFailedCount,
    coolingElementCount,
    coolingElementFailedCount,
    powerSupplyCount,
    powerSupplyFailedCount,
    currentSensorCount,
    currentSensorFailedCount,
    voltageSensorCount,
    voltageSensorFailedCount,
    createTime,
    updateTime
FROM
    netapp_model.storage_shelf
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_shelf_full as
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    partnerNodeId,
    shelfUuid,
    shelfIdentifier,
    sesProductId,
    firmwareRevisionA,
    firmwareRevisionB,
    module,
    channelName,
    shelfType,
    state,
    stateRaw,
    isLocalAttach,
    stackId,
    temperatureSensorCount,
    temperatureSensorFailedCount,
    coolingElementCount,
    coolingElementFailedCount,
    powerSupplyCount,
    powerSupplyFailedCount,
    currentSensorCount,
    currentSensorFailedCount,
    voltageSensorCount,
    voltageSensorFailedCount,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.storage_shelf;

CREATE VIEW netapp_model_view.storage_shelf_cable as
SELECT
  objid,
  uuid,
  resourceKey,
  clusterId,
  nodeId,
  shelfId,
  channelName,
  isShelfChannelFailure,
  endIdentifier,
  length,
  manufacturer,
  partNumber,
  serialNumber,
  attachedSerialNumber,
  technology,
  type,
  connectorDesignator,
  connectorNumber,
  isCableConnected,
  isConnectorError,
  swapCount,
  shelfModule,
  createTime,
  updateTime
FROM
  netapp_model.storage_shelf_cable
WHERE
  objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_shelf_cable_full as
SELECT
  objid,
  uuid,
  resourceKey,
  clusterId,
  nodeId,
  shelfId,
  channelName,
  isShelfChannelFailure,
  endIdentifier,
  length,
  manufacturer,
  partNumber,
  serialNumber,
  attachedSerialNumber,
  technology,
  type,
  connectorDesignator,
  connectorNumber,
  isCableConnected,
  isConnectorError,
  swapCount,
  shelfModule,
  createTime,
  updateTime,
  objState
FROM
  netapp_model.storage_shelf_cable;

CREATE VIEW netapp_model_view.storage_switch as
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    wwn,
    vendor,
    firmwareVersion,
    ipAddress,
    model,
    role,
    roleRaw,
    status,
    statusRaw,
    sensorCount,
    powerSupplyCount,
    fanCount,
    createTime,
    updateTime
  FROM
    netapp_model.storage_switch
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_switch_full as
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    wwn,
    vendor,
    firmwareVersion,
    ipAddress,
    model,
    role,
    roleRaw,
    status,
    statusRaw,
    sensorCount,
    powerSupplyCount,
    fanCount,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.storage_switch;

CREATE VIEW netapp_model_view.service_processor AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    macAddress,
    ipAddress,
    type,
    typeRaw,
    status,
    statusRaw,
    isIpConfigured,
    createTime,
    updateTime
FROM
    netapp_model.service_processor
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.service_processor_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    macAddress,
    ipAddress,
    type,
    typeRaw,
    status,
    statusRaw,
    isIpConfigured,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.service_processor;

CREATE VIEW netapp_model_view.routing_group AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    routingGroupName,
    addressFamily,
    addressFamilyRaw,
    createTime,
    updateTime
FROM
    netapp_model.routing_group
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.routing_group_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    routingGroupName,
    addressFamily,
    addressFamilyRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.routing_group;

CREATE VIEW netapp_model_view.routing_group_destination AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    routingGroupId,
    destinationAddress,
    gatewayAddress,
    createTime,
    updateTime
FROM
    netapp_model.routing_group_destination
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.routing_group_destination_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    routingGroupId,
    destinationAddress,
    gatewayAddress,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.routing_group_destination;

CREATE VIEW netapp_model_view.lif AS
SELECT
    objid,
    uuid,
    name,
    clusterId,
    vserverId,
    currentNodeId,
    homeNodeId,
    lifType,
    isAutoRevert,
    isHome,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
    failoverGroupId,
    createTime,
    updateTime
FROM
    netapp_model.lif
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.lif_full AS
SELECT
    objid,
    uuid,
    name,
    clusterId,
    vserverId,
    currentNodeId,
    homeNodeId,
    lifType,
    isAutoRevert,
    isHome,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
    failoverGroupId,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.lif;

CREATE VIEW netapp_model_view.network_lif AS
SELECT
    nl.objid,
    nl.uuid,
    nl.resourceKey,
    name,
    nl.clusterId,
    nl.vserverId,
    currentNodeId,
    currentPortId,
    homeNodeId,
    homePortId,
    routingGroupId,
    isAutoRevert,
    isHome,
    address,
    netmask,
    netmaskLength,
    dnsDomainName,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
    failoverGroupId,
    failoverPolicy,
    failoverPolicyRaw,
    isdnsupdateenabled,
    listenfordnsquery,
    nl.createTime,
    nl.updateTime
FROM
    netapp_model.network_lif nl
JOIN
    netapp_model.lif l USING(objId)
WHERE
    nl.objState = 'LIVE';

CREATE VIEW netapp_model_view.network_lif_full AS
SELECT
    nl.objid,
    nl.uuid,
    nl.resourceKey,
    name,
    nl.clusterId,
    nl.vserverId,
    currentNodeId,
    currentPortId,
    homeNodeId,
    homePortId,
    routingGroupId,
    isAutoRevert,
    isHome,
    address,
    netmask,
    netmaskLength,
    dnsDomainName,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
    failoverGroupId,
    failoverPolicy,
    failoverPolicyRaw,
    isdnsupdateenabled,
    listenfordnsquery,
    nl.createTime,
    nl.updateTime,
    nl.objState
FROM
    netapp_model.network_lif nl
JOIN
    netapp_model.lif l USING(objId);

CREATE VIEW netapp_model_view.network_lif_derived AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    currentPortId,
    homePortId,
    routingGroupId,
    address,
    netmask,
    netmaskLength,
    dnsDomainName,
    failoverPolicy,
    failoverPolicyRaw,
    createTime,
    updateTime
FROM
    netapp_model.network_lif
WHERE
   objState = 'LIVE';

CREATE VIEW netapp_model_view.network_lif_derived_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    currentPortId,
    homePortId,
    routingGroupId,
    address,
    netmask,
    netmaskLength,
    dnsDomainName,
    failoverPolicy,
    failoverPolicyRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.network_lif;

CREATE VIEW netapp_model_view.fcp_lif AS
SELECT
    fl.objid,
    fl.uuid,
    fl.resourceKey,
    name,
    fl.clusterId,
    fl.vserverId,
    currentNodeId,
    currentPortId,
    homeNodeId,
    homePortId,
    isAutoRevert,
    isHome,
    nodeName,
    portName,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
  failoverGroupId,
    fl.createTime,
    fl.updateTime

FROM
    netapp_model.fcp_lif fl
JOIN
    netapp_model.lif l USING(objId)
WHERE
    fl.objState = 'LIVE';

CREATE VIEW netapp_model_view.fcp_lif_full AS
SELECT
    fl.objid,
    fl.uuid,
    fl.resourceKey,
    name,
    fl.clusterId,
    fl.vserverId,
    currentNodeId,
    currentPortId,
    homeNodeId,
    homePortId,
    isAutoRevert,
    isHome,
    nodeName,
    portName,
    operationalStatus,
    operationalStatusRaw,
    administrativeStatus,
    administrativeStatusRaw,
    role,
    roleRaw,
    dataProtocols,
  failoverGroupId,
    fl.updateTime,
    fl.createTime,
    fl.objState
FROM
    netapp_model.fcp_lif fl
JOIN
    netapp_model.lif l USING(objId);

CREATE VIEW netapp_model_view.fcp_lif_derived AS
SELECT
    objid,
    uuid,
    resourcekey,
    clusterId,
    vserverId,
    currentPortId,
    homePortId,
    nodeName,
    portName,
    createTime,
    updateTime
FROM
    netapp_model.fcp_lif
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.fcp_lif_derived_full AS
SELECT
    objid,
    uuid,
    resourcekey,
    clusterId,
    vserverId,
    currentPortId,
    homePortId,
    nodeName,
    portName,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.fcp_lif;

CREATE VIEW netapp_model_view.aggregate AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    nodeId,
    type,
    isHybrid,
    isHybridEnabled,
	  usesSharedDisks,
    state,
    stateRaw,
    aggregateType,
    aggregateTypeRaw,
    snapshotSizeTotal,
    snapshotSizeUsed,
    snapshotSizeAvail,
    hybridCacheSizeTotal,
    sizeTotal,
    sizeUsed,
    sizeUsedPercent,
    sizeAvail,
    sizeAvailPercent,
    totalCommitted,
    totalReservedSpace,
    raidStatus,
    raidType,
    raidTypeRaw,
    mirrorStatus,
    mirrorStatusRaw,
    blockType,
    blockTypeRaw,
    is64BitUpgradeInProgress,
    volumeDedupeSpaceSavings,
    volumeCompressionSpaceSavings,
    raidSize,
    hasLocalRoot,
    hasPartnerRoot,
    createTime,
    updateTime
FROM
    netapp_model.aggregate
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.aggregate_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    nodeId,
    type,
    isHybrid,
    isHybridEnabled,
    usesSharedDisks,
	  state,
    stateRaw,
    aggregateType,
    aggregateTypeRaw,
    snapshotSizeTotal,
    snapshotSizeUsed,
    snapshotSizeAvail,
    hybridCacheSizeTotal,
    sizeTotal,
    sizeUsed,
    sizeUsedPercent,
    sizeAvail,
    sizeAvailPercent,
    totalCommitted,
    totalReservedSpace,
    raidStatus,
    raidType,
    raidTypeRaw,
    mirrorStatus,
    mirrorStatusRaw,
    blockType,
    blockTypeRaw,
    is64BitUpgradeInProgress,
    volumeDedupeSpaceSavings,
    volumeCompressionSpaceSavings,
    raidSize,
    hasLocalRoot,
    hasPartnerRoot,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.aggregate;

CREATE VIEW netapp_model_view.network_port AS
SELECT
    np.objid,
    np.uuid,
    resourceKey,
    name,
    nodeId,
    clusterId,
    macAddress,
    administrativeSpeed,
    administrativeSpeedRaw,
    operationalSpeed,
    operationalSpeedRaw,
    linkStatus,
    linkStatusRaw,
    role,
    roleRaw,
    portType,
    portTypeRaw,
    vlanIdentifier,
    r.vlanPortId,
    r.ifgrpPortId,
    mtu,
    operationalDuplex,
    operationalDuplexRaw,
    networkIpSpaceId,
    networkPortBroadcastDomainId,
    np.createTime,
    np.updateTime
FROM
    netapp_model.network_port np
LEFT JOIN
    netapp_model.network_port_relationship r
ON
    np.objId = r.objid
WHERE
    np.objState = 'LIVE';

CREATE VIEW netapp_model_view.network_port_full AS
SELECT
    np.objid,
    np.uuid,
    resourceKey,
    name,
    nodeId,
    clusterId,
    macAddress,
    administrativeSpeed,
    administrativeSpeedRaw,
    operationalSpeed,
    operationalSpeedRaw,
    linkStatus,
    linkStatusRaw,
    role,
    roleRaw,
    portType,
    portTypeRaw,
    vlanIdentifier,
    vlanPortId,
    ifgrpPortId,
    mtu,
    operationalDuplex,
    operationalDuplexRaw,
    networkIpSpaceId,
    networkPortBroadcastDomainId,
    np.createTime,
    np.updateTime,
    np.objState
FROM
    netapp_model.network_port np
LEFT JOIN
    netapp_model.network_port_relationship
USING
    (objid);

CREATE VIEW netapp_model_view.plex AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    aggregateId,
    clusterId,
    nodeId,
    isOnline,
    status,
    statusRaw,
    resyncPercent,
    createTime,
    updateTime
FROM
    netapp_model.plex
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.plex_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    aggregateId,
    clusterId,
    nodeId,
    isOnline,
    status,
    statusRaw,
    resyncPercent,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.plex;

CREATE VIEW netapp_model_view.raid_group AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    plexId,
    aggregateId,
    clusterId,
    nodeId,
    isReconstructing,
    raidType,
    raidTypeRaw,
    createTime,
    updateTime
FROM
    netapp_model.raid_group
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.raid_group_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    plexId,
    aggregateId,
    clusterId,
    nodeId,
    isReconstructing,
    raidType,
    raidTypeRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.raid_group;


CREATE VIEW netapp_model_view.disk AS
SELECT
    objid,
    d.uuid,
    resourceKey,
    name,
    uid,
    clusterId,
    homeNodeId,
    homeNodeName,
    ownerNodeId,
    ownerNodeName,
    activeNodeId,
    activeNodeName,
    raidGroupId,
    storagePoolId,
    partitioningType,
    partitioningTypeRaw,
    interfaceType,
    interfaceTypeRaw,
    effectiveInterfaceType,
    effectiveInterfaceTypeRaw,
    model,
    firmwareRevision,
    rpm,
    serialNumber,
    shelf,
    shelfBay,
    vendor,
    containerType,
    containerTypeRaw,
    isFailed,
    physicalBlocks,
    raidPosition,
    raidPositionRaw,
    isVirtual,
    usableDataSize,
    usableRootSize,
    bytesPerSector,
    usedBlocks,
    usedBytes,
    totalBytes,
    isZeroed,
    isZeroing,
    zeroingPercent,
    pool,
    checksumCompatibility,
    isMediaScrubbing,
    isOffline,
    isPrefailed,
    isReconstructing,
    isReplacing,
	isShared,
	isLocalAttach,
    capacitySectors,
    rightSizeSectors,
    percentSparesConsumed,
    percentRatedLifeUsed,
    isInFdr,
    failedReason,
    createTime,
    updateTime
FROM
    netapp_model.disk d
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.disk_full AS
SELECT
    objid,
    d.uuid,
    resourceKey,
    name,
    uid,
    clusterId,
    homeNodeId,
    homeNodeName,
    ownerNodeId,
    ownerNodeName,
    activeNodeId,
    activeNodeName,
    raidGroupId,
	  storagePoolId,
	  partitioningType,
    partitioningTypeRaw,
    interfaceType,
    interfaceTypeRaw,
    effectiveInterfaceType,
    effectiveInterfaceTypeRaw,
    model,
    firmwareRevision,
    rpm,
    serialNumber,
    shelf,
    shelfBay,
    vendor,
    containerType,
    containerTypeRaw,
    isFailed,
    physicalBlocks,
    raidPosition,
    raidPositionRaw,
    isVirtual,
    usableDataSize,
    usableRootSize,
    bytesPerSector,
    usedBlocks,
    usedBytes,
    totalBytes,
    isZeroed,
    isZeroing,
    zeroingPercent,
    pool,
    checksumCompatibility,
    isMediaScrubbing,
    isOffline,
    isPrefailed,
    isReconstructing,
    isReplacing,
	  isShared,
	  isLocalAttach,
    capacitySectors,
    rightSizeSectors,
    percentSparesConsumed,
    percentRatedLifeUsed,
    isInFdr,
    failedReason,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.disk d;

CREATE VIEW netapp_model_view.fcp_port AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    nodeName,
    portName,
    adapter,
    fabricEstablished,
    firmwareRev,
    infoName,
    maxSpeed,
    speed,
    speedRaw,
    physicalProtocol,
    physicalProtocolRaw,
    state,
    stateRaw,
    status,
    statusRaw,
    switchPort,
    dataLinkRate,
    mediaType,
    mediaTypeRaw,
    createTime,
    updateTime
FROM
    netapp_model.fcp_port
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.fcp_port_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    nodeName,
    portName,
    adapter,
    fabricEstablished,
    firmwareRev,
    infoName,
    maxSpeed,
    speed,
    speedRaw,
    physicalProtocol,
    physicalProtocolRaw,
    state,
    stateRaw,
    status,
    statusRaw,
    switchPort,
    dataLinkRate,
    mediaType,
    mediaTypeRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.fcp_port;

CREATE VIEW netapp_model_view.igroup AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    osType,
    type,
    typeRaw,
    aluaEnabled,
    vsaEnabled,
    usePartner,
    createTime,
    updateTime
FROM
    netapp_model.igroup
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.igroup_full AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    osType,
    type,
    typeRaw,
    aluaEnabled,
    vsaEnabled,
    usePartner,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.igroup;

CREATE VIEW netapp_model_view.igroup_initiator AS
SELECT objid,
    uuid,
    resourceKey,
    igroupId,
    clusterId,
    vserverId,
    name AS initiatorName,
    createTime,
    updateTime
FROM
    netapp_model.igroup_initiator
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.igroup_initiator_full AS
SELECT objid,
    uuid,
    resourceKey,
    igroupId,
    clusterId,
    vserverId,
    name AS initiatorName,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.igroup_initiator;


CREATE VIEW netapp_model_view.portset AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    type,
    typeRaw,
    createTime,
    updateTime
FROM
    netapp_model.portset
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.portset_full AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    type,
    typeRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.portset;

CREATE VIEW netapp_model_view.portset_to_port AS
SELECT p.objid,
    ps.objid AS portsetId,
    ps.uuid AS portsetUUID,
    ps.clusterId,
    ps.vserverId,
    p.name as portName,
    p.fcpLifId,
    p.iSCSIPortalGroupId,
    p.createTime,
    p.updateTime
FROM
    netapp_model.portset ps
JOIN
    netapp_model.portset_port p
ON
    ps.objid=p.portsetId
WHERE
    p.objState = 'LIVE';


CREATE VIEW netapp_model_view.portset_to_port_full AS
SELECT p.objid,
    ps.objid AS portsetId,
    ps.uuid AS portsetUUID,
    ps.clusterId,
    ps.vserverId,
    p.name as portName,
    p.fcpLifId,
    p.iSCSIPortalGroupId,
    p.createTime,
    p.updateTime,
    p.objState
FROM
    netapp_model.portset ps
JOIN
    netapp_model.portset_port p
ON
    ps.objid=p.portsetId;

CREATE VIEW netapp_model_view.portset_to_igroup AS
SELECT p2g.objid,
    ps.objid AS portsetId,
    ps.uuid AS portsetUUID,
    g.objid AS igroupId,
    g.uuid AS igroupUUID,
    ps.clusterId,
    ps.vserverId,
    g.createTime,
    g.updateTime
FROM
    netapp_model.portset ps
JOIN
    netapp_model.portset_to_igroup p2g
ON
    ps.objid=p2g.portsetId
JOIN
    netapp_model.igroup g
ON
    p2g.igroupId=g.objid
WHERE
    p2g.objState = 'LIVE';

CREATE VIEW netapp_model_view.portset_to_igroup_full AS
SELECT p2g.objid,
    ps.objid AS portsetId,
    ps.uuid AS portsetUUID,
    g.objid AS igroupId,
    g.uuid AS igroupUUID,
    ps.clusterId,
    ps.vserverId,
    g.createTime,
    g.updateTime,
    g.objState
FROM
    netapp_model.portset ps
JOIN
    netapp_model.portset_to_igroup p2g
ON
    ps.objid=p2g.portsetId
JOIN
    netapp_model.igroup g
ON
    p2g.igroupId=g.objid;

CREATE VIEW netapp_model_view.lun_map AS
    SELECT objid,
        uuid,
        resourceKey,
        clusterId,
        vserverId,
        igroupId,
        lunId,
        owningNodeId,
        lun,
        path,
        createTime,
        updateTime
    FROM
        netapp_model.lun_map
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.lun_map_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    igroupId,
    lunId,
    owningNodeId,
    lun,
    path,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.lun_map;

CREATE VIEW netapp_model_view.storage_adapter AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    name,
    fcNodeName,
    isInUse,
    model,
    status,
    adapterType,
    fcPortName,
    state,
    stateRaw,
    cableEndIdentifier,
    cableLength,
    cableManufacturer,
    cablePartNumber,
    cableSerialNumber,
    attachedSerialNumber,
    cableTechnology,
    createTime,
    updateTime
FROM
    netapp_model.storage_adapter
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_adapter_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    name,
    fcNodeName,
    isInUse,
    model,
    status,
    state,
    stateRaw,
    adapterType,
    fcPortName,
    cableEndIdentifier,
    cableLength,
    cableManufacturer,
    cablePartNumber,
    cableSerialNumber,
    attachedSerialNumber,
    cableTechnology,
    createTime,
    updateTime,

    objState
FROM
    netapp_model.storage_adapter;

CREATE VIEW netapp_model_view.iscsi_portal_group AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    name,
    tag,
    createTime,
    updateTime
FROM
    netapp_model.iscsi_portal_group
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.iscsi_portal_group_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    name,
    tag,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.iscsi_portal_group;

CREATE VIEW netapp_model_view.iscsi_portal_group_lif AS
SELECT objid,
    resourceKey,
    clusterId,
    vserverId,
    targetPortalGroupId,
    lifId,
    interfaceName,
    ipAddress,
    ipPort,
    createTime,
    updateTime
FROM
    netapp_model.iscsi_portal_group_lif
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.iscsi_portal_group_lif_full AS
SELECT objid,
    resourceKey,
    clusterId,
    vserverId,
    targetPortalGroupId,
    lifId,
    interfaceName,
    ipAddress,
    ipPort,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.iscsi_portal_group_lif;

CREATE VIEW netapp_model_view.iscsi_session AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    targetPortalGroupId,
    initiatorSessionId,
    targetSessionId,
    initiatorNodeName,
    initiatorAliasName,
    maxConnections,
    createTime,
    updateTime
FROM
    netapp_model.iscsi_session
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.iscsi_session_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    targetPortalGroupId,
    initiatorSessionId,
    targetSessionId,
    initiatorNodeName,
    initiatorAliasName,
    maxConnections,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.iscsi_session;

CREATE VIEW netapp_model_view.iscsi_session_connection AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    iscsiSessionId,
    lifId,
    connectionId,
    localIpAddress,
    localIpPort,
    remoteIpAddress,
    authenticationStyle,
    createTime,
    updateTime
FROM
    netapp_model.iscsi_session_connection
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.iscsi_session_connection_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    iscsiSessionId,
    lifId,
    connectionId,
    localIpAddress,
    localIpPort,
    remoteIpAddress,
    authenticationStyle,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.iscsi_session_connection;

CREATE VIEW netapp_model_view.iscsi_security_entry AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    authenticationType,
    initiator,
    outboundUserName,
    username,
    createTime,
    updateTime
FROM
    netapp_model.iscsi_security_entry
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.iscsi_security_entry_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    authenticationType,
    initiator,
    outboundUserName,
    username,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.iscsi_security_entry;

CREATE VIEW netapp_model_view.disk_path AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    diskId,
    initiatorPortId,
    arrayName,
    diskPort,
    diskPortName,
    initiatorSideSwitchPort,
    lun,
    lunPathUseState,
    lunPathUseStateRaw,
    targetWWPN,
    targetWWNN,
    targetSideSwitchPort,
    tpgn,
    createTime,
    updateTime
FROM
    netapp_model.disk_path
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.disk_path_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    diskId,
    initiatorPortId,
    arrayName,
    diskPort,
    diskPortName,
    initiatorSideSwitchPort,
    lun,
    lunPathUseState,
    lunPathUseStateRaw,
    targetWWPN,
    targetWWNN,
    targetSideSwitchPort,
    tpgn,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.disk_path;

CREATE VIEW netapp_model_view.cifs_share AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    volumeId,
    qtreeId,
    path,
    comment,
    shareProperties,
    createTime,
    updateTime
FROM
    netapp_model.cifs_share
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.cifs_share_full AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    volumeId,
    qtreeId,
    path,
    comment,
    shareProperties,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.cifs_share;

CREATE VIEW netapp_model_view.export_policy AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    policyId,
    createTime,
    updateTime
FROM
    netapp_model.export_policy
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.export_policy_full AS
SELECT objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    policyId,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.export_policy;

CREATE VIEW netapp_model_view.export_rule AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    exportPolicyId,
    ruleIndex,
    clientMatch,
    accessProtocol,
    roRule,
    rwRule,
    superUserSecurity,
    createTime,
    updateTime
FROM
    netapp_model.export_rule
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.export_rule_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    exportPolicyId,
    ruleIndex,
    clientMatch,
    accessProtocol,
    roRule,
    rwRule,
    superUserSecurity,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.export_rule;

    
CREATE VIEW netapp_model_view.qtree_quota AS
    SELECT objid,
        uuid,
        resourceKey,
        clusterId,
        vserverId,
        volumeId,
        qtreeId,
        quotaTarget,
        diskLimit,
        diskLimitUnlimited,
        diskUsed,
        diskUsedUnlimited,
        fileLimit,
        fileLimitUnlimited,
        fileUsed,
        fileUsedUnlimited,
        softDiskLimit,
        softDiskLimitUnlimited,
        softFileLimit,
        softFileLimitUnlimited,
        threshold,
        thresholdUnlimited,
        createTime,
        updateTime
    FROM
        netapp_model.qtree_quota
    WHERE
        objState = 'LIVE';

CREATE VIEW netapp_model_view.qtree_quota_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    volumeId,
    qtreeId,
    quotaTarget,
    diskLimit,
    diskLimitUnlimited,
    diskUsed,
    diskUsedUnlimited,
    fileLimit,
    fileLimitUnlimited,
    fileUsed,
    fileUsedUnlimited,
    softDiskLimit,
    softDiskLimitUnlimited,
    softFileLimit,
    softFileLimitUnlimited,
    threshold,
    thresholdUnlimited,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.qtree_quota;


CREATE VIEW netapp_model_view.user_quota AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    volumeId,
    qtreeId,
    quotaTarget,
    quotaType,
    diskLimit,
    diskLimitUnlimited,
    diskUsed,
    diskUsedUnlimited,
    fileLimit,
    fileLimitUnlimited,
    fileUsed,
    fileUsedUnlimited,
    softDiskLimit,
    softDiskLimitUnlimited,
    softFileLimit,
    softFileLimitUnlimited,
    threshold,
    thresholdUnlimited,
    users,
    createTime,
    updateTime
FROM
    netapp_model.user_quota
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.user_quota_full AS
SELECT objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    volumeId,
    qtreeId,
    quotaTarget,
    quotaType,
    diskLimit,
    diskLimitUnlimited,
    diskUsed,
    diskUsedUnlimited,
    fileLimit,
    fileLimitUnlimited,
    fileUsed,
    fileUsedUnlimited,
    softDiskLimit,
    softDiskLimitUnlimited,
    softFileLimit,
    softFileLimitUnlimited,
    threshold,
    thresholdUnlimited,
    users,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.user_quota;

CREATE VIEW netapp_model_view.quota_user AS
SELECT objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    userQuotaId,
    quotaUserId,
    quotaUserName,
    quotaUserType,
    createTime,
    updateTime
FROM
   netapp_model.quota_user
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.quota_user_full AS
SELECT objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    userQuotaId,
    quotaUserId,
    quotaUserName,
    quotaUserType,
    createTime,
    updateTime,
    objState
FROM
   netapp_model.quota_user;

CREATE VIEW netapp_model_view.license AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    ownerNodeId,
    ownerType,
    ownerName,
    package,
    serialNumber,
    expirationTime,
    description,
    licenseType,
    licenseTypeRaw,
    createTime,
    updateTime
FROM
    netapp_model.license
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.license_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    ownerNodeId,
    ownerType,
    ownerName,
    package,
    serialNumber,
    expirationTime,
    description,
    licenseType,
    licenseTypeRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.license;

CREATE VIEW netapp_model_view.snap_mirror AS
  SELECT
    sm.objid,
    sm.uuid,
    sm.resourceKey,
    rel.vserverSnapMirrorId,
    sm.clusterId AS destinationClusterId,
    sm.volumeId AS destinationVolumeId,
    sm.nodeId AS destinationNodeId,
    sm.vserverId AS destinationVserverId,
    sm.destinationLocation,
    sm.sourceClusterId,
    sm.sourceVolumeId,
    sm.sourceVserverId,
    sm.sourceCluster,
    sm.sourceVolume,
    sm.sourceVserver,
    sm.sourceLocation,
    sm.mirrorState,
    sm.mirrorStateRaw,
    sm.exportedSnapshotId,
    sm.newestSnapshotId,
    sm.networkCompressionRatio,
    sm.operationId,
    sm.transferSnapshot,
    sm.snapMirrorPolicyId,
    sm.isConstituent,
    sm.isHealthy,
    sm.maxTransferRate,
    sm.relationshipProgress,
    sm.relationshipStatus,
    sm.relationshipStatusRaw,
    sm.relationshipType,
    sm.relationshipTypeRaw,
    sm.tries,
    sm.unhealthyReason,
    sm.snapshotCheckpoint,
    sm.snapshotProgress,
    sm.currentMaxTransferRate,
    sm.currentTransferError,
    sm.currentTransferPriority,
    sm.currentTransferPriorityRaw,
    sm.currentTransferType,
    sm.currentTransferTypeRaw,
    sm.lagTime,
    sm.lastTransferDuration,
    sm.lastTransferEndTimestamp,
    sm.lastTransferError,
    sm.lastTransferErrorCodes,
    sm.lastTransferNetworkCompressionRatio,
    sm.lastTransferType,
    sm.lastTransferTypeRaw,
    sm.lastTransferSize,
    sm.progressLastUpdated,
    sm.relationshipControlPlane,
    sm.relationshipGroupType,
    sm.relationshipGroupTypeRaw,
    sm.relationshipIdentifier,
    sm.jobScheduleId,
    sm.destVolDerivedStyle,
    sm.createTime,
    sm.updateTime
  FROM
      netapp_model.snap_mirror sm
      LEFT OUTER JOIN
      netapp_model.snap_mirror_self_relationship rel USING (objid)
  WHERE
    sm.objState = 'LIVE'
    AND (rel.objState IS NULL
         OR rel.objState = 'LIVE');

CREATE VIEW netapp_model_view.snap_mirror_full AS
SELECT
    sm.objid,
    sm.uuid,
    sm.resourceKey,
    rel.vserverSnapMirrorId,
    sm.clusterId AS destinationClusterId,
    sm.volumeId AS destinationVolumeId,
    sm.nodeId AS destinationNodeId,
    sm.vserverId AS destinationVserverId,
    sm.destinationLocation,
    sm.sourceClusterId,
    sm.sourceVolumeId,
    sm.sourceVserverId,
    sm.sourceCluster,
    sm.sourceVolume,
    sm.sourceVserver,
    sm.sourceLocation,
    sm.mirrorState,
    sm.mirrorStateRaw,
    sm.exportedSnapshotId,
    sm.newestSnapshotId,
    sm.networkCompressionRatio,
    sm.operationId,
    sm.transferSnapshot,
    sm.snapMirrorPolicyId,
    sm.isConstituent,
    sm.isHealthy,
    sm.maxTransferRate,
    sm.relationshipProgress,
    sm.relationshipStatus,
    sm.relationshipStatusRaw,
    sm.relationshipType,
    sm.relationshipTypeRaw,
    sm.tries,
    sm.unhealthyReason,
    sm.snapshotCheckpoint,
    sm.snapshotProgress,
    sm.currentMaxTransferRate,
    sm.currentTransferError,
    sm.currentTransferPriority,
    sm.currentTransferPriorityRaw,
    sm.currentTransferType,
    sm.currentTransferTypeRaw,
    sm.lagTime,
    sm.lastTransferDuration,
    sm.lastTransferEndTimestamp,
    sm.lastTransferError,
    sm.lastTransferErrorCodes,
    sm.lastTransferNetworkCompressionRatio,
    sm.lastTransferType,
    sm.lastTransferTypeRaw,
    sm.lastTransferSize,
    sm.progressLastUpdated,
    sm.relationshipControlPlane,
    sm.relationshipGroupType,
    sm.relationshipGroupTypeRaw,
    sm.relationshipIdentifier,
    sm.jobScheduleId,
    sm.destVolDerivedStyle,
    sm.createTime,
    sm.updateTime,
    sm.objState
FROM
    netapp_model.snap_mirror sm
    LEFT OUTER JOIN
    netapp_model.snap_mirror_self_relationship rel USING (objid);

CREATE VIEW netapp_model_view.processor AS
SELECT
    objid,
    uuid,
    resourceKey,
    processorNumber,
    clusterId,
    nodeId,
    createTime,
    updateTime
FROM
    netapp_model.processor
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.processor_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    processorNumber,
    clusterId,
    nodeId,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.processor;

CREATE VIEW netapp_model_view.change_record AS
SELECT
    updateTime,
    clusterId,
    objId,
    objectType,
    changeType
FROM
    netapp_model.change_record;

CREATE VIEW netapp_model_view.change_delete_detail AS
SELECT
    id,
    deleteTime,
    objectType,
    objId,
    clusterId,
    nodeId,
    vserverId,
    aggregateId,
    volumeId,
    name,
    ancestorDeleted
FROM
    netapp_model.change_delete_detail;

CREATE VIEW netapp_model_view.snapshot AS
SELECT objid,
    uuid,
	  resourceKey,
	  volumeId,
	  vserverId,
	  clusterId,
	  instanceUUID,
	  versionUUID,
	  name,
	  isBusy,
	  accessTime,
	  dependency,
	  percentageOfTotalBlocks,
	  cumulativePercentageOfTotalBlocks,
    createTime,
    updateTime
FROM
	  netapp_model.snapshot
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.snapshot_full AS
SELECT objid,
    uuid,
  	resourceKey,
  	volumeId,
  	vserverId,
  	clusterId,
  	instanceUUID,
  	versionUUID,
  	name,
  	isBusy,
	  accessTime,
	  dependency,
	  percentageOfTotalBlocks,
	  cumulativePercentageOfTotalBlocks,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.snapshot;

CREATE VIEW netapp_model_view.volume_move_job AS
SELECT objid,
    uuid,
	resourceKey,
	volumeId,
	sourceAggregateId,
	destinationAggregateId,
	clusterId,
	jobIdentifier,
	startTime,
	completionTime,
	phase,
	phaseRaw,
	state,
	stateRaw,
	details,
	percentComplete,
	estimatedCompletionTime,
	inactive,
  createTime,
  updateTime
FROM
	netapp_model.volume_move_job
WHERE
  objState = 'LIVE';

CREATE VIEW netapp_model_view.volume_move_job_full AS
  SELECT objid,
    uuid,
    resourceKey,
    volumeId,
    sourceAggregateId,
    destinationAggregateId,
    clusterId,
    jobIdentifier,
    startTime,
    completionTime,
    phase,
    phaseRaw,
    state,
    stateRaw,
    details,
    percentComplete,
    estimatedCompletionTime,
    inactive,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.volume_move_job;

CREATE VIEW netapp_model_view.changed_attribute AS
SELECT
    ca.updateTime,
    c.clusterId,
    c.objectType,
    ca.objId,
    ca.attribute,
    ca.oldValue,
    ca.newValue
FROM
    netapp_model.changed_attribute ca
JOIN
    netapp_model.change_record c
ON
    (ca.objId = c.objId AND ca.updateTime = c.updateTime);

CREATE VIEW netapp_model_view.job_schedule AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  name,
	  clusterId,
	  description,
	  scheduleType,
	  scheduleTypeRaw,
	  cronDayOfMonth,
	  cronDayOfWeek,
	  cronHour,
  	cronMinute,
  	cronMonth,
  	intervalDays,
  	intervalHours,
  	intervalMinutes,
  	intervalSeconds,
    createTime,
    updateTime
FROM
	  netapp_model.job_schedule
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.job_schedule_full AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  name,
	  clusterId,
	  description,
	  scheduleType,
	  scheduleTypeRaw,
	  cronDayOfMonth,
	  cronDayOfWeek,
	  cronHour,
  	cronMinute,
  	cronMonth,
  	intervalDays,
  	intervalHours,
  	intervalMinutes,
  	intervalSeconds,
    createTime,
    updateTime,
    objState
FROM
  	netapp_model.job_schedule;

CREATE VIEW netapp_model_view.sis_policy AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  name,
	  vserverId,
	  clusterId,
	  jobScheduleId,
	  isEnabled,
	  comment,
	  duration,
	  qosPolicy,
	  qosPolicyRaw,
    createTime,
    updateTime
FROM
	  netapp_model.sis_policy
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.sis_policy_full AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  name,
	  vserverId,
	  clusterId,
	  jobScheduleId,
	  isEnabled,
	  comment,
	  duration,
	  qosPolicy,
	  qosPolicyRaw,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.sis_policy;

CREATE VIEW netapp_model_view.snapshot_policy AS
SELECT
    sp.objid,
    sp.uuid,
	  sp.resourceKey,
	  sp.name,
	  spv.vserverId,
	  sp.clusterId,
  	sp.isEnabled,
  	sp.comment,
    sp.createTime,
    sp.updateTime
FROM
	  netapp_model.snapshot_policy sp
LEFT JOIN
	  netapp_model.snapshot_policy_vserver_relationship spv
ON
    sp.objId = spv.objId
WHERE
    sp.objState = 'LIVE';

CREATE VIEW netapp_model_view.snapshot_policy_full AS
SELECT
    sp.objid,
    sp.uuid,
	  sp.resourceKey,
	  sp.name,
	  spv.vserverId,
	  sp.clusterId,
  	sp.isEnabled,
  	sp.comment,
    sp.createTime,
    sp.updateTime,
    sp.objState
FROM
	  netapp_model.snapshot_policy sp
LEFT JOIN
	  netapp_model.snapshot_policy_vserver_relationship spv
ON
    sp.objId = spv.objId;

CREATE VIEW netapp_model_view.snapshot_policy_schedule AS
SELECT
    objid,
    uuid,
    resourceKey,
	  snapshotPolicyId,
	  clusterId,
	  jobScheduleId,
	  prefix,
    snapMirrorLabel,
	  count,
    createTime,
    updateTime
FROM
	  netapp_model.snapshot_policy_schedule
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.snapshot_policy_schedule_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	  snapshotPolicyId,
	  clusterId,
	  jobScheduleId,
	  prefix,
    snapMirrorLabel,
	  count,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.snapshot_policy_schedule;

CREATE VIEW netapp_model_view.vserver_to_aggregate AS
SELECT
    objid,
    uuid,
    vserverId,
	  aggregateId,
	  clusterId,
    createTime,
    updateTime
FROM
	  netapp_model.vserver_to_aggregate
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.vserver_to_aggregate_full AS
SELECT
    objid,
    uuid,
    vserverId,
	  aggregateId,
	  clusterId,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.vserver_to_aggregate;

CREATE VIEW netapp_model_view.qos_volume_workload AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    volumeId,
    workloadClass,
    workloadClassRaw,
    createTime,
    updateTime
FROM
    netapp_model.qos_volume_workload
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.qos_volume_workload_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    volumeId,
    workloadClass,
    workloadClassRaw,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.qos_volume_workload;

CREATE VIEW netapp_model_view.qos_service_center AS
SELECT
    sc.objid,
    sc.uuid,
    sc.resourceKey,
    sc.name,
    sc.clusterId,
    sc.nodeId,
    sc.aggregateId,
    scr.parentQosServiceCenterId AS parentResourceId,
    sc.type,
    sc.createTime,
    sc.updateTime
FROM
    netapp_model.qos_service_center sc
LEFT JOIN
    netapp_model.qos_service_center_relationship scr
ON
    sc.objid = scr.objId
WHERE
    sc.objState = 'LIVE';

CREATE VIEW netapp_model_view.qos_service_center_full AS
SELECT
    sc.objid,
    sc.uuid,
    sc.resourceKey,
    sc.name,
    sc.clusterId,
    sc.nodeId,
    sc.aggregateId,
    scr.parentQosServiceCenterId AS parentResourceId,
    sc.type,
    sc.createTime,
    sc.updateTime,
    sc.objState
FROM
    netapp_model.qos_service_center sc
LEFT JOIN
    netapp_model.qos_service_center_relationship scr
USING
    (objid);
    
CREATE VIEW netapp_model_view.qos_workload_detail AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    workloadId,
    serviceCenterId,
    createTime,
    updateTime
FROM
    netapp_model.qos_workload_detail
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.qos_workload_detail_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    workloadId,
    serviceCenterId,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.qos_workload_detail;

CREATE VIEW netapp_model_view.qos_workload_node_relationship AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    workloadId,
    createTime,
    updateTime
FROM
    netapp_model.qos_workload_node_relationship
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.qos_workload_node_relationship_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    workloadId,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.qos_workload_node_relationship;

    
CREATE VIEW netapp_model_view.snap_mirror_policy AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  clusterId,
	  vserverId,
    name,
	  comment,
    createSnapshot,
    ignoreAccessTime,
    isNetworkCompressionEnabled,
    restart,
    restartRaw,
	  totalKeep,
	  transferPriority,
	  transferPriorityRaw,
    tries,
    type,
    typeRaw,
    createTime,
    updateTime
FROM
	netapp_model.snap_mirror_policy
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.snap_mirror_policy_full AS
SELECT
    objid,
    uuid,
	  resourceKey,
	  clusterId,
	  vserverId,
    name,
	  comment,
    createSnapshot,
    ignoreAccessTime,
    isNetworkCompressionEnabled,
    restart,
    restartRaw,
	  totalKeep,
	  transferPriority,
	  transferPriorityRaw,
    tries,
    type,
    typeRaw,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.snap_mirror_policy;

CREATE VIEW netapp_model_view.snap_mirror_policy_rule AS
SELECT
    objid,
    uuid,
    resourceKey,
	  clusterId,
	  snapMirrorPolicyId,
    keep,
	  preserve,
	  snapMirrorLabel,
	  warn,
    createTime,
    updateTime
FROM
	  netapp_model.snap_mirror_policy_rule
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.snap_mirror_policy_rule_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	  clusterId,
	  snapMirrorPolicyId,
    keep,
	  preserve,
	  snapMirrorLabel,
	  warn,
    createTime,
    updateTime,
    objState
FROM
	  netapp_model.snap_mirror_policy_rule;

CREATE VIEW netapp_model_view.storage_service AS
SELECT
    service.objid,
    service.uuid,
	  resourceKey,
	  clusterId,
	  vserverId,
	  ssv.volumeId,
    storageServiceIdentifier,
	  storageServiceName,
	  sizeUsed,
	  sizeTotal,
	  sizeUsedBySnapshots,
	  snapshotReserveSize,
	  deduplicationSpaceSaved,
    compressionSpaceSaved,
    service.createTime,
    service.updateTime
FROM
	  netapp_model.storage_service as service
LEFT JOIN
    netapp_model.storage_service_volume_relationship ssv
ON
	  service.objId = ssv.objId
WHERE
    service.objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_service_full AS
SELECT
    objid,
    service.uuid,
	  resourceKey,
	  clusterId,
	  vserverId,
	  ssv.volumeId,
    storageServiceIdentifier,
	  storageServiceName,
	  sizeUsed,
	  sizeTotal,
	  sizeUsedBySnapshots,
	  snapshotReserveSize,
	  deduplicationSpaceSaved,
    compressionSpaceSaved,
    service.createTime,
    service.updateTime,
    service.objState
FROM
	  netapp_model.storage_service as service
LEFT JOIN
    netapp_model.storage_service_volume_relationship ssv
USING
	  (objid);

CREATE VIEW netapp_model_view.qos_policy_group AS
SELECT
    pg.objid,
    pg.uuid,
    resourceKey,
    clusterId,
    pgv.vserverId,
    policyGroup,
    pgIdentifier,
    policyGroupClass,
    policyGroupClassRaw,
    maxThroughput,
    pg.createTime,
    pg.updateTime
FROM
    netapp_model.qos_policy_group AS pg
LEFT JOIN
    netapp_model.qos_policy_group_vserver_relationship AS pgv
ON
    pg.objid = pgv.objId
WHERE
    pg.objState = 'LIVE';

CREATE VIEW netapp_model_view.qos_policy_group_full AS
SELECT
    objid,
    pg.uuid,
    resourceKey,
    clusterId,
    pgv.vserverId,
    policyGroup,
    pgIdentifier,
    policyGroupClass,
    policyGroupClassRaw,
    maxThroughput,
    pg.createTime,
    pg.updateTime,
    pg.objState
FROM
    netapp_model.qos_policy_group AS pg
LEFT JOIN
    netapp_model.qos_policy_group_vserver_relationship AS pgv
USING
    (objid);

CREATE VIEW netapp_model_view.nis_domain AS
SELECT
  objid,
  uuid,
  resourceKey,
  clusterId,
  vserverId,
  nisDomain,
  nisServers,
  isActive,
  createTime,
  updateTime
FROM
  netapp_model.nis_domain
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.nis_domain_full AS
SELECT
  objid,
  uuid,
  resourceKey,
  clusterId,
  vserverId,
  nisDomain,
  nisServers,
  isActive,
  createTime,
  updateTime,
  objState
FROM
  netapp_model.nis_domain;

CREATE VIEW netapp_model_view.cifs_share_acl AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    cifsShareId,
    userOrGroup,
    permission,
    permissionRaw,
    createTime,
    updateTime
FROM
    netapp_model.cifs_share_acl
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.cifs_share_acl_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    cifsShareId,
    userOrGroup,
    permission,
    permissionRaw,
    objState,
    createTime,
    updateTime
FROM
    netapp_model.cifs_share_acl;

CREATE VIEW netapp_model_view.vserver_name_mapping AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    position,    
    direction,
    directionRaw,
    pattern,    
    replacement,
    createTime,
    updateTime
FROM
    netapp_model.vserver_name_mapping
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.vserver_name_mapping_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    position,
    direction,
    directionRaw,
    pattern,
    replacement,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.vserver_name_mapping;

CREATE VIEW netapp_model_view.application_record AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    recordName,
    recordValue,
    modifiedFrom,
    lastModifiedTimestamp,
    createTime,
    updateTime
FROM
    netapp_model.application_record
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.application_record_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    clusterId,
    recordName,
    recordValue,
    modifiedFrom,
    lastModifiedTimestamp,
    createTime,
    updateTime,
    objState
FROM
    netapp_model.application_record;

CREATE VIEW netapp_model_view.storage_pool AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	name,
	allocationUnitSize,
	diskCount,
    isHealthy,
	poolUsableSize,	
	poolTotalSize,
	storageType,
	storageTypeRaw,
    createTime,
    updateTime
FROM
    netapp_model.storage_pool
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_pool_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
  name,
	allocationUnitSize,
	diskCount,
    isHealthy,
	poolUsableSize,	
	poolTotalSize,
	storageType,
	storageTypeRaw,
    createTime,
    updateTime,
	objState
FROM
    netapp_model.storage_pool;

CREATE VIEW netapp_model_view.storage_pool_available AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	nodeId,
	storagePoolId,
	allocationUnitCount,
	allocationUnitSize,
	availableSize,
	storageType,
	storageTypeRaw,
	syncmirrorPool,
	createTime,
    updateTime
FROM
    netapp_model.storage_pool_available
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_pool_available_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	nodeId,
	storagePoolId,
	allocationUnitCount,
	allocationUnitSize,
	availableSize,
	storageType,
	storageTypeRaw,
	syncmirrorPool,
	createTime,
    updateTime,
	objState
FROM
    netapp_model.storage_pool_available;

CREATE VIEW netapp_model_view.storage_pool_aggregate_relationship AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	storagePoolId,	
	aggregateId,
	usedCapacity,
	allocatedUnitCount,
	createTime,
    updateTime
FROM
    netapp_model.storage_pool_aggregate_relationship
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.storage_pool_aggregate_relationship_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	storagePoolId,	
	aggregateId,
	usedCapacity,
	allocatedUnitCount,
	createTime,
    updateTime,
	objState
FROM
    netapp_model.storage_pool_aggregate_relationship;


CREATE VIEW netapp_model_view.disk_aggregate_relationship AS
SELECT
    objid,
    uuid,
    resourceKey,
	  clusterId,
	  diskId,
	  aggregateId,
	  isCache,
	  createTime,
    updateTime
FROM
    netapp_model.disk_aggregate_relationship
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.disk_aggregate_relationship_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	  clusterId,
	  diskId,
	  aggregateId,
	  isCache,
	  createTime,
    updateTime,
	  objState
FROM
    netapp_model.disk_aggregate_relationship;

CREATE VIEW netapp_model_view.system_health_alert AS
SELECT
    objid,
    uuid,
    resourceKey,
    alertId,
    alertingResource,
    alertingResourceName,
    clusterId,
    nodeId,
    indicationTime,
    monitor,
    monitorRAW,
    perceivedSeverity,
    policy,
    possibleEffect,
    correctiveActions,
    probableCause,
    probableCauseDescription,
    subsystem,
    additionalInfo,
    acknowledge,
    acknowledger,
    suppress,
    suppressor,
    createtime,
    updatetime
FROM
    netapp_model.system_health_alert
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.system_health_alert_full AS
SELECT
    objid,
    uuid,
    resourceKey,
    alertId,
    alertingResource,
    alertingResourceName,
    clusterId,
    nodeId,
    indicationTime,
    monitor,
    monitorRAW,
    perceivedSeverity,
    policy,
    possibleEffect,
    correctiveActions,
    probableCause,
    probableCauseDescription,
    subsystem,
    additionalInfo,
    acknowledge,
    acknowledger,
    suppress,
    suppressor,
    createtime,
    updatetime,
    objState
FROM
    netapp_model.system_health_alert;


CREATE VIEW netapp_model_view.ha_pair AS
  SELECT
    objid,
    uuid,
    node1Id,
    node2Id,
    createTime,
    updateTime
  FROM
    netapp_model.ha_pair
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.ha_pair_full AS
  SELECT
    objid,
    uuid,
    node1Id,
    node2Id,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.ha_pair;

CREATE VIEW netapp_model_view.network_ip_space AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    networkIpSpaceId,
    createTime,
    updateTime
  FROM
    netapp_model.network_ip_space
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.network_ip_space_full AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    networkIpSpaceId,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.network_ip_space;

CREATE VIEW netapp_model_view.network_port_broadcast_domain AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    mtu,
    networkIpSpaceId,
    createTime,
    updateTime
  FROM
    netapp_model.network_port_broadcast_domain
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.network_port_broadcast_domain_full AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    mtu,
    networkIpSpaceId,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.network_port_broadcast_domain;

CREATE VIEW netapp_model_view.network_failover_group AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    networkPortBroadcastDomainId,
    createTime,
    updateTime
  FROM
    netapp_model.network_failover_group
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.network_failover_group_full AS
  SELECT
    objid,
    uuid,
    resourceKey,
    name,
    clusterId,
    vserverId,
    networkPortBroadcastDomainId,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.network_failover_group;

CREATE VIEW netapp_model_view.network_subnet AS
  SELECT
    objid,
    uuid,
    resourceKey,
    subnetName,
    subnet,
    clusterId,
    broadcastDomainId,
    ipSpaceId,
    availableCount,
    forceUpdateLifAssociations,
    gateway,
    ipranges,
    totalCount,
    usedCount,
    createTime,
    updateTime
  FROM
    netapp_model.network_subnet
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.network_subnet_full AS
  SELECT
    objid,
    uuid,
    resourceKey,
    subnetName,
    subnet,
    clusterId,
    broadcastDomainId,
    ipSpaceId,
    availableCount,
    forceUpdateLifAssociations,
    gateway,
    ipranges,
    totalCount,
    usedCount,
    createTime,
    updateTime,
    objState
  FROM
    netapp_model.network_subnet;

CREATE VIEW netapp_model_view.lun_map_reporting_node AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	lunMapId,
	nodeId,
	createTime,
    updateTime
FROM
    netapp_model.lun_map_reporting_node
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.lun_map_reporting_node_full AS
SELECT
    objid,
    uuid,
    resourceKey,
	clusterId,
	lunMapId,
	nodeId,
	createTime,
    updateTime,
	objState
FROM
    netapp_model.lun_map_reporting_node;    
    
CREATE VIEW netapp_model_view.lun_import AS
SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    foreignDiskId, 
    administrativeStatus,
    administrativeStatusRaw,
    comparedBlocks,
    estimatedRemainingDuration,
    failureReason,
    importCurrentNodeId,
    importHomeNodeId,
    importedBlocks,
    operationInProgress,
    operationInProgressRaw,
    operationalStatus,
    operationalStatusRaw,
    path,
    percentComplete,
    totalBlocks,
	createtime,
	updatetime
FROM netapp_model.lun_import
WHERE
    objState = 'LIVE';
    
CREATE VIEW netapp_model_view.lun_import_full AS
SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vserverId,
    foreignDiskId, 
    administrativeStatus,
    administrativeStatusRaw,
    comparedBlocks,
    estimatedRemainingDuration,
    failureReason,
    importCurrentNodeId,
    importHomeNodeId,
    importedBlocks,
    operationInProgress,
    operationInProgressRaw,
    operationalStatus,
    operationalStatusRaw,
    path,
    percentComplete,
    totalBlocks,
	createtime,
	updatetime,
	objState
FROM netapp_model.lun_import;
    
CREATE VIEW netapp_model_view.network_failover_group_network_port_relationship AS
SELECT
    objid,
	originid,
    uuid,
    resourceKey,
	clusterId,
	networkFailoverGroupId,
	networkPortId,
	createTime,
    updatetime
FROM
    netapp_model.network_failover_group_network_port_relationship
WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.network_failover_group_network_port_relationship_full AS
SELECT
    objid,
	originid,
    uuid,
    resourceKey,
	clusterId,
	networkFailoverGroupId,
	networkPortId,
	createTime,
    updatetime,
    objState
FROM
    netapp_model.network_failover_group_network_port_relationship;
    
CREATE VIEW netapp_model_view.metrocluster_operation AS
SELECT
	objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    startTime,
    endTime,
    errorList,
    jobId,
    operation,
    operationRaw,
    state,
    stateRaw,
	createtime,
	updatetime
FROM netapp_model.metrocluster_operation 
WHERE
    objState = 'LIVE';
    
CREATE VIEW netapp_model_view.metrocluster_operation_full AS
SELECT
	objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    nodeId,
    startTime,
    endTime,
    errorList,
    jobId,
    operation,
    operationRaw,
    state,
    stateRaw,
	createtime,
	updatetime,
	objState
FROM netapp_model.metrocluster_operation;


CREATE VIEW netapp_model_view.cluster_peer AS
  SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    activeAddresses,
    addressFamily,
    addressFamilyRaw,
    authStatusAdmin,
    authStatusOperational,
    authStatusOperationalRaw,
    availability,
    availabilityRaw,
    remoteClusterName,
    remoteClusterUUID,
    remoteClusterId,
    networkIpSpaceId,
    isClusterHealthy,
    peerAddresses,
    remoteClusterNodes,
    serialNumber,
    unreachableLocalNodes,
    createtime,
    updatetime
  FROM
    netapp_model.cluster_peer
  WHERE
    objState = 'LIVE';

CREATE VIEW netapp_model_view.cluster_peer_full AS
  SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    activeAddresses,
    addressFamily,
    addressFamilyRaw,
    authStatusAdmin,
    authStatusOperational,
    authStatusOperationalRaw,
    availability,
    availabilityRaw,
    remoteClusterName,
    remoteClusterUUID,
    remoteClusterId,
    networkIpSpaceId,
    isClusterHealthy,
    peerAddresses,
    remoteClusterNodes,
    serialNumber,
    unreachableLocalNodes,
    createtime,
    updatetime,
    objState
  FROM
    netapp_model.cluster_peer;
    
 CREATE VIEW netapp_model_view.vserver_peer AS
  SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vServerId,
    peerClusterId,
    peerClusterName,
    peerVServerName,
    peerVServerUUID,
    peerVServerId,
    peerState,
    peerStateRaw,
    applications,
    createtime,
    updatetime
  FROM
    netapp_model.vserver_peer       
  WHERE
    objState = 'LIVE';
    
CREATE VIEW netapp_model_view.vserver_peer_full AS
  SELECT
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    vServerId,
    peerClusterId,
    peerClusterName,
    peerVServerName,
    peerVServerUUID,
    peerVServerId,
    peerState,
    peerStateRaw,
    applications,
    createtime,
    updatetime,
    objState
  FROM
    netapp_model.vserver_peer; 
    
CREATE VIEW netapp_model_view.snap_mirror_history AS
  SELECT  
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    snapMirrorId,
    operationType,
    operationTypeRaw,
    additionalInfo,
    startTime,
    endTime,
    result,
    resultRaw,
    transferSize,
    createtime,
    updatetime
FROM
    netapp_model.snap_mirror_history
WHERE     
    objState = 'LIVE';
     
CREATE VIEW netapp_model_view.snap_mirror_history_full AS
  SELECT  
    objid,
    originid,
    uuid,
    resourceKey,
    clusterId,
    snapMirrorId,
    operationType,
    operationTypeRaw,
    additionalInfo,
    startTime,
    endTime,
    result,
    resultRaw,
    transferSize,
    createtime,
    updatetime,
    objState  
FROM
    netapp_model.snap_mirror_history;
    