-- Copyright (c) 2013 NetApp. All rights reserved

CREATE TABLE netapp_model.nis_domain (
    objid BIGINT(20) NOT NULL COMMENT 'Locally unique object identifier.',
    originid BIGINT(20) NOT NULL,
    uuid VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of NIS domain. Derived from ClusterUUID.VserverUUID.{NISDomain name}. Not from ZAPI',
    resourceKey VARCHAR(512) NOT NULL COMMENT 'DERIVED. A structured key that may be used to uniquely identify this resource globally',
    clusterId BIGINT(20) NOT NULL,
    vserverId BIGINT(20) NOT NULL,
    nisDomain VARCHAR(255) DEFAULT NULL COMMENT 'Specifies the NIS domain.',
    nisServers VARCHAR(255) DEFAULT NULL COMMENT 'Ordered list of IP addresses of the NIS servers in this domain.  Comma separated',
    isActive TINYINT(1)  DEFAULT NULL COMMENT ' Specifies whether the NIS domain configuration is active or inactive.',
    checksum INT NOT NULL,
    changeDetailChecksum INT NOT NULL,
    updatetime BIGINT(20) NOT NULL,
    KEY updatetime_index (updatetime),
    KEY originId_index (originid),
    CONSTRAINT FOREIGN KEY FK_clusterId (clusterId) REFERENCES netapp_model.cluster (objid),
    CONSTRAINT FOREIGN KEY FK_vserverId (vserverId) REFERENCES netapp_model.vserver (objid),
    PRIMARY KEY (objid)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--Drop previous columns on vserver that have now moved
ALTER TABLE netapp_model.vserver DROP COLUMN nisServers;
ALTER TABLE netapp_model.vserver DROP COLUMN nisDomainName;
