ALTER TABLE netapp_model.network_port ADD COLUMN resourceKey VARCHAR(255) NOT NULL COMMENT 'DERIVED. A structured key that may be used to uniquely identify this resource globally.' AFTER uuid;
ALTER TABLE netapp_model.network_port ADD COLUMN administrativeSpeedRaw VARCHAR(255) DEFAULT NULL AFTER administrativeSpeed;
ALTER TABLE netapp_model.network_port ADD COLUMN operationalSpeedRaw VARCHAR(255) DEFAULT NULL AFTER operationalSpeed;
ALTER TABLE netapp_model.network_port ADD COLUMN linkStatusRaw VARCHAR(255) DEFAULT NULL AFTER linkStatus;
ALTER TABLE netapp_model.network_port ADD COLUMN roleRaw VARCHAR(255) DEFAULT NULL AFTER role;
ALTER TABLE netapp_model.network_port ADD COLUMN portTypeRaw VARCHAR(255) DEFAULT NULL AFTER portType;
ALTER TABLE netapp_model.network_port ADD COLUMN operationalDuplexRaw VARCHAR(255) DEFAULT NULL AFTER operationalDuplex;
ALTER TABLE netapp_model.network_port CHANGE COLUMN vlanId vlanIdentifier BIGINT(20) DEFAULT NULL COMMENT 'For ports of type VLAN, the VLAN ID';
ALTER TABLE netapp_model.network_port DROP vlanPort;
ALTER TABLE netapp_model.network_port DROP ifgrpPort;

CREATE TABLE netapp_model.network_port_relationship (
    objid BIGINT(20) NOT NULL COMMENT 'Locally unique object identifier.',
    originid BIGINT(20) NOT NULL,
    uuid VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of the Network Port. Not from ZAPI',
    vlanPortId BIGINT(20) NULL COMMENT 'ID of the physical port on which the VLAN is created',
    ifgrpPortId BIGINT(20) NULL COMMENT 'ID of the IFGRP port on which the port belongs',
    checksum INT NOT NULL,
    updatetime BIGINT(20) NOT NULL,
    KEY updatetime_index (updatetime),
    KEY originId_index (originid),
    PRIMARY KEY (objid),
    CONSTRAINT FOREIGN KEY FK_objid (objid) REFERENCES netapp_model.network_port (objid)
    ) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;