CREATE TABLE netapp_model.changed_attribute (
    id BIGINT(20) NOT NULL AUTO_INCREMENT,
    updateTime BIGINT(20) NOT NULL COMMENT 'The time that the change was made',
    objectType VARCHAR(255) NOT NULL COMMENT 'Type of the object that was updated',
    objId BIGINT(20) NOT NULL COMMENT 'Id of the object that was updated',
    attribute VARCHAR(255) NOT NULL COMMENT 'Name of the attribute that was updated',
    oldValue VARCHAR(255) COMMENT 'Attribute value before the update',
    newValue VARCHAR(255) COMMENT 'Attribute value after the update',
    PRIMARY KEY (id)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

ALTER TABLE netapp_model.aggregate ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.cifs_share ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.cluster ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.disk ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.disk_path ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.export_policy ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.export_rule ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.fcp_lif ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.fcp_port ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.ha_pair ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.igroup ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.igroup_initiator ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.iscsi_portal_group ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.iscsi_portal_group_lif ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.iscsi_security_entry ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.iscsi_session ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.iscsi_session_connection ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.license ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.lun ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.lun_map ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.network_lif ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.network_port ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.network_port_relationship ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.node ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.plex ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.portset ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.portset_port ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.portset_to_igroup ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.processor ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.qtree ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.quota ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.quota_user ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.raid_group ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.snap_mirror ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.snapshot ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.storage_adapter ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.volume ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.volume_clone ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.volume_flexcache ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.volume_move_job ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;
ALTER TABLE netapp_model.vserver ADD COLUMN changeDetailChecksum INT NOT NULL AFTER checksum;

RENAME TABLE netapp_model.changes TO netapp_model.change;