ALTER TABLE netapp_model.volume ADD COLUMN isSnapDiffEnabled BOOL DEFAULT NULL COMMENT 'Whether to enable Snapdiff. If enabled, the namespace mirrors will be created for Snapdiff use.   ZAPI: Volume-infinitevol-attributes.enable-snapdiff' AFTER percentageCompressionSpaceSaved;
ALTER TABLE netapp_model.volume ADD COLUMN isManagedByService BOOL DEFAULT NULL COMMENT 'Specifies if the volume is managed by GUI services.  ZAPI: Volume-infinitevol-attributes.is-managed-by-service' AFTER isSnapDiffEnabled;
ALTER TABLE netapp_model.volume ADD COLUMN maxDataConstituentSize BIGINT(20) DEFAULT NULL COMMENT 'The maximum size of each data constituent in bytes. The smallest, "maximum FlexVol size" setting on all nodes used by the Infinite Volume, is chosen as the default value. ZAPI:Volume-infinitevol-attributes.max-data-constituent-size' AFTER isManagedByService;
ALTER TABLE netapp_model.volume ADD COLUMN maxNamespaceConstituentSize BIGINT(20) DEFAULT NULL COMMENT 'The maximum size of the namespace constituent. The default value is 10TB.   ZAPI: Volume-infinitevol-attributes.max-namespace-constituent-size' AFTER maxDataConstituentSize;
ALTER TABLE netapp_model.volume ADD COLUMN constituentRole ENUM ('NOT_MAPPED', 'NAMESPACE', 'DATA', 'NS_MIRROR', 'OLS', 'UNKNOWN') DEFAULT NULL COMMENT 'This field specifies the role of a constituent within an Infinite Volume. This field is only supported for Infinite Volume constituents.  ZAPI:Volume-infinitevol-attributes.constituent-role' AFTER maxNamespaceConstituentSize;
ALTER TABLE netapp_model.volume ADD COLUMN constituentRoleRaw VARCHAR(255) DEFAULT NULL AFTER constituentRole;

-- making the aggregateId column nullable
ALTER TABLE netapp_model.volume MODIFY COLUMN aggregateId BIGINT(20);