-- Copyright (c) 2012 NetApp. All rights reserved
ALTER TABLE netapp_model.vserver ADD COLUMN isKerberosEnabled BOOL DEFAULT NULL COMMENT 'If true,  kerberos security is enabled. ZAPIs:  kerberors-config-get-iter kerberos-config-info.is-kerberos-enabled' AFTER ldapClientEnabled;
ALTER TABLE netapp_model.aggregate ADD COLUMN hasLocalRoot BOOL DEFAULT NULL COMMENT 'Whether the aggregate contains the local root volume. ZAPIs: aggr-get-iter has-local-root.' AFTER raidSize;
ALTER TABLE netapp_model.aggregate ADD COLUMN hasPartnerRoot BOOL DEFAULT NULL COMMENT 'Whether the aggregate contains the partner\'s root volume. ZAPIs: aggr-get-iter has-partner-root.' AFTER hasLocalRoot;

RENAME TABLE netapp_model.change TO netapp_model.change_record;

CREATE TABLE netapp_model.service_processor (
	objid BIGINT(20) NOT NULL,
	originid BIGINT(20) NOT NULL,
	UUID VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of the ServiceProcessor. DERIVED from  {clusterUUID}.{macAddress}.',
	resourceKey VARCHAR(512) NOT NULL COMMENT 'DERIVED.  A structured key that may be used to uniquely identify this resource globally.',
    clusterId BIGINT(20) NOT NULL,
    nodeId BIGINT(20) DEFAULT NULL,
    macAddress VARCHAR(255) DEFAULT NULL COMMENT 'MAC address of the device.',
    ipAddress VARCHAR(255) DEFAULT NULL COMMENT 'Ordered list of Public addresses of the device, comma separated.',
    type ENUM('RLM', 'SP', 'NOT_MAPPED') DEFAULT NULL COMMENT 'Type of device.',
    typeRaw VARCHAR(255) DEFAULT NULL COMMENT 'Type of device - raw zapi value.',
    status ENUM('ONLINE', 'OFFLINE', 'SP_DAEMON_OFFLINE', 'NODE_OFFLINE', 'DEGRADED', 'REBOOTING', 'UNKNOWN', 'NOT_MAPPED') DEFAULT NULL COMMENT 'Current status of the device.',
    statusRaw VARCHAR(255) DEFAULT NULL COMMENT 'Current status of the device - raw zapi value.',
    isIpConfigured bool not null COMMENT 'Is network configured on the device to have at least one public IP address',
    checksum INT NOT NULL,
	changeDetailChecksum INT NOT NULL,
	updatetime BIGINT(20) NOT NULL,
	KEY updatetime_index (updatetime),
    KEY originId_index (originid),
	CONSTRAINT FOREIGN KEY FK_clusterId (clusterId) REFERENCES netapp_model.cluster (objid),
	CONSTRAINT FOREIGN KEY FK_nodeId (nodeId) REFERENCES netapp_model.node (objid),
	PRIMARY KEY (objid)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;