-- Copyright (c) 2012 NetApp. All rights reserved


CREATE TABLE netapp_model.routing_group (
	objid BIGINT(20) NOT NULL,
	originid BIGINT(20) NOT NULL,
	UUID VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of the RoutingGroup. DERIVED from  {clusterUUID}.{vserver-uuid}.{routing-group}.',
	resourceKey VARCHAR(512) NOT NULL COMMENT 'DERIVED.  A structured key that may be used to uniquely identify this resource globally.',
    clusterId BIGINT(20) NOT NULL,
    vserverId BIGINT(20) NOT NULL,
    routingGroupName VARCHAR(255) DEFAULT NULL COMMENT 'The name of routing group.',
    destinationAddress VARCHAR(255) DEFAULT NULL COMMENT 'the IP address and subnet mask of destination.',
    gatewayAddress VARCHAR(255) DEFAULT NULL COMMENT 'the IP address and subnet mask of destination.',
    addressFamily ENUM('IPV4', 'IPV6', 'NOT_MAPPED') DEFAULT NULL COMMENT 'Address family.',
    addressFamilyRaw VARCHAR(255) DEFAULT NULL COMMENT 'Address family - raw zapi value.',
    checksum INT NOT NULL,
	changeDetailChecksum INT NOT NULL,
	updatetime BIGINT(20) NOT NULL,
	KEY updatetime_index (updatetime),
    KEY originId_index (originid),
	CONSTRAINT FOREIGN KEY FK_clusterId (clusterId) REFERENCES netapp_model.cluster (objid),
	CONSTRAINT FOREIGN KEY FK_vserverId (vserverId) REFERENCES netapp_model.vserver (objid),
	PRIMARY KEY (objid)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

ALTER TABLE netapp_model.network_lif ADD COLUMN routingGroupId BIGINT(20) DEFAULT NULL AFTER homePortId;
ALTER TABLE netapp_model.network_lif ADD CONSTRAINT FOREIGN KEY FK_routingGroupId (routingGroupId) REFERENCES netapp_model.routing_group (objid);

ALTER TABLE netapp_model.network_lif DROP COLUMN routingGroupName;