-- Copyright (c) 2013 NetApp. All rights reserved

-- Change column type of snap_mirror.progressLastUpdated from VARCHAR to TIMESTAMP

-- Unfortunately, MySQL cannot directly convert a VARCHAR to TIMESTAMP by just altering the column type.
-- Therefore we have to:
--  1) Rename the existing column to a temporary name
ALTER TABLE netapp_model.snap_mirror CHANGE COLUMN progressLastUpdated progressLastUpdatedVarchar VARCHAR(255);
--  2) Create the new TIMESTAMP column
ALTER TABLE netapp_model.snap_mirror ADD COLUMN progressLastUpdated TIMESTAMP NULL DEFAULT NULL COMMENT 'A timestamp indicating when the progress of the transfer was last updated.' AFTER lastTransferTypeRaw;
--  3) Convert the old VARCHAR values to the new TIMESTAMP values and store them in the new TIMESTAMP column
UPDATE netapp_model.snap_mirror SET progressLastUpdated = FROM_UNIXTIME(CAST(progressLastUpdatedVarchar AS UNSIGNED INTEGER));
--  4) Drop the old/temporary VARCHAR column
ALTER TABLE netapp_model.snap_mirror DROP COLUMN progressLastUpdatedVarchar;
