-- Copyright (c) 2013 NetApp. All rights reserved

 ALTER TABLE netapp_model.volume_self_relationship ADD COLUMN cloneParentId BIGINT(20) DEFAULT NULL COMMENT 'Parent (source) volume of the clone pair' AFTER junctionParentId;

 UPDATE netapp_model.volume_self_relationship r, netapp_model.volume v SET r.cloneParentId= v.cloneParentId WHERE r.objid = v.objid;

 DROP table netapp_model.volume_clone;

 ALTER TABLE netapp_model.cluster ADD COLUMN diagnosisStatus ENUM('NOT_MAPPED', 'OK', 'OK_WITH_SUPPRESSED', 'DEGRADED', 'UNREACHABLE', 'UNKNOWN') DEFAULT NULL COMMENT 'Overall system health as determined by diagnosis framework.' AFTER location;
 ALTER TABLE netapp_model.cluster ADD COLUMN diagnosisStatusRaw varchar(255) DEFAULT NULL COMMENT 'Overall system health as determined by diagnosis framework - ZAPI raw value' AFTER diagnosisStatus;


 ALTER TABLE netapp_model.license ADD COLUMN ownerNodeId BIGINT(20) DEFAULT NULL COMMENT 'objId of Node, present only if ownerType is NODE ' AFTER resourceKey;
 ALTER TABLE netapp_model.license ADD COLUMN ownerType ENUM('NODE', 'CLUSTER') DEFAULT NULL COMMENT 'The entity type of the owner' DEFAULT NULL  AFTER ownerNodeId;
 ALTER TABLE netapp_model.license ADD COLUMN ownerName VARCHAR(255) DEFAULT NULL COMMENT 'The name of the owner that owns the serial number.'  AFTER ownerType;
 ALTER TABLE netapp_model.license ADD COLUMN expirationTime TIMESTAMP NULL DEFAULT NULL COMMENT 'License expiration time' AFTER serialNumber;
 ALTER TABLE netapp_model.license ADD COLUMN description VARCHAR(255) DEFAULT NULL COMMENT 'Description of the licensed package' AFTER expirationTime;

 ALTER TABLE netapp_model.license ADD CONSTRAINT FOREIGN KEY FK_nodeId (ownerNodeId) REFERENCES netapp_model.node (objid);


 UPDATE netapp_model.license SET ownerType = 'CLUSTER';

 ALTER TABLE netapp_model.license MODIFY COLUMN ownerType ENUM('NODE', 'CLUSTER') NOT NULL COMMENT 'The entity type of the owner' AFTER ownerNodeId;














