-- Copyright (c) 2013 NetApp. All rights reserved

-- Create new child table
CREATE TABLE netapp_model.routing_group_destination (
    objid BIGINT(20) NOT NULL,
    originid BIGINT(20) NOT NULL,
    uuid VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of the RoutingGroupDestination. DERIVED from {clusterUUID}.{vserver-uuid}.{routing-group}.{destination-address}',
    resourceKey VARCHAR(512) NOT NULL COMMENT 'DERIVED. A structured key that may be used to uniquely identify this resource globally.',
    clusterId BIGINT(20) NOT NULL,
    vserverId BIGINT(20) NOT NULL,
    routingGroupId BIGINT(20) NOT NULL,
    destinationAddress VARCHAR(255) DEFAULT NULL COMMENT 'The IP address and subnet mask of destination',
    gatewayAddress VARCHAR(255) DEFAULT NULL COMMENT 'The IP address and subnet mask of destination',
    checksum INT NOT NULL,
    changeDetailChecksum INT NOT NULL,
    updatetime BIGINT(20) NOT NULL,
    KEY updatetime_index (updatetime),
    KEY originId_index (originid),
    CONSTRAINT FOREIGN KEY FK_clusterId (clusterId) REFERENCES netapp_model.cluster (objid),
    CONSTRAINT FOREIGN KEY FK_vserverId (vserverId) REFERENCES netapp_model.vserver (objid),
    CONSTRAINT FOREIGN KEY FK_routingGroupId (routingGroupId) REFERENCES netapp_model.routing_group (objid),
    PRIMARY KEY (objid)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- drop columns from parent
ALTER TABLE netapp_model.routing_group DROP COLUMN destinationAddress;
ALTER TABLE netapp_model.routing_group DROP COLUMN gatewayAddress;

-- fix UUID case on parent
ALTER TABLE netapp_model.routing_group CHANGE COLUMN UUID uuid VARCHAR(255) NOT NULL COMMENT 'Globally unique ID of the RoutingGroup. DERIVED from {clusterUUID}.{vserver-uuid}.{routing-group}';
