CREATE TABLE netapp_performance.sample_current_qos_service_center(
    objid BIGINT(20) COMMENT 'Reference ID of qos service center',
    time BIGINT(20),
    empty BOOL,
    containerkey VARCHAR(255),
    containerid bigint(20) COMMENT 'Cluster container reference ID',
    waitTime FLOAT COMMENT 'the average time between a message/disk IO being sent to the queueing center and the start if its being serviced, aggregated from workload details for Delay service centers',
    visits FLOAT COMMENT 'average number of visits to the queueing center to satisfy the I/O, aggregated from workload details for Delay service centers',
    utilization FLOAT COMMENT 'The percent of the resource that is used.', 
    KEY containerkey_index (containerkey),
    PRIMARY KEY (objid, containerid)
    ) ENGINE=INNODB DEFAULT CHARSET=utf8 COLLATE=utf8_bin
    PARTITION BY LIST(containerid) (PARTITION p0 VALUES IN (0));
    