/*Adding columns for graghite. Drop the tables and have server recreate them */

USE `netapp_performance`;

DROP TABLE IF EXISTS `sample_node`;
DROP TABLE IF EXISTS `summary_node`;
DROP TABLE IF EXISTS `sample_fcpport`;
DROP TABLE IF EXISTS `summary_fcpport`;

DROP TABLE IF EXISTS `sample_iscsilif`;
DROP TABLE IF EXISTS `summary_iscsilif`;
DROP TABLE IF EXISTS `sample_fcplif`;
DROP TABLE IF EXISTS `summary_fcplif`;

DROP TABLE IF EXISTS `sample_iscsilif_raw`;


/* alter table for sample_current_* goes here. */
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN avgProcessorBusy float COMMENT 'Average processor utilization across all processors in the system' AFTER cpuBusy;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN readOps float COMMENT 'Number of read operations initiated each second for storing data or metadata associated with the node' AFTER avgProcessorBusy;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN writeOps float COMMENT 'Number of write operations initiated each second for storing data or metadata associated with the node' AFTER readOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN totalOps float COMMENT 'Number of total operations initiated each second for storing data or metadata associated with the node' AFTER writeOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN otherOps float COMMENT 'Number of other operations initiated each second for storing data or metadata associated with the node' AFTER totalOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN partnerOps float COMMENT 'Number of partner operations initiated each second for storing data or metadata associated with the node' AFTER otherOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN cifsOps float COMMENT 'Number of cifs operations initiated each second for storing data or metadata associated with the node' AFTER partnerOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN fcpOps float COMMENT 'Number of fcp operations initiated each second for storing data or metadata associated with the node' AFTER cifsOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN httpOps float COMMENT 'Number of http operations initiated each second for storing data or metadata associated with the node' AFTER fcpOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN iscsiOps float COMMENT 'Number of iscsi operations initiated each second for storing data or metadata associated with the node' AFTER httpOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN nfsOps float COMMENT 'Number of nfs operations initiated each second for storing data or metadata associated with the node' AFTER iscsiOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN sysReadLatency float COMMENT 'latency in microseconds for system read' AFTER nfsOps;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN sysWriteLatency float COMMENT 'latency in microseconds for system write' AFTER sysReadLatency;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN sysOtherLatency float COMMENT 'Average latency in microseconds for system operation' AFTER sysWriteLatency;
ALTER TABLE netapp_performance.sample_current_node ADD COLUMN sysAvgLatency float COMMENT 'latency in microseconds for system other' AFTER sysOtherLatency;

ALTER TABLE netapp_performance.sample_current_fcpport ADD COLUMN avgOtherLatency float COMMENT 'Average latency on the fcp port' AFTER writeOps;
ALTER TABLE netapp_performance.sample_current_fcpport ADD COLUMN avgReadLatency float COMMENT 'Average read latency on the fcp port' AFTER avgOtherLatency;
ALTER TABLE netapp_performance.sample_current_fcpport ADD COLUMN avgWriteLatency float COMMENT 'Average write latency on the fcp port' AFTER avgReadLatency;


ALTER TABLE netapp_performance.sample_current_iscsilif ADD COLUMN readData float COMMENT 'Number of read data from iSCSI sessions on this LIF' AFTER protocolErrors;
ALTER TABLE netapp_performance.sample_current_iscsilif ADD COLUMN writeData float COMMENT 'Number of writedata from iSCSI sessions on this LIF' AFTER readData;
ALTER TABLE netapp_performance.sample_current_iscsilif ADD COLUMN cmdTransfered float COMMENT 'command transfered from iSCSI sessions on this LIF' AFTER writeData;
ALTER TABLE netapp_performance.sample_current_iscsilif ADD COLUMN avgLatency float COMMENT 'Average latency through iSCSI sessions on this LIF' AFTER cmdTransfered;


