ALTER TABLE netapp_model.portset_port ADD COLUMN fcpLifId BIGINT(20) COMMENT 'for fcp port, show objid in fcp_lif table; otherwise show null' AFTER name;
ALTER TABLE netapp_model.portset_port ADD COLUMN iSCSIPortalGroupId BIGINT(20) COMMENT 'for iscsi port, show objid in iscsi_portal_group table; otherwise show null' AFTER fcpLifId;
ALTER TABLE netapp_model.portset_port ADD CONSTRAINT FOREIGN KEY FK_fcpLifId (fcpLifId) REFERENCES netapp_model.fcp_lif (objid);
ALTER TABLE netapp_model.portset_port ADD CONSTRAINT FOREIGN KEY FK_iSCSIPortalGroupId (iSCSIPortalGroupId) REFERENCES netapp_model.iscsi_portal_group (objid);

create temporary table portSetPortIdFcpIdTable (
  select psp.objid as objid, fl.objId as valueToSet
  from  netapp_model.fcp_lif fl
  inner join
    netapp_model.portset_port psp ON (substring_index(fl.uuid, '.', - 1) = psp.name)
  inner join
    netapp_model.portset ps ON (ps.objId = psp.portsetId and ps.type = 'FCP')
);

update netapp_model.portset_port set netapp_model.portset_port.fcpLifId = (select valueToSet from portSetPortIdFcpIdTable where netapp_model.portset_port.objid = portSetPortIdFcpIdTable.objid);

create temporary table portSetPortIScsiPortalGroupIdTable (
  select psp.objid as objid, si.objId as valueToSet
  from
    netapp_model.portset_port psp
  inner join
    netapp_model.portset ps ON (ps.objId = psp.portsetId and ps.type = 'ISCSI')
  inner join
    netapp_model.iscsi_portal_group si ON(si.clusterId=ps.clusterId and si.vserverId=ps.vserverId and si.name = psp.name)
);

update netapp_model.portset_port set netapp_model.portset_port.iSCSIPortalGroupId = (select valueToSet from portSetPortIScsiPortalGroupIdTable where netapp_model.portset_port.objid = portSetPortIScsiPortalGroupIdTable.objid);

