ALTER TABLE netapp_model.cluster ADD COLUMN isMetrocluster TINYINT(1) DEFAULT 0 COMMENT 'If cluster is part of a metrocluster.' AFTER timeZoneVersion;
ALTER TABLE netapp_model.cluster ADD COLUMN mtDrPartnerClusterUUID VARCHAR(45) DEFAULT NULL COMMENT 'The partner cluster UUID on the metrocluster' AFTER isMetrocluster;
ALTER TABLE netapp_model.cluster ADD COLUMN mtDrPartnerClusterId BIGINT(20) DEFAULT NULL AFTER mtDrPartnerClusterUUID;
ALTER TABLE netapp_model.cluster ADD COLUMN mtConfigurationState enum('UNKNOWN','NOT_REACHABLE','NOT_CONFIGURED','CONFIGURED_ERROR','PARTIALLY_CONFIGURED','CONFIGURED','NOT_MAPPED') DEFAULT NULL COMMENT 'state of local cluster configuration.' AFTER mtDrPartnerClusterUUID;
ALTER TABLE netapp_model.cluster ADD COLUMN mtConfigurationStateRaw VARCHAR(45) DEFAULT NULL COMMENT 'state of local cluster configuration.Raw enum value from ZAPI' AFTER mtConfigurationState;
ALTER TABLE netapp_model.cluster ADD COLUMN mtMode enum('UNKNOWN','NOT_REACHABLE','NOT_CONFIGURED','NORMAL','SWITCHOVER','WAITING_FOR_SWITCHBACK','CONFIGURED_ERROR','PARTIALLY_SWITCHOVER', 'PARTIALLY_SWITCHBACK','NOT_MAPPED') DEFAULT NULL COMMENT 'Mode of operation of local cluster.' AFTER mtConfigurationStateRaw;
ALTER TABLE netapp_model.cluster ADD COLUMN mtModeRaw VARCHAR(45) DEFAULT NULL COMMENT 'Mode of operation of local cluster.Raw enum value from ZAPI' AFTER mtMode;

ALTER TABLE netapp_model.node ADD COLUMN mtDrPartnerNodeUUID VARCHAR(45) DEFAULT NULL COMMENT 'The partner node UUID on the MetroCluster' AFTER partnerNodeId;
ALTER TABLE netapp_model.node ADD COLUMN mtDrPartnerNodeId BIGINT(20) DEFAULT NULL AFTER mtDrPartnerNodeUUID;
ALTER TABLE netapp_model.node ADD COLUMN mtDrOperationState enum('NORMAL','SWITCHOVER_IN_PROGRESS','SWITCHOVER_FAILED','SWITCHOVER_COMPLETED','HEAL_AGGRS_IN_PROGRESS','HEAL_AGGRS_FAILED','HEAL_AGGRS_COMPLETED','HEAL_ROOTS_FAILED', 'HEAL_ROOTS_COMPLETED', 'SWITCHBACK_IN_PROGRESS', 'SWTICHBACK_FAILED','NOT_MAPPED') DEFAULT NULL COMMENT 'The operation state of partner node on metrocluster.' AFTER mtDrPartnerNodeUUID;
ALTER TABLE netapp_model.node ADD COLUMN mtDrOperationStateRaw VARCHAR(45) DEFAULT NULL COMMENT 'The operation state of partner node on metrocluster.Raw enum value from ZAPI' AFTER mtDrOperationState;

ALTER TABLE netapp_model.plex ADD COLUMN status enum('NORMAL','FAILED','EMPTY','INVALID','UNINITIALIZED','FAILED_ASSIMILATION','LIMBO','ACTIVE', 'INACTIVE', 'RESYNCING','NOT_MAPPED') DEFAULT NULL COMMENT 'The plex status.' AFTER isOnline;
ALTER TABLE netapp_model.plex ADD COLUMN statusRaw  VARCHAR(45) DEFAULT NULL COMMENT 'The plex status. Raw value from ZAPI' AFTER status;
