SET @xmlDoc = ' <columns>'
                    '<columnName>totalTransfersHdd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of transfers per second serviced by the aggregate HDD disks.\'</comments>'
                    '<columnName>totalTransfersSsd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of transfers per second serviced by the aggregate SSD disks.\'</comments>'
                    '<columnName>userReadBlocksHdd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of blocks read per second on the aggregate HDD disks.\'</comments>'
                     '<columnName>userReadBlocksSsd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of blocks read per second on the aggregate SSD disks.\'</comments>'
                    '<columnName>userReadsHdd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of user reads per second to the aggregate HDD disks.\'</comments>'
                    '<columnName>userReadsSsd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of user reads per second to the aggregate SSD disks.\'</comments>'
                    '<columnName>userWriteBlocksHdd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of blocks written per second to the aggregate HDD disks.\'</comments>'
                     '<columnName>userWriteBlocksSsd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of blocks written per second to the aggregate SSD disks.\'</comments>'
                    '<columnName>userWritesHdd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of user writes per second to the aggregate HDD disks.\'</comments>'
                     '<columnName>userWritesSsd</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Number of user writes per second to the aggregate SSD disks.\'</comments>'
             '</columns> ';

SET @xmlDocRaw = ' <columns>'
                    '<columnName>total_transfers_hdd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of total number of transfers per second serviced by the aggregate HDD disks.\'</comments>'
                    '<columnName>total_transfers_ssd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of transfers per second serviced by the aggregate SSD disks.\'</comments>'
                    '<columnName>user_read_blocks_hdd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of blocks read per second on the aggregate HDD disks.\'</comments>'
                     '<columnName>user_read_blocks_ssd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of blocks read per second on the aggregate SSD disks.\'</comments>'
                    '<columnName>user_reads_hdd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of user reads per second to the aggregate HDD disks.\'</comments>'
                    '<columnName>user_reads_ssd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of user reads per second to the aggregate SSD disks.\'</comments>'
                    '<columnName>user_write_blocks_hdd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of blocks written per second to the aggregate HDD disks.\'</comments>'
                     '<columnName>user_write_blocks_ssd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of blocks written per second to the aggregate SSD disks.\'</comments>'
                    '<columnName>user_writes_hdd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of user writes per second to the aggregate HDD disks.\'</comments>'
                     '<columnName>user_writes_ssd</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of number of user writes per second to the aggregate SSD disks.\'</comments>'
             '</columns> ';

CALL netapp_performance.add_columns('sample_aggregate_[[:digit:]]',@xmlDoc);
CALL netapp_performance.add_columns('summary_aggregate_[[:digit:]]',@xmlDoc);
CALL netapp_performance.add_columns('sample_aggregate_raw_[[:digit:]]',@xmlDocRaw);