-- Add columns
SET @xmlDocNfsv3AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Average latency of Nfsv3 requests.\'</comments>'
                    '<columnName>totalOps</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of Nfsv3 requests per sec.\'</comments>'
             '</columns> ';

SET @xmlDocRawNfsv3AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of average latency of Nfsv3 requests.\'</comments>'
                    '<columnName>total_ops</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of total number of Nfsv3 requests per second .\'</comments>'
              '</columns> ';

SET @xmlDocNfsv4AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Average latency of Nfsv4 requests.\'</comments>'
                    '<columnName>totalOps</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of Nfsv4 requests per sec.\'</comments>'
             '</columns> ';

SET @xmlDocRawNfsv4AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of average latency of Nfsv4 requests.\'</comments>'
                    '<columnName>total_ops</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of total number of Nfsv4 requests per second .\'</comments>'
              '</columns> ';

SET @xmlDocNfsv41AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Average latency of Nfsv41 requests.\'</comments>'
                    '<columnName>totalOps</columnName>'
                    '<columnType>FLOAT DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Total number of Nfsv41 requests per sec.\'</comments>'
             '</columns> ';

SET @xmlDocRawNfsv41AddColumns = ' <columns>'
                    '<columnName>latency</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of average latency of Nfsv41 requests.\'</comments>'
                    '<columnName>total_ops</columnName>'
                    '<columnType>BIGINT UNSIGNED DEFAULT NULL</columnType>'
                    '<comments> COMMENT \'Raw value of total number of Nfsv41 requests per second .\'</comments>'
              '</columns> ';

CALL netapp_performance.add_columns('sample_nfsv3$',@xmlDocNfsv3AddColumns);
CALL netapp_performance.add_columns('summary_nfsv3$',@xmlDocNfsv3AddColumns);
CALL netapp_performance.add_columns('sample_nfsv3_raw_[[:digit:]]',@xmlDocRawNfsv3AddColumns);

CALL netapp_performance.add_columns('sample_nfsv4$',@xmlDocNfsv4AddColumns);
CALL netapp_performance.add_columns('summary_nfsv4$',@xmlDocNfsv4AddColumns);
CALL netapp_performance.add_columns('sample_nfsv4_raw_[[:digit:]]',@xmlDocRawNfsv4AddColumns);

CALL netapp_performance.add_columns('sample_nfsv41$',@xmlDocNfsv41AddColumns);
CALL netapp_performance.add_columns('summary_nfsv41$',@xmlDocNfsv41AddColumns);
CALL netapp_performance.add_columns('sample_nfsv41_raw_[[:digit:]]',@xmlDocRawNfsv41AddColumns);


--change column names

SET @xmlDocv3 = ' <columns>'
                    '<oldColumnName>nfsv3_ops</oldColumnName>'
                     '<newColumnName>nfsv3Ops</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>nfsv3_read_ops</oldColumnName>'
                     '<newColumnName>nfsv3ReadOps</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>nfsv3_write_ops</oldColumnName>'
                     '<newColumnName>nfsv3WriteOps</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_total</oldColumnName>'
                     '<newColumnName>readTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv3_read_throughput</oldColumnName>'
                     '<newColumnName>nfsv3ReadThroughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>nfsv3_throughput</oldColumnName>'
                     '<newColumnName>nfsv3Throughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_total</oldColumnName>'
                     '<newColumnName>writeTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv3_write_throughput</oldColumnName>'
                     '<newColumnName>nfsv3WriteThroughput</newColumnName>'
					            '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_avg_latency</oldColumnName>'
                     '<newColumnName>readAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_avg_latency</oldColumnName>'
                     '<newColumnName>writeAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
              '</columns> ';

SET @xmlDocv4 = ' <columns>'
                    '<oldColumnName>nfsv4_ops</oldColumnName>'
                     '<newColumnName>nfsv4Ops</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_total</oldColumnName>'
                     '<newColumnName>readTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv4_read_throughput</oldColumnName>'
                     '<newColumnName>nfsv4ReadThroughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>nfsv4_throughput</oldColumnName>'
                     '<newColumnName>nfsv4Throughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_total</oldColumnName>'
                     '<newColumnName>writeTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv4_write_throughput</oldColumnName>'
                     '<newColumnName>nfsv4WriteThroughput</newColumnName>'
					            '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_avg_latency</oldColumnName>'
                     '<newColumnName>readAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_avg_latency</oldColumnName>'
                     '<newColumnName>writeAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
              '</columns> ';

SET @xmlDocv41 = ' <columns>'
                    '<oldColumnName>nfsv41_ops</oldColumnName>'
                     '<newColumnName>nfsv41Ops</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_total</oldColumnName>'
                     '<newColumnName>readTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv41_read_throughput</oldColumnName>'
                     '<newColumnName>nfsv41ReadThroughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>nfsv41_throughput</oldColumnName>'
                     '<newColumnName>nfsv41Throughput</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_total</oldColumnName>'
                     '<newColumnName>writeTotal</newColumnName>'
					          '<columnType>BIGINT(20)</columnType>'
                    '<oldColumnName>nfsv41_write_throughput</oldColumnName>'
                     '<newColumnName>nfsv41WriteThroughput</newColumnName>'
					            '<columnType>FLOAT</columnType>'
                    '<oldColumnName>read_avg_latency</oldColumnName>'
                     '<newColumnName>readAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
                    '<oldColumnName>write_avg_latency</oldColumnName>'
                     '<newColumnName>writeAvgLatency</newColumnName>'
					          '<columnType>FLOAT</columnType>'
              '</columns> ';

CALL netapp_performance.change_columns('sample_nfsv3$', @xmlDocv3);
CALL netapp_performance.change_columns('summary_nfsv3$', @xmlDocv3);

CALL netapp_performance.change_columns('sample_nfsv4$', @xmlDocv4);
CALL netapp_performance.change_columns('summary_nfsv4$', @xmlDocv4);

CALL netapp_performance.change_columns('sample_nfsv41$', @xmlDocv41);
CALL netapp_performance.change_columns('summary_nfsv41$', @xmlDocv41);

-- drop columns
SET @xmlDocNFS3Drop =  '<columns>'
                            '<columnName>nfsv3_latency_hist</columnName>'
                       '</columns> ';

SET @xmlDocNFS4Drop =  '<columns>'
                            '<columnName>nfs4_latency_hist</columnName>'
                       '</columns> ';

SET @xmlDocNFS41Drop =  '<columns>'
                            '<columnName>nfs41_latency_hist</columnName>'
                       '</columns> ';

CALL netapp_performance.drop_columns('sample_nfsv3_raw_[[:digit:]]', @xmlDocNFS3Drop);
CALL netapp_performance.drop_columns('sample_nfsv4_raw_[[:digit:]]', @xmlDocNFS4Drop);
CALL netapp_performance.drop_columns('sample_nfsv41_raw_[[:digit:]]', @xmlDocNFS41Drop);
