DROP FUNCTION IF EXISTS netapp_performance.percent_clean_time_util;
DELIMITER $$

CREATE FUNCTION netapp_performance.percent_clean_time_util(total_cp_msecs FLOAT, p2_flush FLOAT, max_aggregate_utilization FLOAT, delta_poll_time FLOAT)
	RETURNS FLOAT deterministic
BEGIN
	DECLARE percent_clean_time_util FLOAT;
	DECLARE default_aggregate_utilization FLOAT;
	
	SET default_aggregate_utilization = 50.0;
	
	IF((total_cp_msecs IS NOT NULL) or (p2_flush IS NOT NULL) or (delta_poll_time IS NOT NULL)) THEN
		IF(max_aggregate_utilization < default_aggregate_utilization) THEN
			SET percent_clean_time_util = (((total_cp_msecs - p2_flush)/.8)/delta_poll_time) * 100;
		ELSE
			SET percent_clean_time_util = (total_cp_msecs/delta_poll_time) * 100;
		END IF;
	ELSE
		SET percent_clean_time_util = 0;
	END IF;
	
	RETURN COALESCE(percent_clean_time_util, 0);
END 
$$
DELIMITER ;