package com.netapp.oci.platform.common.interfaces.impl;

import com.netapp.oci.platform.common.ServerConstant;
import com.netapp.oci.platform.common.interfaces.remote.OciPlatformRemote;
import org.jboss.ejb3.annotation.RemoteBinding;
import org.jboss.ejb3.annotation.RemoteBindings;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

/**
 * @author Anton Sergeev
 */
@Stateless
@RemoteBindings({
        @RemoteBinding(jndiBinding = OciPlatformRemote.JNDI_NAME),
        @RemoteBinding(jndiBinding = ServerConstant.HTTPS_JNDI_BINDING_PREFIX + OciPlatformRemote.JNDI_NAME)})
@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
@RolesAllowed({"guest", "user", "admin"})
public class OciPlatformBean implements OciPlatformRemote {
    public long getCurrentTime() {
        return System.currentTimeMillis();
    }
}
