package com.onaro.commons.util;

import java.util.*;

public class MapOfMaps<K,DK,V> extends HashMap<K, Map<DK, V>> {
    private static final long serialVersionUID = 1L;

	public V get(K key, DK deepKey) {
        Map<DK, V> deepMap = get(key);
        return deepMap != null ? deepMap.get(deepKey) : null;
    }

    public V put(K key, DK deepKey, V value) {
        Map<DK, V> deepMap = get(key);
        if (deepMap == null) {
            deepMap = new HashMap<DK, V>();
            put(key, deepMap);
        }

        V oldValue = deepMap.get(deepKey);
        deepMap.put(deepKey, value);
        return oldValue;
    }

    public V remove(K key, DK deepKey) {
        V oldValue = null;
        Map<DK, V> deepMap = get(key);
        if (deepMap != null) {
            oldValue = deepMap.remove(deepKey);
            if (deepMap.isEmpty()) {
                remove(key);
            }
        }

        return oldValue;
    }

    public Set<DK> getDeepKeys(){
        Set<DK> dks = new HashSet<DK>();
        for (Map<DK, V> dkvMap : values()) {
            for (DK dk : dkvMap.keySet()) {
                dks.add(dk);
            }
        }

        return dks;
    }
}