package com.onaro.sanscreen.acquisition.cli.commands;

import com.onaro.sanscreen.acquisition.cli.CLI;
import com.onaro.sanscreen.acquisition.sessions.AcquisitionFacadeSession;

import java.util.HashSet;
import java.util.Map;
import java.util.Set;

public class RmDsCommand implements Command {
    @Override
    public String usageString() {
        return "rm -id=<dsid>";
    }

    @Override
    public String usageDescription() {
        return "Delete a data source with the given id";
    }

    @Override
    public void run(final CLI cli, final Map<String, String> args) throws Exception {
        cli.checkMandatoryArguments(args, true, "id");
        long dsid = Long.parseLong(args.get("id"));
        final Set<Long> targetIDsSet = new HashSet<Long>();
        targetIDsSet.add(dsid);

        // Remove the DS and corresponding originatorID
        final AcquisitionFacadeSession facadeSession = cli.getSession(AcquisitionFacadeSession.JNDI_NAME);
        facadeSession.removeDataSource(dsid);

        System.out.println("Data source deleted");
    }
}
