package com.onaro.sanscreen.acquisition.cli.commands;

import com.onaro.sanscreen.acquisition.cli.CLI;
import com.onaro.sanscreen.acquisition.sessions.AcquisitionFacadeSession;

import java.util.Map;

public class StopDsCommand implements Command {
    @Override
    public String usageString() {
        return "stop -id=<dsid>";
    }

    @Override
    public String usageDescription() {
        return "Stop a data source with the given id";
    }

    @Override
    public void run(final CLI cli, final Map<String, String> args) throws Exception {
        cli.checkMandatoryArguments(args, true, "id");
        long dsid = Long.parseLong(args.get("id"));

        // Get a list of all data sources
        final AcquisitionFacadeSession facadeSession = cli.getSession(AcquisitionFacadeSession.JNDI_NAME);
        facadeSession.updateManual(dsid, 2);

        System.out.println("Data source stopped");
    }
}
