package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.archiver.common;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class UUID {
    /*
     * The most significant 64 bits of this UUID.
     *
     * @serial
     */
    private final long mostSigBits;

    /*
     * The least significant 64 bits of this UUID.
     *
     * @serial
     */
    private final long leastSigBits;

    public UUID(final long mostSigBits, final long leastSigBits) {
        this.mostSigBits = mostSigBits;
        this.leastSigBits = leastSigBits;
    }

    @Override
    public String toString() {
        final ByteBuffer byteBuffer = ByteBuffer.allocate(8);
        //Convert to little Endian
        byteBuffer.order(ByteOrder.BIG_ENDIAN);
        byteBuffer.putLong(leastSigBits);
        byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
        final Long leastSigBitsLE = byteBuffer.getLong(0);
        //Format and print
        return String.format("%08x-%04x-%04x-%04x-%012x",
                (mostSigBits) & 0xFFFFFFFFL,
                (mostSigBits >> 32) & 0xFFFFL,
                (mostSigBits >> 48) & 0xFFFFL,
                (leastSigBitsLE >> 48) & 0xFFFFL,
                leastSigBitsLE & 0x0000FFFFFFFFFFFFL);
    }
}
