package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.archiver.parser;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * This table models a row of counter data as we retrieve from the CCMA file. Each {@link CounterRow} contains a {@List}
 * of {@link CounterColumn}
 */
public class CounterRow {

    private final Map<String, Object> counterColumnMap;


    public CounterRow(final List<CounterColumn> counterColumnList) {
        final Map<String, Object> counterColumnMap = new HashMap<String, Object>();
        for (final CounterColumn counterColumn : counterColumnList) {
            counterColumnMap.put(counterColumn.getColumnName(), counterColumn.getColumnData());
        }
        this.counterColumnMap = Collections.unmodifiableMap(counterColumnMap);
    }


    /**
     * Returns a column name to {@link CounterColumn} {@link Map}.
     *
     * @return Column name to {@link CounterColumn} map
     */
    public Map<String, Object> getCounterColumnMap() {
        return counterColumnMap;
    }


    @Override
    public String toString() {
        return new StringBuilder("CounterRow{")
                .append("counterColumnMap=").append(counterColumnMap)
                .append('}').toString();
    }
}
