package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.partialpoll.PartialPollContext;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;

/**
 * Common builder base class for all builders.
 */
public abstract class BuilderBase<M extends BuilderModel>
{
  /**
   * "Run" this builder and update the passed model object.
   *
   * @param model          the current cluster model object.  Will be mutated.
   * @param zapiConnection A live connection to the cluster in question.
   * @throws DataSourceErrorException Any build error.
   */
  public abstract void buildModel(final M model, final ZAPIConnection zapiConnection) throws DataSourceErrorException;
}
