package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;

/**
 * @author Iti Behari
 *         Date: 7/12/13
 */
public class CIFSOptionsBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(CIFSOptionsBuilder.class);

    public CIFSOptionsBuilder() {
        super("cifs-options-get-iter", "cifs-options", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"cifs-options"}, new String[]{"vserver", "is-exportpolicy-enabled", "default-unix-user", "default-unix-group"});
        }});
    }

    @Override
    public void buildModel(final CModeCluster cluster, final ZAPIConnection zapiConnection) throws DataSourceErrorException {
        super.buildModel(cluster, zapiConnection);

    }

    protected void buildIterInstance(final CModeCluster cluster, final Element cifsServerAttrElt) {

        final String vServerName = BuilderUtil.getChildTextTrim(cifsServerAttrElt, "vserver");
        final String defaultUnixUser = BuilderUtil.getChildTextTrim(cifsServerAttrElt, "default-unix-user");
        final String defaultUnixGroup = BuilderUtil.getChildTextTrim(cifsServerAttrElt, "default-unix-group");
        final Boolean isExportPolicyEnabled = BuilderUtil.parseBooleanFromChild(cifsServerAttrElt, "is-exportpolicy-enabled");
        if(vServerName != null ) {
            cluster.createAndAddCIFSOption(vServerName, defaultUnixUser, defaultUnixGroup, isExportPolicyEnabled);
        }

    }
}
