package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeFcpLif;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;

public class FcpInterfaceBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(FcpInterfaceBuilder.class);

    public FcpInterfaceBuilder() {
        super("fcp-interface-get-iter", "fcp-interface-info", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"fcp-interface-info",}, new String[]{"interface-name", "node-name", "port-name", "vserver"});
        }});
    }

    protected void buildIterInstance(final CModeCluster cluster, final Element netIfInfoElt) {
        final String interfaceName = BuilderUtil.getChildTextTrim(netIfInfoElt, "interface-name");
        final String vServerName = BuilderUtil.getChildTextTrim(netIfInfoElt, "vserver");
        final String nodeWWN = BuilderUtil.normalizeWWN(BuilderUtil.getChildTextTrim(netIfInfoElt, "node-name"));
        final String portWWN = BuilderUtil.normalizeWWN(BuilderUtil.getChildTextTrim(netIfInfoElt, "port-name"));

        final CModeFcpLif cModeFcpLif = cluster.createFcpLif(interfaceName, vServerName);
        cModeFcpLif.setNodeWWN(nodeWWN);
        cModeFcpLif.setPortWWN(portWWN);
        cluster.getFcpLifs().add(cModeFcpLif);
    }
}
