package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeAdapterStatus;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.FcpPort;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;

public class FibreChannelBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(FibreChannelBuilder.class);

    public FibreChannelBuilder() {
        super("fc-config-list-info", "fc-config", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"fc-config",}, new String[]{"adapter-name", "adapter-status", "node-name",});
        }});
    }

    protected void buildIterInstance(final CModeCluster cluster, final Element fcConfigElt) {
        final String adapterName = BuilderUtil.getChildTextTrim(fcConfigElt, "adapter-name");
        final EnumWrapper<FcpPort.Status> statusWrapper = BuilderUtil.getEnumWrapperByValue(FcpPort.Status.class, fcConfigElt, "adapter-status", FcpPort.Status.NOT_MAPPED);
        final String adapterNodeName = BuilderUtil.getChildTextTrim(fcConfigElt, "node-name");
        final CModeAdapterStatus adapterStatus = cluster.createAdapterStatus(adapterName, adapterNodeName);
        adapterStatus.setStatus(statusWrapper);
        cluster.getAdapterStatuses().add(adapterStatus);
    }
}
