package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeVolumeFlexCache;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;

public class FlexCacheBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(FlexCacheBuilder.class);

    public FlexCacheBuilder() {
        super("flexcache-get-iter", "flexcache-info", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{

            put(new String[]{"flexcache-info"}, new String[]{"cache-aggregate", "cache-volume", "origin-aggregate", "origin-volume", "vserver",});
        }});
    }

    @Override
    protected void buildIterInstance(final CModeCluster cluster, final Element flexCacheInfoElt) {
        final String cacheAggregateName = BuilderUtil.getChildTextTrim(flexCacheInfoElt, "cache-aggregate");
        final String cacheVolumeName = BuilderUtil.getChildTextTrim(flexCacheInfoElt, "cache-volume");
        final String originAggregateName = BuilderUtil.getChildTextTrim(flexCacheInfoElt, "origin-aggregate");
        final String originVolumeName = BuilderUtil.getChildTextTrim(flexCacheInfoElt, "origin-volume");
        final String vServerName = BuilderUtil.getChildTextTrim(flexCacheInfoElt, "vserver");

        final CModeVolumeFlexCache volumeFlexCache = cluster.createVolumeFlexCache(vServerName, cacheVolumeName);
        volumeFlexCache.setCacheAggregateName(cacheAggregateName);
        volumeFlexCache.setOriginAggregateName(originAggregateName);
        volumeFlexCache.setOriginVolumeName(originVolumeName);
        cluster.getVolumeFlexCaches().add(volumeFlexCache);
    }
}
