package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeLUNMap;

import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;
import java.util.List;

public class LUNMapBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(LUNMapBuilder.class);

    public LUNMapBuilder() {
        super("lun-map-get-iter", "lun-map-info", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"lun-map-info",}, new String[]{"initiator-group-uuid", "lun-id", "lun-uuid", "node", "path", "vserver",});
            put(new String[]{"lun-map-info", "reporting-nodes",}, new String[]{"node-name",});
        }});
    }

    @Override
    protected void buildIterInstance(final CModeCluster cluster, final Element lunMapInfoElt) {
        final String initiatorGroupUUID = BuilderUtil.getChildTextTrim(lunMapInfoElt, "initiator-group-uuid");
        final Integer lunID = BuilderUtil.parseIntFromChild(lunMapInfoElt, "lun-id");
        final String lunUUID = BuilderUtil.getChildTextTrim(lunMapInfoElt, "lun-uuid");
        final String owningNodeName = BuilderUtil.getChildTextTrim(lunMapInfoElt, "node");
        final String path = BuilderUtil.getChildTextTrim(lunMapInfoElt, "path");
        final String vServerName = BuilderUtil.getChildTextTrim(lunMapInfoElt, "vserver");
        final CModeLUNMap lunMap = cluster.createCModeLUNMap(lunUUID, initiatorGroupUUID);
        final List<String> reportingNodeNames = BuilderUtil.getListFromGrandChildren(lunMapInfoElt, "reporting-nodes", "node-name");
        lunMap.setLunID(lunID);
        lunMap.setOwningNodeName(owningNodeName);
        lunMap.setPath(path);
        lunMap.setVServerName(vServerName);
        lunMap.setReportingNodeNames(reportingNodeNames);
        cluster.getLUNMaps().add(lunMap);
    }
}
