package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeNetRoute;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.RoutingGroup;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;


public class NetRoutingBuilder extends IterBuilderBase {

    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(NetPortBuilder.class);

    public NetRoutingBuilder() {
        super("net-routing-group-route-get-iter", "routing-group-route-info", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"routing-group-route-info",},
                new String[]{"address-family", 
                             "destination-address",
                             "gateway-address",
                             "metric",
                             "routing-group",
                             "vserver",
            });
        }});
    }

    @Override
    protected void buildIterInstance(final CModeCluster cluster, final Element routingGroupInfoElt) {
        final EnumWrapper<RoutingGroup.AddressFamily> addressFamily = BuilderUtil.getEnumWrapperByValue(RoutingGroup.AddressFamily.class,
                                                                                                        routingGroupInfoElt, "address-family",
                                                                                                        RoutingGroup.AddressFamily.NOT_MAPPED);
        final String destinationAddress = BuilderUtil.getChildTextTrim(routingGroupInfoElt, "destination-address");
        final String gatewayAddress = BuilderUtil.getChildTextTrim(routingGroupInfoElt, "gateway-address");
        final Long metric = BuilderUtil.parseLongFromChild(routingGroupInfoElt, "metric");
        final String routingGroupName = BuilderUtil.getChildTextTrim(routingGroupInfoElt, "routing-group");
        final String vServerName = BuilderUtil.getChildTextTrim(routingGroupInfoElt, "vserver");
        final CModeNetRoute netRoute = cluster.createNetRoute(vServerName, routingGroupName, destinationAddress);
        netRoute.setAddressFamily(addressFamily);
        netRoute.setGatewayAddress(gatewayAddress);
        netRoute.setMetric(metric);
        cluster.getNetRoutes().add(netRoute);
    }
}
