package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeQuotaStatus;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Volume;
import org.apache.log4j.Logger;
import org.jdom.Element;

import java.util.LinkedHashMap;

/**
 * @author Iti Behari
 *         Date: 7/16/13
 */
public class QuotaStatusBuilder extends IterBuilderBase {

    public QuotaStatusBuilder() {
        super("quota-status-iter", "quota-status-attributes", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"quota-status-attributes"}, new String[]{"vserver", "volume", "status"});
        }});
    }

    @Override
    public void buildModel(final CModeCluster cluster, final ZAPIConnection zapiConnection) throws DataSourceErrorException {
        super.buildModel(cluster, zapiConnection);

    }

    protected void buildIterInstance(final CModeCluster cluster, final Element quotaStatusElm) {

        final String vserverName = BuilderUtil.getChildTextTrim(quotaStatusElm, "vserver");
        final String volName = BuilderUtil.getChildTextTrim(quotaStatusElm, "volume");
        final EnumWrapper<Volume.QuotaStatus> status = BuilderUtil.getEnumWrapperByValue(Volume.QuotaStatus.class, quotaStatusElm, "status", Volume.QuotaStatus.NOT_MAPPED);
        final CModeQuotaStatus quotaStatus = cluster.createAndAddQuotaStatus(vserverName, volName);
        quotaStatus.setStatus(status);

    }
}
