package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import java.util.LinkedHashMap;

import org.jdom.Element;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeNode;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeStorageShelf;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPINames;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;


import static com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIUtils.children;
import static com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIUtils.elem;

public class StorageShelfIterBuilderBase extends IterBuilderBase {

	private static final String ZAPI_NAME_STORAGE_SHELF_INFO = "storage-shelf-info";
	
	protected StorageShelfIterBuilderBase() {
		super("storage-shelf-info-get-iter", ZAPI_NAME_STORAGE_SHELF_INFO , getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{ZAPI_NAME_STORAGE_SHELF_INFO,}, new String[]{"shelf-uid","stack-id","is-local-attach",});
        }});
	}

	@Override
	protected void buildIterInstance(CModeCluster cluster, Element shelfInfoElt) {
		if (shelfInfoElt != null) {
            for (final CModeNode cModeNode : cluster.getCModeNodes().values()) {
                    final String uidRaw = BuilderUtil.getChildTextTrim(shelfInfoElt, "shelf-uid");
                    final String stackId = BuilderUtil.getChildTextTrim(shelfInfoElt, "stack-id");
                    final Boolean isLocal = BuilderUtil.parseBooleanFromChild(shelfInfoElt, "is-local-attach");
                    final String shelfUID = BuilderUtil.normalizeWWN(uidRaw);
                    final UUIDKey shelfKey = new UUIDKey("storage_shelf", shelfUID);
                    CModeStorageShelf storageShelf = cModeNode.getStorageShelves().get(shelfKey);
                    if(storageShelf!=null)  {
                        storageShelf.setStackId(stackId);
                        storageShelf.setIsLocalAttach(isLocal);
                    }
                }
		}
	}
}
