package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappfoundation;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeVolumeFootprint;
import org.jdom.Element;

import java.util.LinkedHashMap;

public class VolumeFootprintBuilder extends IterBuilderBase{

    // This ZAPI brings the cluster to its knees and should not be used.
    public VolumeFootprintBuilder() {
        super("volume-footprint-get-iter", "footprint-info", getDefaultMaxRecords(), new LinkedHashMap<String[], String[]>() {{
            put(new String[]{"footprint-info",}, new String[]{"volume", "volume-blocks-footprint", "vserver", });
        }});
    }

    @Override
    protected void buildIterInstance(final CModeCluster cluster, final Element footprintInfoElt) {
        final String volumeName = BuilderUtil.getChildTextTrim(footprintInfoElt, "volume");
        final Long volumeBlocksFootprint = BuilderUtil.parseLongFromChild(footprintInfoElt, "volume-blocks-footprint");
        final String vServerName = BuilderUtil.getChildTextTrim(footprintInfoElt, "vserver");
        final CModeVolumeFootprint volumeFootprint = cluster.createVolumeFootprint(vServerName, volumeName);
        volumeFootprint.setVolumeBlocksFootPrint(volumeBlocksFootprint);
        cluster.getVolumeFootprints().add(volumeFootprint);
    }
}
