package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.builders.zapi.cmode.netappstorageperformance;

import com.netapp.oci.netapp.performance.ext_cache_obj.interfaces.data.ExtCacheObjMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.NetAppOCIEPerformancePackage;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.metrics.MetricsRowScratchPad;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.metrics.NetappExtCacheObjMetrics;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Cluster;
import com.onaro.sanscreen.acquisition.netappstorageperformance.datasource.NetAppDefaultStorageContext;
import org.apache.log4j.Logger;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public class ExtCacheObjMetricsBuilder extends MetricsBuilderBase<Cluster.ClusterKey,
        ExtCacheObjMeasurements,
        ExtCacheObjMeasurements,
        NetappExtCacheObjMetrics,
        NetappExtCacheObjMetrics.ExtCachObjCounter,
        NetappExtCacheObjMetrics.ExtCachObjCounter> {
    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(ExtCacheObjMetricsBuilder.class);

    public ExtCacheObjMetricsBuilder(final NetAppOCIEPerformancePackage reportingPackage) {
        super(reportingPackage, "ext_cache_obj", NetappExtCacheObjMetrics.ExtCachObjCounter.class);
    }

    @Override
    List<String> getTargetPerfUUIDs(final NetAppDefaultStorageContext context, final ZAPIConnection connection) {
        return context.getExtCachePerfObjUUIDs();
    }

    @Override
    void reportPerformance(Cluster.ClusterKey clusterKey, final Map<Cluster.ClusterKey, Collection<RawSample<ExtCacheObjMeasurements>>> measurements) throws DataSourceErrorException {
        for (final Map.Entry<Cluster.ClusterKey, Collection<RawSample<ExtCacheObjMeasurements>>> measurementEntry : measurements.entrySet()) {
            final Cluster.ClusterKey key = measurementEntry.getKey();
            final Collection<RawSample<ExtCacheObjMeasurements>> extCacheMeasurements = measurementEntry.getValue();
            storagePerformanceReporter.reportExtCachePerformance(key, extCacheMeasurements);
        }
    }

    @Override
    Cluster.ClusterKey getParentInventoryUUIDKey(final NetAppDefaultStorageContext context, final String perfInstanceUUID) {
        return context.getKey();
    }

    @Override
    String getIventoryUUIDFromPerfUUID(final NetAppDefaultStorageContext context, final String perfInstanceUUID) {
        return context.getExtCachePerfUUIDtoNodeUUID().get(perfInstanceUUID);
    }

    @Override
    NetappExtCacheObjMetrics createMetricsFromValues(final MetricsRowScratchPad<NetappExtCacheObjMetrics.ExtCachObjCounter> currentValues, final MetricsRowScratchPad<NetappExtCacheObjMetrics.ExtCachObjCounter> previousValues) {
        return new NetappExtCacheObjMetrics(currentValues, previousValues);
    }
}
