package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.config;

import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorType;

/**
 * Class to associate a NetApp error number/code with a DataSourceErrorException
 */
public class NetAppOCIEDataSourceException extends DataSourceErrorException {

    /**
     * The NetApp error code
     */
    private int errorNumber;

    /**
     * Create a new NetAppDataSourceException instance
     *
     * @param type        the type of error
     * @param guiMessage  the message to display in the GUI
     * @param logMessage  the message to display in the log
     * @param cause       the underlying cause of the exception
     * @param errorNumber the NetApp error code
     */
    public NetAppOCIEDataSourceException(final DataSourceErrorType type, final String guiMessage, final String logMessage, final Throwable cause, final int errorNumber) {
        super(type, guiMessage, logMessage, cause);
        this.errorNumber = errorNumber;
    }

    /**
     * Get the NetApp error code
     *
     * @return the NetApp error code
     */
    @SuppressWarnings({"UnusedDeclaration"})
    public int getErrorNumber() {
        return errorNumber;
    }
}
