package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model;

import com.onaro.sanscreen.acquisition.schema.KeyBase;

import java.util.EnumMap;

public final class UUIDKey extends ModelKeyBase<UUIDKey.Field> {

    public static enum Field {
        uuid
    }

    public UUIDKey(final String type, final String uuid) {
        super(type, new EnumMap<Field, String>(Field.class) {{
            put(Field.uuid, uuid);
        }});
    }

    public String getUUID() {
        return getID(Field.uuid);
    }

    /**
     * Get the value of the UUID field.   Another name for the getter.   Sometimes UUIDKey is used as a single field key that contains a name not a UUID.
     * @return the value of the UUID field
     */
    public String getName() {
        return getID(Field.uuid);
    }
}
