package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.framework.datasource.IntegrityException;
import com.onaro.sanscreen.acquisition.schema.BaseCRCModelRoot;
import com.onaro.sanscreen.acquisition.schema.SchemaException;
import org.apache.log4j.Logger;

public class CModeClusterRoot extends BaseCRCModelRoot {

    /**
     * Logger for logging
     */
    @SuppressWarnings({"UnusedDeclaration"})
    private static final Logger logger = Logger.getLogger(CModeClusterRoot.class);
    private final CModeClusters cModeClusters;

    public CModeClusterRoot() throws SchemaException {
        this.cModeClusters = new CModeClusters(this);
    }

    public CModeCluster createCluster(final String clusterUUID) {
        return new CModeCluster(this, clusterUUID);
    }

    public CModeClusters getCModeClusters() {
        return cModeClusters;
    }

    @Override
    public void addAttributesAndChildrenCRC() throws SchemaException {
        for (final CModeCluster cluster : cModeClusters.values()) {
            addMarshalingChildCRC(cluster);
        }
    }

    @Override
    public void checkIntegrity() throws IntegrityException {
    }

}
