package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeCronJobSchedule extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey scheduleKey;
    private String cronDayOfMonthCSV;
    private String cronDayOfWeekCSV;
    private String cronHourCSV;
    private String cronMinuteCSV;
    private String cronMonthCSV;

    CModeCronJobSchedule(final CModeCluster parent, final String jobScheduleName) {
        super(parent, CModeCronJobSchedule.class.getSimpleName());
        this.scheduleKey = new UUIDKey("cron_job_schedule", jobScheduleName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return scheduleKey;
    }

    public String getCronDayOfMonthCSV() {
        return cronDayOfMonthCSV;
    }

    public void setCronDayOfMonthCSV(final String cronDayOfMonthCSV) {
        this.cronDayOfMonthCSV = cronDayOfMonthCSV;
    }

    public String getCronDayOfWeekCSV() {
        return cronDayOfWeekCSV;
    }

    public void setCronDayOfWeekCSV(final String cronDayOfWeekCSV) {
        this.cronDayOfWeekCSV = cronDayOfWeekCSV;
    }

    public String getCronHourCSV() {
        return cronHourCSV;
    }

    public void setCronHourCSV(final String cronHourCSV) {
        this.cronHourCSV = cronHourCSV;
    }

    public String getCronMinuteCSV() {
        return cronMinuteCSV;
    }

    public void setCronMinuteCSV(final String cronMinuteCSV) {
        this.cronMinuteCSV = cronMinuteCSV;
    }

    public String getCronMonthCSV() {
        return cronMonthCSV;
    }

    public void setCronMonthCSV(final String cronMonthCSV) {
        this.cronMonthCSV = cronMonthCSV;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "Name", scheduleKey.getUUID());
        addAttributeNoCRC(writer, "CronDayOfMonth", cronDayOfMonthCSV);
        addAttributeNoCRC(writer, "CronDayOfWeek", cronDayOfWeekCSV);
        addAttributeNoCRC(writer, "CronHour", cronHourCSV);
        addAttributeNoCRC(writer, "CronMinute", cronMinuteCSV);
        addAttributeNoCRC(writer, "CronMonth", cronMonthCSV);
    }
}
