package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeFcpServiceInfo extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey serviceKey;

    private String nodeName;
    private boolean isAvailable;

    CModeFcpServiceInfo(final CModeCluster cluster, final String vServerName) {
        super(cluster, CModeISCSIService.class.getSimpleName());
        this.serviceKey = new UUIDKey("fcp_service", vServerName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return serviceKey;
    }

    public String getVServerName() {
        return getKey().getName();
    }

    public void setFcpNodeName(final String nodeName) {
        this.nodeName = nodeName;
    }

    public String getFcpNodeName() {
        return nodeName;
    }

    public void setAvailable(final boolean available) {
        isAvailable = available;
    }

    public boolean isAvailable() {
        return isAvailable;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        addAttributeNoCRC(writer, "VServerName", getVServerName());
        addAttributeNoCRC(writer, "NodeName", nodeName);
        addAttributeNoCRC(writer, "IsAvailable", isAvailable);
    }
}