package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeISCSIService extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey serviceKey;

    private String vServerName;
    private String aliasName;
    private Boolean isAvailable;

    CModeISCSIService(final CModeCluster cluster, final String iqn) {
        super(cluster, CModeISCSIService.class.getSimpleName());
        this.serviceKey = new UUIDKey("iscsi_service", iqn);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return serviceKey;
    }

    public String getVServerName() {
        return vServerName;
    }

    public String getAliasName() {
        return aliasName;
    }

    public Boolean isAvailable() {
        return isAvailable;
    }

    public void setVServerName(final String vServerName) {
        this.vServerName = vServerName;
    }

    public void setAliasName(final String aliasName) {
        this.aliasName = aliasName;
    }

    public void setAvailable(final Boolean available) {
        isAvailable = available;
    }


    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        addAttributeNoCRC(writer, "UUID", serviceKey.getUUID());
        addAttributeNoCRC(writer, "IQN", serviceKey.getUUID());
        addAttributeNoCRC(writer, "VServerName", vServerName);
        addAttributeNoCRC(writer, "Alias", aliasName);
        addAttributeNoCRC(writer, "IsAvailable", isAvailable);
    }
}
