package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.MetroClusterOperation;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;


public class CModeMetroClusterOperation extends BaseCRCXMLNode<CModeCluster> {
    private static final long serialVersionUID = -6490858714381145959L;
    
    private final UUIDKey metroClusterOperationKey;
    private String node;
    private Long startTime;
    private Long endTime;
    private String errors;
    private Long jobId;
    private EnumWrapper<MetroClusterOperation.Operation> operation;
    private EnumWrapper<MetroClusterOperation.State> state;
    
    CModeMetroClusterOperation(final CModeCluster parent, final String uuid) {
        super(parent, CModeMetroClusterOperation.class.getSimpleName());
        this.metroClusterOperationKey = new UUIDKey("metroClusterOperation", uuid);
    }
    
    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return metroClusterOperationKey;
    }
    
    public String getNode() {
        return node;
    }
    
    public void setNode(String node) {
        this.node = node;
    }
    
    public Long getStartTime() {
        return startTime;
    }
    
    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }
    
    public Long getEndTime() {
        return endTime;
    }
    
    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }
    
    public String getErrors() {
        return errors;
    }
    
    public void setErrors(String errors) {
        this.errors = errors;
    }
    
    public Long getJobId() {
        return jobId;
    }
    
    public void setJobId(Long jobId) {
        this.jobId = jobId;
    }
    
    public EnumWrapper<MetroClusterOperation.Operation> getOperation() {
        return operation;
    }

    public void setOperation(EnumWrapper<MetroClusterOperation.Operation> operation) {
        this.operation = operation;
    }
    
    public EnumWrapper<MetroClusterOperation.State> getState() {
        return state;
    }
    
    public void setState(EnumWrapper<MetroClusterOperation.State> state) {
        this.state = state;
    }
    
    public UUIDKey getMetroClusterOperationKey() {
        return metroClusterOperationKey;
    }
    
    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", metroClusterOperationKey.getUUID());
        addAttributeNoCRC(writer, "Node", node);
        addAttributeNoCRC(writer, "StartTime", startTime);
        addAttributeNoCRC(writer, "EndTime", endTime);
        addAttributeNoCRC(writer, "ErrorList", errors);
        addAttributeNoCRC(writer, "JobId", jobId);
        addAttributeNoCRC(writer, "Operation", operation.getEnumValue());
        addAttributeNoCRC(writer, "OperationRaw", operation.getRawValue());
        addAttributeNoCRC(writer, "State", state.getEnumValue());
        addAttributeNoCRC(writer, "StateRaw", state.getRawValue());
    }
    
}
