package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeNFSService extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey serviceKey;
    private Boolean isNFSAccessEnabled;
    private Boolean isNFSV2Enabled;
    private Boolean isNFSV3Enabled;
    private Boolean isNFSV40Enabled;
    private Boolean isNFSV41Enabled;
    private Boolean isNFS41PnfsEnabled;
    private Boolean isNFS41AclEnabled;
    private Boolean isNFS40ReadDelegationEnabled;
    private Boolean isNFS40WriteDelegationEnabled;
    private Boolean isNFS40MigrationEnabled;
    private Boolean isNFS40ReferralsEnabled;
    private Boolean isNFS41MigrationEnabled;
    private Boolean isNFS41ReferralsEnabled;

    CModeNFSService(final CModeCluster parent, final String vServerName) {
        super(parent, CModeNFSService.class.getSimpleName());
        this.serviceKey = new UUIDKey("nfs_service", vServerName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return serviceKey;
    }

    public Boolean isNFSAccessEnabled() {
        return isNFSAccessEnabled;
    }

    public void setNFSAccessEnabled(final Boolean NFSAccessEnabled) {
        isNFSAccessEnabled = NFSAccessEnabled;
    }

    public Boolean isNFSV2Enabled() {
        return isNFSV2Enabled;
    }

    public void setNFSV2Enabled(final Boolean NFSV2Enabled) {
        isNFSV2Enabled = NFSV2Enabled;
    }

    public Boolean isNFSV3Enabled() {
        return isNFSV3Enabled;
    }

    public void setNFSV3Enabled(final Boolean NFSV3Enabled) {
        isNFSV3Enabled = NFSV3Enabled;
    }

    public Boolean isNFSV40Enabled() {
        return isNFSV40Enabled;
    }

    public void setNFSV40Enabled(final Boolean NFSV40Enabled) {
        isNFSV40Enabled = NFSV40Enabled;
    }

    public Boolean isNFSV41Enabled() {
        return isNFSV41Enabled;
    }

    public void setNFSV41Enabled(final Boolean NFSV41Enabled) {
        isNFSV41Enabled = NFSV41Enabled;
    }

    public Boolean isNFS41PnfsEnabled() {
        return isNFS41PnfsEnabled;
    }

    public void setNFS41PnfsEnabled(final Boolean NFS41PnfsEnabled) {
        isNFS41PnfsEnabled = NFS41PnfsEnabled;
    }

    public Boolean isNFS41AclEnabled() {
        return isNFS41AclEnabled;
    }

    public void setNFS41AclEnabled(final Boolean NFS41AclEnabled) {
        isNFS41AclEnabled = NFS41AclEnabled;
    }

    public Boolean isNFS40ReadDelegationEnabled() {
        return isNFS40ReadDelegationEnabled;
    }

    public void setNFS40ReadDelegationEnabled(final Boolean NFS40ReadDelegationEnabled) {
        isNFS40ReadDelegationEnabled = NFS40ReadDelegationEnabled;
    }

    public Boolean isNFS40WriteDelegationEnabled() {
        return isNFS40WriteDelegationEnabled;
    }

    public void setNFS40WriteDelegationEnabled(final Boolean NFS40WriteDelegationEnabled) {
        isNFS40WriteDelegationEnabled = NFS40WriteDelegationEnabled;
    }

    public Boolean isNFS40MigrationEnabled() {
        return isNFS40MigrationEnabled;
    }

    public void setNFS40MigrationEnabled(final Boolean NFS40MigrationEnabled) {
        isNFS40MigrationEnabled = NFS40MigrationEnabled;
    }

    public Boolean isNFS40ReferralsEnabled() {
        return isNFS40ReferralsEnabled;
    }

    public void setNFS40ReferralsEnabled(final Boolean NFS40ReferralsEnabled) {
        isNFS40ReferralsEnabled = NFS40ReferralsEnabled;
    }

    public Boolean isNFS41MigrationEnabled() {
        return isNFS41MigrationEnabled;
    }

    public void setNFS41MigrationEnabled(final Boolean NFS41MigrationEnabled) {
        isNFS41MigrationEnabled = NFS41MigrationEnabled;
    }

    public Boolean isNFS41ReferralsEnabled() {
        return isNFS41ReferralsEnabled;
    }

    public void setNFS41ReferralsEnabled(final Boolean NFS41ReferralsEnabled) {
        isNFS41ReferralsEnabled = NFS41ReferralsEnabled;
    }

    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "VServerName", serviceKey.getName());
        addAttributeNoCRC(writer, "IsNFSAccessEnabled", isNFSAccessEnabled);
        addAttributeNoCRC(writer, "IsNFSV2Enabled", isNFSV2Enabled);
        addAttributeNoCRC(writer, "IsNFSV3Enabled", isNFSV3Enabled);
        addAttributeNoCRC(writer, "IsNFSV40Enabled", isNFSV40Enabled);
        addAttributeNoCRC(writer, "IsNFS40ReadDelegationEnabled", isNFS40ReadDelegationEnabled);
        addAttributeNoCRC(writer, "IsNFS40WriteDelegationEnabled", isNFS40WriteDelegationEnabled);
        addAttributeNoCRC(writer, "IsNFS40MigrationEnabled", isNFS40MigrationEnabled);
        addAttributeNoCRC(writer, "IsNFS40ReferralsEnabled", isNFS40ReferralsEnabled);
        addAttributeNoCRC(writer, "IsNFSV41Enabled", isNFSV41Enabled);
        addAttributeNoCRC(writer, "IsNFS41PnfsEnabled", isNFS41PnfsEnabled);
        addAttributeNoCRC(writer, "IsNFS41AclEnabled", isNFS41AclEnabled);
        addAttributeNoCRC(writer, "IsNFS41MigrationEnabled", isNFS41MigrationEnabled);
        addAttributeNoCRC(writer, "IsNFS41ReferralsEnabled", isNFS41ReferralsEnabled);
    }
}
