package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeNodeFailover extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey key;
    private String partnerName;
    private String partnerAggregate;
    private String nodeStateString;

    CModeNodeFailover(final CModeCluster parent, final String nodeName) {
        super(parent, CModeNodeFailover.class.getSimpleName());
        this.key = new UUIDKey("node_failover", nodeName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return key;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public String getNodeStateString() {
        return nodeStateString;
    }

    @SuppressWarnings({"UnusedDeclaration"})
    public String getPartnerAggregate() {
        return partnerAggregate;
    }

    public void setPartnerName(final String partnerName) {
        this.partnerName = partnerName;
    }

    public void setPartnerAggregate(final String partnerAggregate) {
        this.partnerAggregate = partnerAggregate;
    }

    public void setNodeStateString(final String nodeStateString) {
        this.nodeStateString = nodeStateString;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", key.getID());
        addAttributeNoCRC(writer, "Name", key.getName());
        addAttributeNoCRC(writer, "State", nodeStateString);
        addAttributeNoCRC(writer, "PartnerName", partnerName);
        addAttributeNoCRC(writer, "PartnerAggregates", partnerAggregate);
    }
}
