package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.QosPolicyGroup;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeQosPolicyGroup extends BaseCRCXMLNode<CModeCluster> {

	private final UUIDKey key;

    String vServerName;
    String maxThroughput;
    String pgid;            // JSD TODO same as qosPolicyGroupUUID?
    String policyGroupName;
    EnumWrapper<QosPolicyGroup.QosPolicyGroupClassType> policyGroupClass;

    public CModeQosPolicyGroup(final CModeCluster parent, final String QosPolicyGroupUUID) {
        super(parent, CModeQosPolicyGroup.class.getSimpleName());
        this.key = new UUIDKey("qos_policy_group", QosPolicyGroupUUID);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return key;
    }

    public String getVServerName() {
        return vServerName;
    }

    public void setVServerName(final String vServerName) {
        this.vServerName = vServerName;
    }

    public String getMaxThroughput() {
        return maxThroughput;
    }

    public void setMaxThroughput(final String maxThroughput) {
        this.maxThroughput = maxThroughput;
    }

    public String getPgid() {
        return pgid;
    }

    public void setPgid(final String pgid) {
        this.pgid = pgid;
    }

    public String getPolicyGroupName() {
        return policyGroupName;
    }

    public void setPolicyGroupName(final String policyGroupName) {
        this.policyGroupName = policyGroupName;
    }

    public EnumWrapper<QosPolicyGroup.QosPolicyGroupClassType> getPolicyGroupClass() {
        return policyGroupClass;
    }

    public void setPolicyGroupClass(final EnumWrapper<QosPolicyGroup.QosPolicyGroupClassType> policyGroupClass) {
        this.policyGroupClass = policyGroupClass;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", key.getID());
        addAttributeNoCRC(writer, "VServerName", vServerName);
        addAttributeNoCRC(writer, "QosPolicyGroupUUID", key.getID());
        addAttributeNoCRC(writer, "PGID", pgid);
        addAttributeNoCRC(writer, "PolicyGroupName", policyGroupName);
        addAttributeNoCRC(writer, "QosPolicyGroupClass", policyGroupClass.getEnumValue());
        addAttributeNoCRC(writer, "QosPolicyGroupClassRaw", policyGroupClass.getRawValue());


        // TODO set name
    }
}