package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.QosVolumeWorkload;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Volume;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeQosVolumeWorkload extends BaseCRCXMLNode<CModeCluster> {
    private final UUIDKey key; // workload-uuid
    private String name; // workload-name
    private EnumWrapper<QosVolumeWorkload.QosWorkloadClassType> workloadTypeWrapper;
    private String volumeName; // volume
    private String vserverName; // vserver

    CModeQosVolumeWorkload(final CModeCluster parent, final String workloadUUID) {
        super(parent, CModeQosVolumeWorkload.class.getSimpleName());
        this.key = new UUIDKey("qos_volume_workload", workloadUUID);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return key;
    }

    public EnumWrapper<QosVolumeWorkload.QosWorkloadClassType> getWorkloadTypeWrapper() {
        return workloadTypeWrapper;
    }

    public void setWorkloadTypeWrapper(final EnumWrapper<QosVolumeWorkload.QosWorkloadClassType> workloadTypeWrapper) {
        this.workloadTypeWrapper = workloadTypeWrapper;
    }

    public String getName() {
        return name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getVolumeName() {
        return volumeName;
    }

    public void setVolumeName(final String volumeName) {
        this.volumeName = volumeName;
    }

    public String getVserverName() {
        return vserverName;
    }

    public void setVserverName(final String vserverName) {
        this.vserverName = vserverName;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributesToFileAndCRC(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", key.getID());
        addAttributeNoCRC(writer, "Name", name);
        addAttributeNoCRC(writer, "VolumeName", volumeName);
        addAttributeNoCRC(writer, "VserverName", vserverName);
        addAttributeNoCRC(writer, "WorkloadClass", workloadTypeWrapper.getRawValue());
    }
}
