package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Volume;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

/**
 * @author Iti Behari
 *         Date: 7/16/13
 */
public class CModeQuotaStatus extends BaseCRCXMLNode<CModeCluster> {
    private final CModeVolume.VolumeNameKey key;
    private String vServerName;
    private String volumeName;
    private EnumWrapper<Volume.QuotaStatus> status;

    CModeQuotaStatus(final CModeCluster parent, final String vServerName, final String volumeName) {
        super(parent, CModeCIFSOption.class.getSimpleName());
        this.key = new CModeVolume.VolumeNameKey(vServerName, volumeName);
        this.vServerName =vServerName;
        this.volumeName = volumeName;
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public CModeVolume.VolumeNameKey getKey() {
        return key;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", key.getOcieUUID());
        addAttributeNoCRC(writer, "VServerName", vServerName);
        addAttributeNoCRC(writer, "VolumeName", volumeName);
        addAttributeNoCRC(writer, "Status", status);
    }

    public String getvServerName() {
        return vServerName;
    }

    @SuppressWarnings({"UnusedDeclaration"})
    public void setvServerName(String vServerName) {
        this.vServerName = vServerName;
    }

    public String getVolumeName() {
        return volumeName;
    }

    @SuppressWarnings({"UnusedDeclaration"})
    public void setVolumeName(String volumeName) {
        this.volumeName = volumeName;
    }

    public EnumWrapper<Volume.QuotaStatus> getStatus() {
        return status;
    }

    public void setStatus(EnumWrapper<Volume.QuotaStatus> status) {
        this.status = status;
    }
}


