package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.EnumWrapper;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.ModelKeyBase;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.SystemHealthAlert;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;
import java.util.EnumMap;

/**
 * Created with IntelliJ IDEA.
 * User: jianwei
 * Date: 1/9/14
 * Time: 12:06 PM
 * To change this template use File | Settings | File Templates.
 */
public class CModeSystemHealthAlert extends BaseCRCXMLNode<CModeCluster> {
    private final SystemHealthAlertKey key;
    private EnumWrapper<SystemHealthAlert.MonitorType> monitor;
    private String monitorRaw;
    private String alertingResourceName;
    private String nodeName;
    private String perceivedSeverity;
    private String policy;
    private String possibleEffect;
    private String correctiveActions;
    private String probableCause;
    private String probableCauseDescription;
    private String subsystem;
    private String additionalInfo;
    private Boolean acknowledge;
    private String acknowledger;
    private Boolean suppress;
    private String suppressor;
    private Long  indicationTime;


    CModeSystemHealthAlert(final CModeCluster parent, final String alertId, final String alertingResource) {
        super(parent, CModeSystemHealthAlert.class.getSimpleName());
        this.key = new SystemHealthAlertKey(alertId, alertingResource);
    }

    public SystemHealthAlertKey getKey() {
        return key;
    }

    public final static class SystemHealthAlertKey extends ModelKeyBase<SystemHealthAlertKey.Field> {
        public static enum Field {
            alert_id,
            alerting_resource

        }

        public SystemHealthAlertKey(final String alertId, final String alertingResource) {
            super("systemHealthAlert", new EnumMap<Field, String>(Field.class) {{
                put(Field.alert_id, alertId);
                put(Field.alerting_resource, alertingResource);
            }});
        }
    }

    public String getAlertId() {
        return key.getID(SystemHealthAlertKey.Field.alert_id);
    }

    public Long getIndicationTime() {
        return indicationTime;
    }

    public void setIndicationTime(Long indicationTime)   {
        this.indicationTime = indicationTime;
    }

    public String getAlertingResource() {
        return key.getID(SystemHealthAlertKey.Field.alerting_resource);
    }

    public EnumWrapper<SystemHealthAlert.MonitorType> getMonitor() {
        return monitor;
    }

    public void setMonitor(EnumWrapper<SystemHealthAlert.MonitorType> monitor) {
        this.monitor = monitor;
    }

    public String getMonitorRaw() {
        return monitorRaw;
    }

    public void setMonitorRaw(String monitorRaw) {
        this.monitorRaw = monitorRaw;
    }

    public String getAlertingResourceName() {
        return alertingResourceName;
    }

    public void setAlertingResourceName(String alertingResourceName) {
        this.alertingResourceName = alertingResourceName;
    }

    public String getPerceivedSeverity() {
        return perceivedSeverity;
    }

    public void setPerceivedSeverity(String perceivedSeverity) {
        this.perceivedSeverity = perceivedSeverity;
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    public String getPossibleEffect() {
        return possibleEffect;
    }

    public void setPossibleEffect(String possibleEffect) {
        this.possibleEffect = possibleEffect;
    }

    public String getCorrectiveActions() {
        return correctiveActions;
    }

    public void setCorrectiveActions(String correctiveActions) {
        this.correctiveActions = correctiveActions;
    }

    public String getProbableCause() {
        return probableCause;
    }

    public void setProbableCause(String probableCause) {
        this.probableCause = probableCause;
    }

    public String getProbableCauseDescription() {
        return probableCauseDescription;
    }

    public void setProbableCauseDescription(String probableCauseDescription) {
        this.probableCauseDescription = probableCauseDescription;
    }

    public String getSubsystem() {
        return subsystem;
    }

    public void setSubsystem(String subsystem) {
        this.subsystem = subsystem;
    }

    public String getAdditionalInfo() {
        return additionalInfo;
    }

    public void setAdditionalInfo(String additionalInfo) {
        this.additionalInfo = additionalInfo;
    }

    public Boolean getAcknowledge() {
        return acknowledge;
    }

    public void setAcknowledge(Boolean acknowledge) {
        this.acknowledge = acknowledge;
    }

    public String getAcknowledger() {
        return acknowledger;
    }

    public void setAcknowledger(String acknowledger) {
        this.acknowledger = acknowledger;
    }

    public Boolean getSuppress() {
        return suppress;
    }

    public void setSuppress(Boolean suppress) {
        this.suppress = suppress;
    }

    public String getSuppressor() {
        return suppressor;
    }

    public void setSuppressor(String suppressor) {
        this.suppressor = suppressor;
    }

    public String getNode() {
        return nodeName;
    }

    public void setNode(String nodeName) {
        this.nodeName = nodeName;
    }


    protected void marshallAttributesToFileAndCRC(final MarshallingCache cache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(cache, writer);
        addAttributeNoCRC(writer, "UUID", key.getID());
        addAttributeNoCRC(writer, "AlertId", getAlertId());
        addAttributeNoCRC(writer, "AlertingResource", getAlertingResource());
        addAttributeNoCRC(writer, "AlertingResourceName", alertingResourceName);
        addAttributeNoCRC(writer, "IndicationTime", getIndicationTime());
        addAttributeNoCRC(writer, "Monitor", getMonitor().getEnumValue());
        addAttributeNoCRC(writer, "MonitorRaw", getMonitor().getRawValue());
        addAttributeNoCRC(writer, "IndicationTime", getIndicationTime());
        addAttributeNoCRC(writer, "PerceivedSeverity", perceivedSeverity);
        addAttributeNoCRC(writer, "Policy", policy);
        addAttributeNoCRC(writer, "PossibleEffect", possibleEffect);
        addAttributeNoCRC(writer, "CorrectiveActions", correctiveActions);
        addAttributeNoCRC(writer, "ProbableCause", probableCause);
        addAttributeNoCRC(writer, "ProbableCauseDescription", probableCauseDescription);
        addAttributeNoCRC(writer, "Subsystem", subsystem);
        addAttributeNoCRC(writer, "AdditionalInfo", additionalInfo);
        addAttributeNoCRC(writer, "Acknowledge", acknowledge);
        addAttributeNoCRC(writer, "Acknowledger", acknowledger);
        addAttributeNoCRC(writer, "Suppress", suppress);
        addAttributeNoCRC(writer, "Suppressor", suppressor);
        addAttributeNoCRC(writer, "Node", nodeName);
    }

}
