package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import java.io.IOException;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

public class CModeVServerDDNSInfo extends BaseCRCXMLNode<CModeCluster> {
    private final UUIDKey key;
    private String domainName;
    private Boolean isEnabled;
    private Boolean useSecure;
    private Long ttl;
    
    CModeVServerDDNSInfo(final CModeCluster parent, final String vServerName) {
        super(parent, CModeVServerDNSInfo.class.getSimpleName());
        this.key = new UUIDKey("ddns_info", vServerName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return key;
    }
    
    public String getDomainName() {
        return domainName;
    }
    
    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }
    
    public Boolean getIsEnabled() {
        return isEnabled;
    }
    
    public void setIsEnabled(Boolean isEnabled) {
        this.isEnabled = isEnabled;
    }
    
    public Boolean getUseSecure() {
        return useSecure;
    }
    
    public void setUseSecure(Boolean useSecure) {
        this.useSecure = useSecure;
    }
    
    public Long getTtl() {
        return ttl;
    }
    
    public void setTtl(Long ttl) {
        this.ttl = ttl;
    }
    
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "VServerName", key.getName());
        addAttributeNoCRC(writer, "DomainName", domainName);
        addAttributeNoCRC(writer, "IsEnabled", isEnabled);
        addAttributeNoCRC(writer, "UseSecure", useSecure);
        addAttributeNoCRC(writer, "Ttl", ttl);
    }
    
}
