package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.UUIDKey;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeVServerLDAPInfo extends BaseCRCXMLNode<CModeCluster> {

    private final UUIDKey infoKey;

    private String clientConfig;
    private Boolean isClientEnabled;

    CModeVServerLDAPInfo(final CModeCluster parent, final String uuid) {
        super(parent, CModeVServerLDAPInfo.class.getSimpleName());
        this.infoKey = new UUIDKey("ldap_info", uuid);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public UUIDKey getKey() {
        return infoKey;
    }

    @SuppressWarnings({"UnusedDeclaration"})
    public String getClientConfig() {
        return clientConfig;
    }

    public void setClientConfig(final String clientConfig) {
        this.clientConfig = clientConfig;
    }

    public Boolean isClientEnabled() {
        return isClientEnabled;
    }

    public void setClientEnabled(final Boolean clientEnabled) {
        isClientEnabled = clientEnabled;
    }

    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "UUID", infoKey.getUUID());
        addAttributeNoCRC(writer, "ClientConfig", clientConfig);
        addAttributeNoCRC(writer, "IsClientEnabled", isClientEnabled);
	}
}

