package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode;

import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;

public class CModeVolumeCache extends BaseCRCXMLNode<CModeCluster> {

    private final CModeVolume.VolumeNameKey key;

    private Long cloneSplitEstimate;

    CModeVolumeCache(final CModeCluster parent, final String vServerName, final String volumeName) {
        super(parent, CModeVolume.class.getSimpleName());
        this.key = new CModeVolume.VolumeNameKey(vServerName, volumeName);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public CModeVolume.VolumeNameKey getKey() {
        return key;
    }

    @SuppressWarnings({"UnusedDeclaration"})
    public Long getCloneSplitEstimate() {
        return cloneSplitEstimate;
    }


    // JSD TODO???
    public void setCloneSplitEstimate(final Long cloneSplitEstimate) {
        this.cloneSplitEstimate = cloneSplitEstimate;
    }


    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributes(marshallingCache, writer);
        addAttributeNoCRC(writer, "VServerName", key.getID(CModeVolume.VolumeNameKey.Field.vserver_name));
        addAttributeNoCRC(writer, "VolumeName", key.getID(CModeVolume.VolumeNameKey.Field.volume_name));
        addAttributeNoCRC(writer, "CloneSplitEstimate", cloneSplitEstimate);
    }

}
