package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.partialpoll;

/**
 * ChangeResult represents the values of a api-change-opaque-info retrieved via system-api-change-get-iter for single zapi call. Example "volume-get-iter"
 *
 * The change attribute denotes that this changeResult is different then the one received by the system in the previous call
 *
 * @see <a href="https://wikid.netapp.com/w/CSI/FS.1/ZAPI-Infra/ZAPI-Object-Changes/FS#ZAPI">system-api-change-get-iter</a>
 */
public class ChangeResult
{
  private String zapiName;
  private long changeTime;
  private long changes;
  private boolean changed;

  public ChangeResult(String zapiName, long changeTime, long changes)
  {
    this.zapiName = zapiName;
    this.changeTime = changeTime;
    this.changes = changes;
  }

  public String getZapiName()
  {
    return zapiName;
  }

  public long getChangeTime()
  {
    return changeTime;
  }

  public long getChanges()
  {
    return changes;
  }

  public boolean isChanged()
  {
    return changed;
  }

  public void setChanged(boolean changed)
  {
    this.changed = changed;
  }
}
