package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.reattribution.interfaces;


import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.reattribution.data.QosWorkloadConstituentData;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.reattribution.data.QosWorkloadDetailData;

import java.util.List;

public interface IReAttributionService {
    /**
     * Re-attributes the QOS workload details. After re-attribution the ${@link QosWorkloadDetailData} will be populated
     * with serviceTimeWAFLCP, serviceTimeBackgroundDelete & serviceTimeReadAheadXStripe. The original serviceTime
     * will not be modified. The caller will have to add them later.
     * <p/>
     * Refer https://wikid.netapp.com/w/MEG/OCIE/Reattributing_Deferred_Workloads/Design
     *
     * @param qosWorkloadDetailData      List of qos workload details to re-attribute.
     * @param qosWorkloadConstituentData List of qos workload constituents
     */
    public void reAttributeQosWorkloadDetails(List<QosWorkloadDetailData> qosWorkloadDetailData,
                                              List<QosWorkloadConstituentData> qosWorkloadConstituentData);
}
