package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.synthetic.common;

import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.NetAppOCIEPerformancePackage;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.synthetic.builders.NFSMetricsBuilder;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.synthetic.builders.SyntheticBuilderBase;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.synthetic.builders.VserverMetricsBuilder;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transport.zapi.ZAPIConnection;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.netappstorageperformance.datasource.NetAppDefaultStorageContext;

/**
 * A wrapper call for instantiating and calling all synthetic counters.
 */
public class SyntheticCounterManager {

    final NetAppOCIEPerformancePackage netAppOCIEPerformancePackage;
    final SyntheticBuilderBase nfsMetricsBuilder;
    final SyntheticBuilderBase vServerMetricsBuilder;

    public SyntheticCounterManager(NetAppOCIEPerformancePackage netAppOCIEPerformancePackage) {
        this.netAppOCIEPerformancePackage = netAppOCIEPerformancePackage;
        nfsMetricsBuilder = new NFSMetricsBuilder(netAppOCIEPerformancePackage);
        vServerMetricsBuilder = new VserverMetricsBuilder(netAppOCIEPerformancePackage);
    }

    public void getAndReportPerformance(final NetAppDefaultStorageContext context,
                                        final ZAPIConnection zapiConnection) throws DataSourceErrorException {
        nfsMetricsBuilder.getAndReportPerformance(context, zapiConnection);
        vServerMetricsBuilder.getAndReportPerformance(context, zapiConnection);
    }
}
