package com.onaro.sanscreen.acquisition.datasource.netapp_ocie.transform.ocie;

import java.util.Map;
import org.springframework.beans.BeanUtils;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeCluster;
import com.onaro.sanscreen.acquisition.datasource.netapp_ocie.model.cmode.CModeMetroClusterOperation;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Cluster;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.MetroClusterOperation;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Node;


public class MetroClusterOperationTransformer {  
    private MetroClusterOperationTransformer() {    
    }
    
    public static void transform(final CModeCluster cModeCluster, final Cluster cluster,  final Map<String, Node> nodesByName) {
        for (final CModeMetroClusterOperation cModeMetroClusterOperation : cModeCluster.getMetroClusterOperations().values()) {
            final MetroClusterOperation metroClusterOperation = cluster.createMetroClusterOperation(cModeMetroClusterOperation.getKey().getUUID());
            
            BeanUtils.copyProperties(cModeMetroClusterOperation, metroClusterOperation, new String[] { "operation", "operationRaw", "nodeKey", "state", "stateRaw" });
            
            String node = cModeMetroClusterOperation.getNode();
            if (nodesByName.containsKey(node)) {
                metroClusterOperation.setNodeKey(nodesByName.get(node).getKey());
            }
            
            metroClusterOperation.setOperation(cModeMetroClusterOperation.getOperation().getEnumValue());
            metroClusterOperation.setOperationRaw(cModeMetroClusterOperation.getOperation().getRawValue());
            metroClusterOperation.setState(cModeMetroClusterOperation.getState().getEnumValue());
            metroClusterOperation.setStateRaw(cModeMetroClusterOperation.getState().getRawValue());
            
            cluster.getMetroClusterOperations().add(metroClusterOperation);
        }
    }
    
}
