package com.onaro.sanscreen.acquisition.foundation.datasource;

import com.onaro.sanscreen.acquisition.foundation.datasource.config.FoundationConfiguration;
import com.onaro.sanscreen.acquisition.framework.datasource.BaseDataSource;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceLifeCycleListener;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceSampleListener;
import com.onaro.sanscreen.acquisition.schema.odata2.FabricRoot;
import com.onaro.sanscreen.acquisition.schema.odata2.OData2Root;

import java.util.List;

/**
 * Base class for all switch data sources. This is the location where we can perform heuristic validation of the data
 * returned by the data source.
 */
public abstract class BaseSwitchFoundationPackage<C extends FoundationConfiguration> extends BaseFoundationPackage<C> {
    protected BaseSwitchFoundationPackage(final BaseDataSource dataSource,
            final C configuration,
            final DataSourceLifeCycleListener dataSourceLifeCycleListener,
            final DataSourceSampleListener dataSourceSampleListener,
            final FoundationUpdatesListener foundationUpdatesListener,
            final OriginatorProvider originatorProvider) {
        super(dataSource, configuration, dataSourceLifeCycleListener,
                dataSourceSampleListener, foundationUpdatesListener,
                originatorProvider);
    }

    /** {@inheritDoc} */
    protected List<OdataFinalizer> getOdataFinalizers(
            final OData2Root odata2Root) {
        final List<OdataFinalizer> finalizers =
                super.getOdataFinalizers(odata2Root);
        if (odata2Root instanceof FabricRoot) {
            finalizers.add(new HubFinalizer((FabricRoot)odata2Root));
        }
        return finalizers;
    }
}
