package com.onaro.sanscreen.acquisition.foundation.datasource.dependant.config;

import com.onaro.sanscreen.acquisition.foundation.datasource.dependant.BaseFoundationDependantPackage;
import com.onaro.sanscreen.acquisition.framework.FrameworkException;
import com.onaro.sanscreen.acquisition.framework.datasource.config.BasePollingPackageConfiguration;
import com.onaro.sanscreen.acquisition.framework.datasource.config.DataSourceConfiguration;
import com.onaro.sanscreen.acquisition.framework.datasource.metadata.PackageMetaData;

import java.util.Properties;

public abstract class FoundationDependantConfiguration<FDP extends BaseFoundationDependantPackage> extends BasePollingPackageConfiguration<FDP> {

    private final int recordingSamples;

    protected FoundationDependantConfiguration(final DataSourceConfiguration configuration,
                                               final PackageMetaData metaData,
                                               final String dataSourceName,
                                               final long dataSourceID, final String packageAuditName,
                                               final Properties props,
                                               final boolean defaultForRecording) throws FrameworkException {
        super(configuration, metaData, dataSourceName, dataSourceID, packageAuditName, props, defaultForRecording);
        recordingSamples = Integer.parseInt(props.getProperty("recording.samples", "5"));
    }

    public int getRecordingSamples() {
        return recordingSamples;
    }
}
