package com.onaro.sanscreen.acquisition.framework.datasource;

import java.io.Serializable;

/**
 * Data source status.
 */
public enum DataSourceStatus implements Serializable {
    /**
     * Data source is starting - initializing and not ready to perform acquisition yet.
     */
    Starting("Starting"),
    /**
     * Data source is currently performing acquisition
     */
    Aqcuiring("Performing Acquisition"),
    /**
     * Data source is sleeping between acquisitions
     */
    StandBy("Stand-by"),
    /**
     * Data source received the stop message and is currently stopping
     */
    Stopping("Stopping"),
    /**
     * Data source is stopped.
     */
    Stopped("Stopped");

    private final static long serialVersionUID = 1L;
    private final String value;

    DataSourceStatus(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public String toString() {
        return value;
    }

    public boolean isStarted() {
        return (this == Aqcuiring) || (this == StandBy);
    }
}
