package com.onaro.sanscreen.acquisition.framework.datasource;

import com.onaro.sanscreen.acquisition.framework.datasource.config.PollingPackageConfiguration;
import com.onaro.sanscreen.acquisition.framework.FrameworkException;

import java.util.Properties;
import java.util.concurrent.Callable;

/**
 * Marker interface for a package that relies on polling to get the data
 */
public interface PollingPackage<C extends PollingPackageConfiguration> extends Package<C>, PollingPackageMBean {
    /**
     * Called by the framework when this package is supposed to poll now.
     *
     * The implementation should use the appropriate updates listener (based on the package) to report the results of
     * this sample.
     *
     * @throws DataSourceErrorException When the poll encountered a device / logic related error
     * @throws com.onaro.sanscreen.acquisition.framework.FrameworkException When there was some framework related / communication with the server error.
     */
    public void pollNow( final Properties properties ) throws DataSourceErrorException, FrameworkException;
  public void pollNow(  ) throws DataSourceErrorException, FrameworkException;
}
