package com.onaro.sanscreen.acquisition.framework.datasource.config;

import com.onaro.sanscreen.acquisition.framework.datasource.BaseDataSource;

/**
 * Interface for library classes (shared across packages/datasources) to declare themselves library MBeans
 * and register via BaseDataSource (see {@link BaseDataSource#registerLibraryMBean(PackageLibraryMBean, Package)}.
 *
 * Library name should correspond to the ultimate "name" of the JMX registration object name.
 */
public interface PackageLibraryMBean {

    /**
     * Get the unique name of this library.   Should be descriptive of the library - will be used as the 'name'
     * attribute of the ultimate ObjectName used to register this MBean.
     * 
     * @return unique name identifying this library.
     */
    public String getLibraryName();
    
}
