package com.onaro.sanscreen.acquisition.framework.datasource.config;

/**
 * Interface marking a package that relies on polling to get data
 */
public interface PollingPackageConfiguration<P extends com.onaro.sanscreen.acquisition.framework.datasource.PollingPackage> extends PackageConfiguration<P> {
    public int getPollTimeMillis();

    /**
     * Time of day to start polling (used in NER)
     *
     * @return time in minutes since midnight (-1 to start ASAP)
     */
    public int getPollStartTimeMins();
}
