package com.onaro.sanscreen.acquisition.framework.diskmodel;

import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorType;
import com.onaro.sanscreen.acquisition.framework.datasource.EnhancedErrorDetail;

/**
 * This exception class used to report an error during disk model parsing
 */
public class AcqDiskModelException extends DataSourceErrorException {
    public AcqDiskModelException() {
    }

    public AcqDiskModelException(final DataSourceErrorType type, final String guiMessage, final String logMessage) {
        super(type, guiMessage, logMessage);
    }

    protected AcqDiskModelException(final DataSourceErrorType type,
                                       final EnhancedErrorDetail enhanceErrorDetail,
                                       final String logMessage,
                                       final Throwable cause) {
        super(type, enhanceErrorDetail, logMessage, cause);
    }

    public AcqDiskModelException(final DataSourceErrorType type, final String guiMessage, final String logMessage, final Throwable cause) {
        super(type, guiMessage, logMessage, cause);
    }

    public static AcqDiskModelException createWithEnhanced(final DataSourceErrorType type, final String logMessage, final EnhancedErrorDetail enhanceErrorDetail) {
        return new AcqDiskModelException(type, enhanceErrorDetail, logMessage, null);
    }

    public static AcqDiskModelException createWithEnhanced(final DataSourceErrorType type, final String logMessage, final EnhancedErrorDetail enhanceErrorDetail, final Throwable cause) {
        return new AcqDiskModelException(type, enhanceErrorDetail, logMessage, cause);
    }
}
