package com.onaro.sanscreen.acquisition.framework.filecache;

/**
 * The CacheKey is used make sure that keys follow the correct rules and validation
 */
public abstract class CacheKey
{
  public abstract String toString();

  protected abstract void validate();

  /**
   * Validate the key is correct
   */
  public final void doValidation()
  {
    try
    {
      validate();
    }
    catch( Exception e )
    {
      throw new FileCacheException( "Cache Key validation error", e );
    }
  }
}
