package com.onaro.sanscreen.acquisition.netappfoundation.datasource;

import com.onaro.sanscreen.acquisition.framework.FrameworkException;
import com.onaro.sanscreen.acquisition.framework.datasource.BaseDataSource;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.StorageRoot;

import java.io.File;
import java.io.Serializable;

/**
 * Interface defining what a foundation data source can report on.
 */
public interface NetAppFoundationUpdatesListener {


    /**
     * This is for only for data sources from 6.0 and up   NEW SCHEMA.
     *
     * Called by data source when it finished creating the XML. This will also update the
     * status of the data source to "Success"
     *
     * @param dataSource
     * @param originatorKey
     * @param originatorDisplayName
     * @param netAppRoot The generated XML
     * @param changed Indicates if the framework believes this data is changed from the last report
     * @param context Context object containing device specific data being passed arround by foundation to other packages
     *
     * @throws FrameworkException when could not update data to the server
     */
    public void reportNetAppData(final BaseDataSource dataSource,
                              final String originatorKey,
                              final String originatorDisplayName,
                              final StorageRoot netAppRoot,
                              final File netappDataFile,
                              final boolean changed,
                              final Serializable context) throws FrameworkException;
}
