package com.onaro.sanscreen.acquisition.netappfoundation.datasource.dependant;

//import com.onaro.sanscreen.acquisition.schema.Root;

import com.onaro.sanscreen.acquisition.schema.Root;

import java.io.File;
import java.io.Serializable;

public class NetAppFoundationData implements Serializable {
    private final static long serialVersionUID = 1;

    private final String originatorKey;
    private final Root odataRoot;
    private final boolean changed;
    private final Serializable context;

    public NetAppFoundationData(final String originatorKey, final Root odataRoot, final boolean changed, final Serializable context) {
        this.originatorKey = originatorKey;
        this.odataRoot = odataRoot;
        this.changed = changed;
        this.context = context;
    }

    public String getOriginatorKey() {
        return originatorKey;
    }

    public Root getOdataRoot() {
        return odataRoot;
    }

    public boolean isChanged() {
        return changed;
    }

    public Serializable getContext() {
        return context;
    }
}
