package com.onaro.sanscreen.acquisition.netappfoundation.datasource.dependant.integrity;

/**
 * Represents an internal tracking enum for the type of samples being checked by the performance integrity check
 * framework.
 */
public enum NetAppIntegrityCheckType {

    AGGREGATE ("Disk"),
    DISK ("Disk"),
    VOLUME ("Volume"),
    INTERNAL_VOLUME ("Internal Volume"),
    LUN ("Lun"),
    PORT ("Port"),
    NODE("Node"),
    FCP_LIF("Fcp_Lif"),
    FCP_PORT("Fcp_Port"),
    IP_PORT("Ip_Port"),
    QOS_VOLUME_WORKLOAD ("Qos Volume Workload"),
    QOS_WORKLOAD_DETAIL ("Qos Workload Detail"),
    QOS_SERVICE_CENTER ("Qos Service Center"),
    EXT_CACHE_OBJ("Ext_Cache_Obj"),
    WAFL ("Wafl");

    private final String displayStr;

    NetAppIntegrityCheckType(String displayStr) {
        this.displayStr = displayStr;
    }

    public String getDisplayStr() {
        return displayStr;
    }
}
