package com.onaro.sanscreen.acquisition.netappschema.netappdata;

import java.io.IOException;
import java.util.EnumMap;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;
import com.onaro.sanscreen.acquisition.netappschema.annotations.OCIEUUID;
import com.onaro.sanscreen.acquisition.netappschema.annotations.OCIEZapiSource;
import com.onaro.sanscreen.acquisition.schema.BaseCRCXMLNode;
import com.onaro.sanscreen.acquisition.schema.KeyBase;
import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;


@SuppressWarnings("serial")
public class AlternateKey extends BaseCRCXMLNode<DoNotDelete> {
    public final static class AlternateKeyKey extends KeyBase<AlternateKeyKey.Field> {
        public static enum Field {
            uuid
        }

        public AlternateKeyKey(final String uuid) {
            super("alternateKey",
                  new EnumMap<Field, String>(Field.class) {{
                        put(Field.uuid, uuid);
                  }});
        }

        @Override
        @OCIEUUID(uuidDescr = "uid")
        public String getOcieUUID() {
            return getID(Field.uuid);
        }
    }
    
    private final AlternateKeyKey key;
    private String name;
    private String value;
    

    AlternateKey(final DoNotDelete parentNode, final String uuid) {
        super(parentNode, AlternateKey.class.getSimpleName());
        this.key = new AlternateKeyKey(uuid);
    }

    @Override
    @SuppressWarnings({"unchecked"})
    public AlternateKeyKey getKey() {
        return key;
    }

    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getValue() {
        return value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }    
    
    @Override
    protected void marshallAttributesToFileAndCRC(final MarshallingCache marshallingCache, final DSFileCRCWriter writer) throws IOException, SchemaException {
        super.marshallAttributesToFileAndCRC(marshallingCache, writer);
        addRequiredAttributeAndCRC(writer, "Name", name);
        addRequiredAttributeAndCRC(writer, "Value", value);
    }
    
}
