package com.onaro.sanscreen.acquisition.netappschema.netappdata;

import java.util.EnumMap;

import com.onaro.sanscreen.acquisition.netappschema.annotations.OCIEResourceType;
import com.onaro.sanscreen.acquisition.netappschema.annotations.OCIETable;
import com.onaro.sanscreen.acquisition.netappschema.annotations.OCIEZapiSource;
import com.onaro.sanscreen.acquisition.schema.KeyBase;

/**
 *
 */
@OCIETable("net_failover_group")
@OCIEResourceType("net_failover_group")
public class NetFailoverGroup {

    private String broadcastGroup;

    private String failoverGroup;

    public static final class NetFailoverGroupKey extends KeyBase<NetFailoverGroupKey.Field> {

        /**
         * YYYYMMDD
         */
        private static final long serialVersionUID = 20140522L;

        public static enum Field {

            @OCIEZapiSource(
                sourceZapi = "net-failover-group-get-iter",
                zapiResponsePath = "netapp.results.attributes-list.net-failover-group-info.broadcast-group"
            )
            BROADCAST_GROUP,

            @OCIEZapiSource(
                sourceZapi = "net-failover-group-get-iter",
                zapiResponsePath = "netapp.results.attributes-list.net-failover-group-info.failover-group"
            )
            FAILOVER_GROUP,
        }

        @SuppressWarnings("serial")
        public NetFailoverGroupKey(final String failoverGroup) {
            super("net_failover_group",
                    new EnumMap<Field, String>(Field.class) {
                    {
                        put(Field.FAILOVER_GROUP, failoverGroup);
                    }});
        }

        @Override
        public String getOcieUUID() {
            return getID(Field.FAILOVER_GROUP);
        }
    }

    public String getBroadcastGroup() {
        return broadcastGroup;
    }

    public NetFailoverGroup setBroadcastGroup(String broadcastGroup) {
        this.broadcastGroup = broadcastGroup;
        return this;
    }

    public String getFailoverGroup() {
        return failoverGroup;
    }

    public NetFailoverGroup setFailoverGroup(String failoverGroup) {
        this.failoverGroup = failoverGroup;
        return this;
    }

}
