package com.onaro.sanscreen.acquisition.netappschema.netappdata;

import com.onaro.sanscreen.acquisition.schema.BaseRootFactory;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

/**
 * This is the factory for all Root classes.
 */
public class RootFactory extends BaseRootFactory {
    public RootFactory(final String dataSourceName) {
        super(dataSourceName);
    }

    public StorageRoot createStorageRoot(final long originatorID, final String originatorType) throws SchemaException {
        if (roots.contains(originatorID)) {
            throw new SchemaException("Root with originator ID " + originatorID + " already created");
        }

        return new StorageRootImpl(this, originatorID, originatorType, getDataSourceName());
    }
}
