package com.onaro.sanscreen.acquisition.netappstorageperformance.datasource;

import com.onaro.sanscreen.acquisition.framework.FrameworkException;

/**
 * Used to synchronize clocks with the server. This method will read the server's clock and this will be used to identify
 * the clock differences between the Acq unit and the server
 */
public interface NetAppClockSynchronizer {
    /**
     * @return Retrieves the current server time
     *
     * @throws FrameworkException On any communications issue (when going to server to read clock)
     */
    long getServerTime() throws FrameworkException;
}
