package com.onaro.sanscreen.acquisition.netappstorageperformance.datasource;

public class NetAppDiskPerfCounters {
    // holds current timestamp of the sample or interval between samples.
    protected long interval;

    protected long  numRead, byteRead, numWrite, byteWrite;

    public NetAppDiskPerfCounters(final long interval,
                            final long numRead,
                            final long byteRead,
                            final long numWrite,
                            final long byteWrite) {
        this.interval = interval;
        this.numRead = numRead;
        this.byteRead = byteRead;
        this.numWrite = numWrite;
        this.byteWrite = byteWrite;
    }

    /**
     * Creates a new object containing a diffrence between current and next sample.
     */
    public NetAppDiskPerfCounters diffFromNewer(final NetAppDiskPerfCounters nextSample) {
        return new NetAppDiskPerfCounters(nextSample.interval - interval,
                                    nextSample.numRead - numRead,
                                    nextSample.byteRead - byteRead,
                                    nextSample.numWrite - numWrite,
                                    nextSample.byteWrite - byteWrite);
    }

//    public DiskMeasurements convertToDiskMeasurements(final NetAppDiskSpecification diskSpecification) {
//
//        final float readThroughput = NetAppMetricCalculator.getThoughputInMBPerSec(byteRead, interval);
//        final float writeThroughput = NetAppMetricCalculator.getThoughputInMBPerSec(byteWrite, interval);
//
//        final float readIOPS = NetAppMetricCalculator.getIOPS(numRead, interval);
//        final float writeIOPS = NetAppMetricCalculator.getIOPS(numWrite, interval);
//
//        final float readUtilization = NetAppMetricCalculator.getDiskUtilization(byteRead, numRead, interval, diskSpecification);
//        final float writeUtilization = NetAppMetricCalculator.getDiskUtilization(byteWrite, numWrite, interval, diskSpecification);
//
//        final boolean accessed = numRead > 0 || numWrite > 0;
//
//        return new DiskMeasurements((int) readThroughput,
//                                    (int) writeThroughput,
//
//                                    (int) readIOPS,
//                                    (int) writeIOPS,
//
//                                    readUtilization,
//                                    writeUtilization,
//
//                                    accessed);
//    }

    public long getInterval() {
        return interval;
    }

    public void setInterval(final long interval) {
        this.interval = interval;
    }

    public long getNumRead() {
        return numRead;
    }

    public void setNumRead(final long numRead) {
        this.numRead = numRead;
    }

    public long getByteRead() {
        return byteRead;
    }

    public void setByteRead(final long byteRead) {
        this.byteRead = byteRead;
    }

    public long getNumWrite() {
        return numWrite;
    }

    public void setNumWrite(final long numWrite) {
        this.numWrite = numWrite;
    }

    public long getByteWrite() {
        return byteWrite;
    }

    public void setByteWrite(final long byteWrite) {
        this.byteWrite = byteWrite;
    }
}
