package com.onaro.sanscreen.acquisition.netappstorageperformance.standalone;

import com.netapp.oci.netapp.performance.aggregate.interfaces.data.AggregateMeasurements;
import com.netapp.oci.netapp.performance.aggregate.interfaces.data.AggregateRawMeasurements;
import com.netapp.oci.netapp.performance.aggregate.interfaces.data.WaflHyaAggrMeasurements;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.data.CifsVserverMeasurements;
import com.netapp.oci.netapp.performance.cifsvserver.interfaces.data.CifsVserverRawMeasurements;
import com.netapp.oci.netapp.performance.cluster.interfaces.data.ClusterMeasurements;
import com.netapp.oci.netapp.performance.disk.interfaces.data.DiskMeasurements;
import com.netapp.oci.netapp.performance.disk.interfaces.data.DiskRawMeasurements;
import com.netapp.oci.netapp.performance.ext_cache_obj.interfaces.data.ExtCacheObjMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifRawMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifVserverMeasurements;
import com.netapp.oci.netapp.performance.fcplif.interfaces.data.FcpLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.fcpport.interfaces.data.FcpPortMeasurements;
import com.netapp.oci.netapp.performance.fcpport.interfaces.data.FcpPortRawMeasurements;
import com.netapp.oci.netapp.performance.hostadapter.interfaces.data.HostadapterMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifRawMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverMeasurements;
import com.netapp.oci.netapp.performance.iscsilif.interfaces.data.IscsiLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.lun.interfaces.data.LunMeasurements;
import com.netapp.oci.netapp.performance.lun.interfaces.data.LunRawMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifRawMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifVserverMeasurements;
import com.netapp.oci.netapp.performance.networklif.interfaces.data.NetworkLifVserverRawMeasurements;
import com.netapp.oci.netapp.performance.networkport.interfaces.data.NetworkPortMeasurements;
import com.netapp.oci.netapp.performance.nfs.interfaces.data.*;
import com.netapp.oci.netapp.performance.nic.interfaces.data.NicMeasurements;
import com.netapp.oci.netapp.performance.nic.interfaces.data.NicRawMeasurements;
import com.netapp.oci.netapp.performance.node.interfaces.data.*;
import com.netapp.oci.netapp.performance.processor.interfaces.data.ProcessorMeasurements;
import com.netapp.oci.netapp.performance.qosservicecenter.interfaces.data.QosServiceCenterMeasurements;
import com.netapp.oci.netapp.performance.qosworkload.interfaces.data.QosVolumeWorkloadMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddblade.interfaces.data.QosWorkloadQueueDBladeMeasurements;
import com.netapp.oci.netapp.performance.qosworkloaddetail.interfaces.data.QosWorkloadDetailMeasurements;
import com.netapp.oci.netapp.performance.qosworkloadnblade.interfaces.data.QosWorkloadQueueNBladeMeasurements;
import com.netapp.oci.netapp.performance.volume.interfaces.data.VolumeMeasurements;
import com.netapp.oci.netapp.performance.volume.interfaces.data.VolumeRawMeasurements;
import com.netapp.oci.netapp.performance.volumenode.interfaces.data.VolumeNodeMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VolumeVserverMeasurements;
import com.netapp.oci.netapp.performance.vserver.interfaces.data.VserverMeasurements;
import com.netapp.oci.netapp.performance.wafl.interfaces.data.WaflMeasurements;
import com.netapp.oci.platform.common.interfaces.data.performance.RawSample;
import com.onaro.sanscreen.acquisition.framework.FrameworkException;
import com.onaro.sanscreen.acquisition.framework.datasource.BaseDataSource;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceErrorException;
import com.onaro.sanscreen.acquisition.framework.datasource.DataSourceSampleListener;
import com.onaro.sanscreen.acquisition.framework.datasource.PollingPackage;
import com.onaro.sanscreen.acquisition.netappfoundation.datasource.NetAppClockSynchronizer;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Cluster;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.Cluster.ClusterKey;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.VServer;
import com.onaro.sanscreen.acquisition.netappschema.netappdata.VServer.VServerKey;
import com.onaro.sanscreen.acquisition.netappstorageperformance.datasource.NetAppStoragePerformancePackage;
import com.onaro.sanscreen.acquisition.netappstorageperformance.datasource.NetAppStoragePerformanceUpdatesListener;
import org.apache.log4j.Logger;

import java.io.File;
import java.util.Collection;

/**
 * Created with IntelliJ IDEA.
 * User: decker
 * Date: 2/21/13
 * Time: 12:42 PM
 * To change this template use File | Settings | File Templates.
 */
public class NetAppStoragePerformanceStandaloneListener implements DataSourceSampleListener, NetAppStoragePerformanceUpdatesListener, NetAppClockSynchronizer {

    private static final Logger logger = Logger.getLogger(NetAppStoragePerformanceStandaloneListener.class);
    protected boolean success = true;

    /**
     * Reported by the data source every time it starts an acquisition cycle.
     *
     * @param dataSource
     * @param pollType
     */
    @Override
    public void startingSample(final BaseDataSource dataSource, final PollingPackage pollType) {
        logger.info("Data Source starting");
    }

    /**
     * Called by the data source when sample ended with no exception
     *
     * @param dataSource
     * @param aPackage
     */
    @Override
    public void sampleSuccessfull(final BaseDataSource dataSource, final PollingPackage aPackage) throws FrameworkException {
        logger.info("Sample successful");
        success = true;
    }

    /**
     * Called by the data source when a data source error is caught during sample.
     *
     * <p/>The framework only catches these errors and
     * writes them to the log. It makes sure the system will not be affected by such errors. It does not however report these
     * errors anywhere. This is the responsibility of package specific listeners.
     *
     * @param dataSource
     * @param aPackage
     * @param e
     */
    @Override
    public void sampleFailed(final BaseDataSource dataSource, final PollingPackage aPackage, final DataSourceErrorException e) {
        logger.error("Sample failed: " + e.getMessage());
        logger.debug("Error stack", e);
        success = false;
    }

    /**
     * Called by the data source when a runtime / error / framework exception is caught during sample
     *
     * @param dataSource
     * @param aPackage
     * @param e
     */
    @Override
    public void sampleFailed(final BaseDataSource dataSource, final PollingPackage aPackage, final Throwable e) {
        logger.error("Sample failed: " + e.getMessage());
        logger.debug("Error stack", e);
        success = false;
    }


    /**
     * Called by the data source when it finished a cycle of sampling. This method is used to close audit records, etc...
     *
     * @param dataSource
     * @param aPackage
     */
    @Override
    public void finishedSample(final BaseDataSource dataSource, final PollingPackage aPackage) throws FrameworkException {
        logger.info("Finished sample");
    }

    /**
     * Reported by package when a recording session is completed.
     *
     * @param dataSource Base data source handle.
     * @param aPackage current package being recorded.
     * @param recordingSession Recording file just created.
     * @param shouldReport a boolean stipulating if this recording should be "reported".   This is an indicator to
     *  implementers as to any action that should be taken to report this data to external destinations (e.g. the server).
     */
    @Override
    public void recordingSessionDone(final BaseDataSource dataSource,
                                       final PollingPackage aPackage,
                                       final File recordingSession,
                                       final boolean shouldReport) throws FrameworkException {
        logger.info("Reported Recording Session!");
    }
    
	@Override
	public boolean reportAggregatePerformance(NetAppStoragePerformancePackage aPackage, ClusterKey clusterKey, long pollStartTime, Collection<RawSample<AggregateMeasurements>> samples, long leaseTime) {
		logger.info("Reported " + samples.size() + " AggregateMeasurements");
		return false;
	}
    
    @Override
    public boolean reportAggregateRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<AggregateRawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " AggregateRawMeasurements");
        return false;
    }

    @Override
    public boolean reportCifsVserverRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<CifsVserverRawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " CifsVserverRawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportCifsVserverPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<CifsVserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " CifsVserverMeasurements");
        return false;
    }

    @Override
    public boolean reportLifVserverRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<NetworkLifVserverRawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " LifVserverRawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportLifVserverPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<NetworkLifVserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " LifVserverMeasurements");
        return false;
    }
    
    @Override
    public boolean reportNfsv3RawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv3RawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv3RawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportNfsv3Performance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv3Measurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv3Measurements");
        return false;
    }
    
    @Override
    public boolean reportNfsv4RawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv4RawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv4RawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportNfsv4Performance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv4Measurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv4RawMeasurements");
        return false;
    }

    @Override
    public boolean reportNfsv41RawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv41RawMeasurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv41Measurements");
        return false;
    }
    
    @Override
    public boolean reportNfsv41Performance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<Nfsv41Measurements>> samples, final long leaseTime) {
    	logger.info("Reported " + samples.size() + " Nfsv41Measurements");
        return false;
    }

    public boolean reportNfsPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<NfsMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NfsMeasurements");
        return false;
    }

    public boolean reportVserverPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<VserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " VserverMeasurements");
        return false;
    }
    
    @Override
    public boolean reportDiskPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<DiskMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " DiskMeasurements");
        return false;
    }
    
    @Override
    public boolean reportDiskRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long pollStartTime, final Collection<RawSample<DiskRawMeasurements>> samples, final long leaseTime) {
    	 logger.info("Reported " + samples.size() + " DiskRawMeasurements");
         return false;
    }

    @Override
    public boolean reportVolumePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey vServerKey, final long time, final Collection<RawSample<VolumeMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " VolumeMeasurements");
        return false;
    }

    @Override
	public boolean reportVolumeRawPerformance(NetAppStoragePerformancePackage aPackage, ClusterKey clusterKey, VServerKey vServerKey, long time, Collection<RawSample<VolumeRawMeasurements>> samples, long leaseTime) {
        logger.info("Reported " + samples.size() + " VolumeRawMeasurements");
		return false;
	}

    @Override
    public boolean reportVolumePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey vServerKey, final long time, final Collection<RawSample<VolumeMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " VolumeMeasurements");
        return false;
    }

    @Override
    public boolean reportLunPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey vServerKey, final long time, final Collection<RawSample<LunMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " LunMeasurements");
        return false;
    }

	@Override
	public boolean reportLunRawPerformance(NetAppStoragePerformancePackage aPackage, ClusterKey clusterKey,	VServerKey vServerKey, long time, Collection<RawSample<LunRawMeasurements>> samples, long leaseTime) {
        logger.info("Reported " + samples.size() + " LunRawMeasurements");
		return false;
	}
    
    @Override
    public boolean reportNodePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<NodeMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNodePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<NodeMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNodeRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<NodeRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NodeRawMeasurements");
        return false;
    }

    /**
     * FcpLif Performance Statistics
     */
    @Override
    public boolean reportFcpLifPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey key, final long time, final Collection<RawSample<FcpLifMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpLifMeasurements");
        return false;
    }
    @Override
    public boolean reportFcpLifRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey key, final long time, final Collection<RawSample<FcpLifRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpLifRawMeasurements");
        return false;
    }

    @Override
    public boolean reportFcpLifVserverPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<FcpLifVserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpLifVserverMeasurements");
        return false;
    }
    @Override
    public boolean reportFcpLifVserverRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<FcpLifVserverRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpLifVserverRawMeasurements");
        return false;
    }

    @Override
    public boolean reportFcpPortPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<FcpPortMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpPortMeasurements");
        return false;
    }

    @Override
    public boolean reportFcpPortRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<FcpPortRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " FcpPortRawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportIpPortPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<NetworkPortMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NetworkPortMeasurements");
        return false;
    }

    @Override
    public boolean reportNicRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<NicRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NicRawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportNicPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<NicMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NicMeasurements");
        return false;
    }

    @Override
    public boolean reportVolumeVServerPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<VolumeVserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " VolumeVserverMeasurements");
        return false;
    }

    @Override
    public boolean reportLifPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey key, final long time, final Collection<RawSample<NetworkLifMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NetworkLifMeasurements");
        return false;
    }

    @Override
    public boolean reportLifRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final VServer.VServerKey key, final long time, final Collection<RawSample<NetworkLifRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " NetworkLifRawMeasurements");
        return false;
    }
    
    @Override
    public boolean reportIscsiLifPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey,final VServer.VServerKey key, final long time, final Collection<RawSample<IscsiLifMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " IscsiLifMeasurements");
        return false;
    }
    
    @Override
    public boolean reportIscsiLifRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey,final VServer.VServerKey key, final long time, final Collection<RawSample<IscsiLifRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " IscsiLifRawMeasurements");
        return false;
    }

    @Override
    public boolean reportIscsiLifVserverPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<IscsiLifVserverMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " IscsiLifVserverMeasurements");
        return false;
    }
    
    @Override
    public boolean reportIscsiLifVserverRawPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey,final long time, final Collection<RawSample<IscsiLifVserverRawMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " IscsiLifVserverRawMeasurements");
        return false;
    }

    @Override
    public boolean reportProcessorPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<ProcessorMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " ProcessorMeasurements");
        return false;
    }

    @Override
    public boolean reportQosVolumeWorkloadPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey vServerKey, final long time, final Collection<RawSample<QosVolumeWorkloadMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " QosVolumeWorkloadMeasurements");
        return false;
    }

    @Override
    public boolean reportQosWorkloadDetailPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<QosWorkloadDetailMeasurements>> samples) {
    	logger.info("Reported " + samples.size() + " QosWorkloadDetailMeasurements");
	return false;
    }

	@Override
	public boolean reportQosWorkloadDetailPerformance(NetAppStoragePerformancePackage aPackage, ClusterKey clusterKey, long time, Collection<RawSample<QosWorkloadDetailMeasurements>> samples,	long leaseTime) {
		return false;
	}
    
	@Override
	public boolean reportQosVolumeWorkloadPerformance(NetAppStoragePerformancePackage aPackage, ClusterKey clusterKey, long time, Collection<RawSample<QosVolumeWorkloadMeasurements>> samples,	long leaseTime) {
		return false;
	}
    
    @Override
    public boolean reportQosWorkloadQueueDBladePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey clusterKey, long time, Collection<RawSample<QosWorkloadQueueDBladeMeasurements>> samples, long leaseTime) {
        logger.info("Reported " + samples.size() + " QosWorkloadQueueDBladeMeasurements");
        return false;
    }

    @Override
    public boolean reportQosWorkloadQueueDBladePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey clusterKey, long time, Collection<RawSample<QosWorkloadQueueDBladeMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " QosWorkloadQueueDBladeMeasurements");
        return false;
    }

    @Override
    public boolean reportQosWorkloadQueueNBladePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey clusterKey, long time, Collection<RawSample<QosWorkloadQueueNBladeMeasurements>> samples, long leaseTime) {
        logger.info("Reported " + samples.size() + " QosWorkloadQueueNBladeMeasurements");
        return false;
    }

    @Override
    public boolean reportQosWorkloadQueueNBladePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey clusterKey, long time, Collection<RawSample<QosWorkloadQueueNBladeMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " QosWorkloadQueueNBladeMeasurements");
        return false;
    }

    @Override
    public boolean reportQosServiceCenterPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<QosServiceCenterMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " QosWorkloadDetailMeasurements");
        return false;
    }

    @Override
    public boolean reportQosServiceCenterPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<QosServiceCenterMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " QosWorkloadDetailMeasurements");
        return false;
    }

    @Override
    public boolean reportWaflPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<WaflMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " WaflMeasurements");
        return false;
    }

    @Override
    public boolean reportWaflPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<WaflMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " WaflMeasurements");
        return false;
    }

    @Override
    public boolean  reportWaflHyaAggrPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<WaflHyaAggrMeasurements>> samples) {
        return false;
    }

    @Override
    public boolean  reportWaflHyaAggrPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<WaflHyaAggrMeasurements>> samples, long leaseTime) {
        return false;
    }

    @Override
    public boolean reportExtCachePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<ExtCacheObjMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " ExtCacheObjMeasurements");
        return false;
    }

    @Override
    public boolean reportExtCachePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<ExtCacheObjMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " ExtCacheObjMeasurements");
        return false;
    }

    @Override
    public boolean reportVolumeNodePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<VolumeNodeMeasurements>> samples) {
        logger.info("Reported " + samples.size() + " VolumeNodeMeasurements");
        return false;
    }

    @Override
    public boolean reportVolumeNodePerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey clusterKey, final long time, final Collection<RawSample<VolumeNodeMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " VolumeNodeMeasurements");
        return false;
    }

    @Override
    public boolean reportCIFSNodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<CIFSNodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " CIFSNodeMeasurements");
        return false;
    }

    @Override
    public boolean reportCIFSNodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<CIFSNodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " CIFSNodeMeasurements");
        return false;
    }

    @Override
    public boolean reportSMB1NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<SMB1NodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " SMB1NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportSMB1NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<SMB1NodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " SMB1NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportSMB2NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<SMB2NodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " SMB2NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportSMB2NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<SMB2NodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " SMB2NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv3NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv3NodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv3NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv3NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv3NodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv3NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv4NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv4NodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv4NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv4NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv4NodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv4NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv41NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv41NodeMeasurements>> samples) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv41NodeMeasurements");
        return false;
    }

    @Override
    public boolean reportNFSv41NodePerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<NFSv41NodeMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " NFSv41NodeMeasurements");
        return false;
    }
    
    @Override
    public boolean reportClusterPerformance(NetAppStoragePerformancePackage aPackage, Cluster.ClusterKey key, long time, Collection<RawSample<ClusterMeasurements>> samples, long leaseTime) throws DataSourceErrorException {
        logger.info("Reported " + samples.size() + " ClusterMeasurements");
        return false;
    }

    @Override
    public boolean reportHostadapterPerformance(final NetAppStoragePerformancePackage aPackage, final Cluster.ClusterKey key, final long time, final Collection<RawSample<HostadapterMeasurements>> samples, final long leaseTime) {
        logger.info("Reported " + samples.size() + " HostadapterMeasurements");
        return false;
    }

    @Override
    public long getServerTime() throws FrameworkException {
        return System.currentTimeMillis();
    }

	@Override
	public boolean reportClusterPerformance(
			NetAppStoragePerformancePackage aPackage, ClusterKey key,
			long time, Collection<RawSample<ClusterMeasurements>> samples)
			throws DataSourceErrorException {
		logger.info("Reported " + samples.size() + " ClusterMeasurements");
        return false;
	}

}

