package com.onaro.sanscreen.acquisition.schema;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

/**
 * This is the factory for all Root classes.
 */
public abstract class BaseRootFactory implements MarshallingCache, Serializable {
    private final static long serialVersionUID = 1;
    private final String dataSourceName;

    protected final Map<Comparable, Object> cache = new TreeMap<Comparable, Object>();

    protected final Set<Long> roots = new HashSet<Long>();

    public BaseRootFactory(final String dataSourceName) {
        this.dataSourceName = dataSourceName;
    }

    public final Object put(final Comparable key, final Object value) {
        return cache.put(key, value);
    }

    public final Object get(final Comparable key) {
        return cache.get(key);
    }

    public final String getDataSourceName() {
        return dataSourceName;
    }
}