package com.onaro.sanscreen.acquisition.schema;

import java.io.Serializable;

/**
 * Marker interface for an object's key.
 * This is the way objects are being compared and looked for (as implemented by the framework).
 *
 * <p/>The {@link Key} implementation will contain enough information to uniquely identify the object in the SAN.
 * The {@link Key#toString} method can be used to generate a unique string (encoded in the OID attributes) identifying
 * this object.
 *
 * <p/>All {@link Key} implementations can be used as keys in both a {@link java.util.TreeMap} (implement {@link Comparable})
 * and a {@link java.util.HashMap} (implement {@link #equals} and {@link #hashCode} 
 */
public interface Key<O> extends Comparable<O>, Serializable {
}
