package com.onaro.sanscreen.acquisition.schema;

import com.onaro.sanscreen.acquisition.framework.datasource.IntegrityException;
import com.onaro.sanscreen.acquisition.framework.datasource.io.DSFileCRCWriter;

import java.io.IOException;

public interface StreamingCRCRoot {

    /**
     * Used by the framework to convert the schema object hierarchy into XML. This is done when sending the report to
     * the server.
     *
     * @param writer CRC Writer to dump XML to
     *
     * @throws java.io.IOException
     * @throws SchemaException
     */
    public void marshallAndCRC(final DSFileCRCWriter writer) throws IOException, SchemaException;

    public void checkIntegrity() throws IntegrityException;
}
