package com.onaro.sanscreen.acquisition.schema.odata2;

import com.onaro.sanscreen.acquisition.schema.Nodes;

import java.util.Collection;

public class Masks extends Nodes<Volume, VolumeMask> {
    /**
     * Use {@link Volume#getMasks} to access this object
     */
    Masks(final Volume parent) {
        super(parent);
    }

    public boolean add(VolumeMask o) {
        // Indicate i n the storage that mapping was defined. Even though we didn't add the mapping yet, this is the most
        // reliableplace to indicate that since we have no call back when the mapping is being added.
        getParent().getStorage().setMaskingDefined(true);
        return super.add(o);
    }

    public boolean addAll(Collection<? extends VolumeMask> c) {
        // Indicate in the storage that mapping was defined. Even though we didn't add the mapping yet, this is the most
        // reliable place to indicate that since we have no call back when the mapping is being added.
        getParent().getStorage().setMaskingDefined(true);
        return (super.addAll(c));
    }
}
