package com.onaro.sanscreen.acquisition.schema.odata2;

/**
 * Mode types for all storage synchronization types.
 */
public enum StorageSynchronizationMode {

    /**
     * Bytes written to source are immediately replicated to target.
     */
    SYNCHRONOUS("Synchronous"),
    /**
     * Bytes written to source are periodically (scheduled) replicated to target.
     */
    ASYNCHRONOUS("Asynchronous"),
    /**
     * Combination of benefits of both synchronous and asynchronous.  Typically, bytes written to source
     * are "very quickly", but not immediately written to target (within seconds typically).
     */
    SEMI_SYNCHRONOUS("Semi Synchronous"),
    /**
     * Unknown what this means.   Used only by Symmetrix currently.
     */
    COPY("Copy"),
    /**
     * Unknown replication mode.
     */
    UNKNOWN("Unknown");

    private String e;

    StorageSynchronizationMode(String e) {
        this.e = e;
    }

    public String toString() {
        return e;
    }

}
