package com.onaro.sanscreen.acquisition.schema.odata2;

import com.onaro.sanscreen.acquisition.schema.MarshallingCache;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;
import java.io.Writer;

/**
 * Represents a normal switch box (defined inside a fabric)
 */
public class Switch extends FabricSwitchType<Fabric> {

    /**
     * Use {@link Fabric#createSwitch} to create this object
     *
     * @param parent parent Fabric
     * @param wwn    switch wwn
     *
     * @throws com.onaro.sanscreen.acquisition.schema.SchemaException
     *
     */
    @SuppressWarnings({"JavaDoc"})
    Switch(final Fabric parent, final String wwn, final Type switchType) throws SchemaException {
        super(parent, "Switch", wwn, switchType);
    }

    public final void setDomainID(int domainid) {
        domainID = domainid;
    }

    public final void setDomainIDType(DomainIdType domainidtype) {
        domainIDType = domainidtype;
    }

    public final void setPriority(int priority) {
        this.priority = priority;
    }

    protected void marshallAttributes(final MarshallingCache cache, final Writer writer) throws IOException {
        super.marshallAttributes(cache, writer);

    }
}
