package com.onaro.sanscreen.acquisition.schema.odata2;

import com.onaro.sanscreen.acquisition.schema.NodeMap;

import java.util.List;

public class Volumes extends NodeMap<Storage, Volume.VolumeKey, Volume> {
    Volumes(final Storage parent) {
        super(parent);
    }

    public void addList(List<Volume> volumes) {
        for (Volume volume : volumes) {
            this.put(volume.getKey(), volume);
        }
    }

    /**
     * Find a volume on the parent storage of this Volumes group by string name.
     *
     * @param name  the name of the volume.
     * @return the volume, or NULL if not found.
     */
    public Volume findByName(final String name) {
        return get(new Volume.VolumeKey(getParent().getKey(), name));
    }

    public void add(final Volume volume) {
        this.put(volume.getKey(), volume);
    }
}
