package com.onaro.sanscreen.acquisition.schema2;

import com.onaro.sanscreen.acquisition.framework.datasource.IntegrityException;

import java.io.Serializable;

/**
 * Base interface for all nodes included in the schema
 */
public interface Node extends Serializable {

    /**
     * Perform integrity checks on device data
     *
     * @throws com.onaro.sanscreen.acquisition.framework.datasource.IntegrityException
     * If there is a problem with the integrity of the XML report
     */
    public void checkIntegrity() throws IntegrityException;
}
