package com.onaro.sanscreen.acquisition.schema2;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Used to mark fields to be saved as XML child nodes.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface NodeChild {
    /**
     * Element name when the child is a collection of objects.
     */
    String elementName() default "";

    /**
     * Attribute name when the child is a collection of objects.
     */
    String attributeName() default "";
}
