package com.onaro.sanscreen.acquisition.schema2;

import com.onaro.sanscreen.acquisition.framework.datasource.IntegrityException;
import com.onaro.sanscreen.acquisition.schema.SchemaException;

import java.io.IOException;
import java.io.Writer;

/**
 * Base class for all XML root nodes.
 */
abstract public class XmlRootNode extends XmlNode implements RootNode {

    protected XmlRootNode(final String name) {
        super(name);
    }

    /**
     * Marshal the object into the appropriate XML schema.
     *
     * @param writer Writer to dump XML to
     * @throws com.onaro.sanscreen.acquisition.schema.SchemaException If an XML
     * integrity error occurs
     * @throws java.io.IOException If an IO error occurs
     */
    @Override
    public void marshall(final Writer writer) throws
            SchemaException, IOException {
        marshallNode(writer, 0);
    }

    @Override
    public void checkIntegrity() throws IntegrityException {
        checkIntegrityOfChildren();
    }

}
