package com.onaro.sanscreen.acquisition.schema2.collect;

import java.io.Serializable;

/**
 * Represents an object with two immutable keys of types <tt>T1</tt> and
 * <tt>T2</tt>.
 * <p/>
 * It is important that the returned keys be immutable, otherwise
 * {@link NodeSet2} will break.
 */
public interface Keyable2<T1 extends Comparable<? super T1> & Serializable,
        T2 extends Comparable<? super T2> & Serializable>
        extends Keyable1<T1> {

    /**
     * @return The immutable value of the second key.
     */
    public T2 getKey2();
}
