package com.onaro.sanscreen.acquisition.util.common;


import org.apache.xerces.util.XMLChar;

import java.io.FilterReader;
import java.io.IOException;
import java.io.Reader;



// This filter makes sure that only XML valid chars are parsed
public class BadXmlFilterReader extends FilterReader {


    private enum BadBracketState {
        RETURN_NEXT_CHAR, NORMAL
    }

    private BadBracketState bracketState = BadBracketState.NORMAL;
    private int nextChar = '?';

    public BadXmlFilterReader(final Reader in) {
        super(in);
    }

    public int read() throws IOException {


        if (bracketState.equals(BadBracketState.RETURN_NEXT_CHAR)) {
            bracketState = BadBracketState.NORMAL;
            return nextChar;
        }

        int b = in.read();

        if (b == -1)
            return b;

        if (!XMLChar.isValid(b))
            b = (int) '?';

        if (b == '<') {
            final int next = in.read();
            if (next == '>') {
                b = (int) '?';
                nextChar = '?';
            }
            else {
                nextChar = next;
            }
            bracketState = BadBracketState.RETURN_NEXT_CHAR;
        }

        return b;
    }

    public int read(final char[] cbuf, final int off, final int len) throws IOException {
        int i;
        for (i = 0; i < len; i++) {
            final int b = read();

            if (b == -1)
                if (i == 0)
                    return -1;
                else
                    break;

            cbuf[off + i] = (char) b;
        }

        return i;
    }
}


