/**
 * Created by Onaro Inc.
 *
 * User: ophir.horn
 * Date: Nov 8, 2004 2:14:18 PM
 */

package com.onaro.sanscreen.acquisition.util.resolver;

class McDataPortGenerator extends VendorPortGenerator {
    private static String mcdataID = "08:00:88";

    public boolean checkVendor(String chassisWWN) {
        return mcdataID.equalsIgnoreCase(extractVendorFromWWN(chassisWWN));
    }

    public String getVendorName() {
        return "McData";
    }

    public String getPortWWN(final String chassisWWN, int bladeNumber, int portNumber) throws PortResolverException {
        if (chassisWWN == null)
            throw new PortResolverException("Chassis WWN wasn't set");

        if (bladeNumber > 0)
            throw new PortResolverException("blades are not supported for mcdata");

        if (portNumber > (0xFF - 3))
            throw new PortResolverException("Can't generate port for mcdata. Switch is too large");

        StringBuffer sb = new StringBuffer(30);
        sb.append("20:");
        String port = Integer.toString(portNumber + 4, 16);
        if (port.length() < 2)
            sb.append(0);

        sb.append(port);
        sb.append(chassisWWN.substring(5));

        return sb.toString().toUpperCase();
    }
}
