package com.onaro.sanscreen.acquisition.util.servercache;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;

@XmlAccessorType(XmlAccessType.FIELD)
public class ServerPort {
    @XmlAttribute
    private final long objectId;
    private String role;
    private String wwn;

    @SuppressWarnings("UnusedDeclaration")
    private ServerPort() {
        objectId = 0L;
    }

    ServerPort(final long objectId) {
        this.objectId = objectId;
    }

    public long getObjectId() {
        return objectId;
    }

    public String getRole() {
        return role;
    }

    void setRole(final String role) {
        this.role = role;
    }

    public String getWwn() {
        return wwn;
    }

    void setWwn(final String wwn) {
        this.wwn = wwn;
    }

    @Override
    public boolean equals(final Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final ServerPort that = (ServerPort) o;

        if (objectId != that.objectId) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return (int) (objectId ^ (objectId >>> 32));
    }
}
