package com.onaro.sanscreen.acquisition.util.servercache;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
class ServerStoragePorts {
    @XmlJavaTypeAdapter(MapXmlAdapter.class)
    private final Map<Long, Set<ServerPort>> map = new HashMap<Long, Set<ServerPort>>();

    void addServerPort(final Long storageObjectId, final ServerPort serverPort) {
        Set<ServerPort> serverPorts = map.get(storageObjectId);
        if (serverPorts == null) {
            serverPorts = new HashSet<ServerPort>();
            map.put(storageObjectId, serverPorts);
        }
        serverPorts.add(serverPort);
    }

    void addServerPortSet(final Long storageObjectId, final Set<ServerPort> serverPorts) {
        map.put(storageObjectId, serverPorts);
    }

    Map<Long, Set<ServerPort>> getServerPortMap() {
        return map;
    }
}
