package com.onaro.sanscreen.acquisition.util.servercache;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;

@XmlAccessorType(XmlAccessType.FIELD)
public class ServerVolumeMask {
    @XmlAttribute
    private final long objectId;
    private long volumeId;
    private String initiator;
    private String storagePort;
    private String protocolController;

    @SuppressWarnings("UnusedDeclaration")
    private ServerVolumeMask() {
        this.objectId = 0L;
    }

    ServerVolumeMask(final long objectId) {
        this.objectId = objectId;
    }

    public long getObjectId() {
        return objectId;
    }

    public long getVolumeId() {
        return volumeId;
    }

    void setVolumeId(final long volumeId) {
        this.volumeId = volumeId;
    }

    public String getInitiator() {
        return initiator;
    }

    void setInitiator(final String initiator) {
        this.initiator = initiator;
    }

    public String getStoragePort() {
        return storagePort;
    }

    void setStoragePort(final String storagePort) {
        this.storagePort = storagePort;
    }

    public String getProtocolController() {
        return protocolController;
    }

    void setProtocolController(final String protocolController) {
        this.protocolController = protocolController;
    }

    @Override
    public boolean equals(final Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        final ServerVolumeMask that = (ServerVolumeMask) o;

        if (objectId != that.objectId) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return (int) (objectId ^ (objectId >>> 32));
    }
}
