package com.onaro.sanscreen.util.xml;

import com.netapp.oci.platform.common.interfaces.data.NestedStackTraceException;

import javax.ejb.ApplicationException;

/**
 * Reports of an exception when performing update operation on the persistent storage.
 */
@ApplicationException(rollback = true)
public class XMLException extends NestedStackTraceException {


    private static final long serialVersionUID = 1L;

	/**
     * Constructs a new exception with the specified detail message.  The
     *
     * @param   message   the detail message. The detail message is saved for
     *          later retrieval by the {@link #getMessage()} method.
     */
    public XMLException(String message) {
	super(message);
    }

    /**
     * Constructs a new exception with the specified detail message and
     * cause.  <p>Note that the detail message associated with
     * <code>cause</code> is <i>not</i> automatically incorporated in
     * this exception's detail message.
     *
     * @param  message the detail message (which is saved for later retrieval
     *         by the {@link #getMessage()} method).
     * @param  cause the cause (which is saved for later retrieval by the
     *         {@link #getCause()} method).  (A <tt>null</tt> value is
     *         permitted, and indicates that the cause is nonexistent or
     *         unknown.)
     * @since  1.4
     */
    public XMLException(String message, Throwable cause) {
        super(message, cause);
    }


}
