package com.onaro.util;

import java.util.Comparator;

/**
 * Compares two arrays based on their content
 */
public class ArrayComparator<E extends Comparable<E>> implements Comparator<E[]> {
    public int compare(E[] sa1, E[] sa2) {
        int minLength = Math.min(sa1.length, sa2.length);

        for (int i = 0; i < minLength; ++i) {
            if (sa1[i] == null || sa2[i] == null) {
                if (sa1[i] == null && sa2[i] != null)
                    return -1;

                if (sa1[i] != null && sa2[i] == null)
                    return 1;

                // (sa1[i] == null && sa2[i] == null)
                continue;
            }

            int c = sa1[i].compareTo(sa2[i]);
            if (c != 0)
                return c;
        }

        return sa1.length - sa2.length;
    }
}
