package com.onaro.util;

import org.apache.log4j.Logger;

import java.io.UnsupportedEncodingException;
import java.util.zip.CRC32;

public final class CrcCalculator {
    public static long calculateCRC(final StringBuilder sb) {
        try {
            final CRC32 crc = new CRC32();
            crc.update(sb.toString().getBytes("utf-8"));

            return crc.getValue();
        }
        catch (UnsupportedEncodingException e1) {
            throw new RuntimeException(e1);
        }
    }

    public static long calculateCRC(final byte[] byteArray) {
        final CRC32 crc = new CRC32();
        crc.update(byteArray);
        return crc.getValue();
    }
}