package com.onaro.util;

import java.util.HashSet;
import java.util.Set;

/**
 * This class is used to filter out devices reported by data sources
 */
public class DeviceFilter {
    private Set<String> devices = new HashSet<String>(10);

    /**
     * @param filterList List of device identifiers (seperated by ',' or ';')
     */
    public DeviceFilter(final String filterList) {
        final String[] parts = filterList.split(",|;");
        for (String part : parts){
            part = part.trim();
            if (part.length() > 0)
                 devices.add(part);
        }
    }

    public boolean contains(final String device) {
        return devices.contains(device);
    }

    public Set<String> getDevices() {
        return devices;
    }
}
