#!/bin/bash

ACQ_DIR="/opt/netapp/essentials/au"

MAINClass="com.onaro.sanscreen.acquisition.framework.Main"

ACQArgs="Stop"

if [ ! -n "$OCIE_SERVER_NAME" ] ; then
  OCIE_SERVER_NAME=localhost
fi

## Classpath
Classpath="$ACQ_DIR/conf"
Classpath="$Classpath:$ACQ_DIR/*"
Classpath="$Classpath:$ACQ_DIR/lib/*"
Classpath="$Classpath:$ACQ_DIR/lib/xml/xerces/*"
Classpath="$Classpath:$ACQ_DIR/lib/xml/jdom/*"
Classpath="$Classpath:$ACQ_DIR/lib/jboss/client/*"
Classpath="$Classpath:$ACQ_DIR/lib/xml-3rd/*"
Classpath="$Classpath:$ACQ_DIR/lib/shared/*"
Classpath="$Classpath:$ACQ_DIR/../jboss/common/lib/*"


#echo "#################################################"
#echo "Classpath:"
#echo $Classpath
#echo "#################################################"
#echo ""
#echo ""

## JVM Args
JVMArgs="$JVMArgs -Dlog4j.configuration=debug.xml"
JVMArgs="$JVMArgs -Donaro.home=/opt/netapp/essentials"
JVMArgs="$JVMArgs -Dcodebase=https://$OCIE_SERVER_NAME:443"
JVMArgs="$JVMArgs -Djava.library.path=$ACQ_DIR/bin"
JVMArgs="$JVMArgs -Dacq.home=$ACQ_DIR"
JVMArgs="$JVMArgs -Djavax.xml.transform.TransformerFactory=com.icl.saxon.TransformerFactoryImpl"
JVMArgs="$JVMArgs -Djava.security.properties=$ACQ_DIR/conf/java.security"
#JVMArgs="$JVMArgs -Dcom.sun.management.jmxremote=true"
#JVMArgs="$JVMArgs -Dcom.sun.management.jmxremote.port=5679"
#JVMArgs="$JVMArgs -Dcom.sun.management.jmxremote.ssl=false"
#JVMArgs="$JVMArgs
# -Dcom.sun.management.jmxremote.authenticate=false"
JVMArgs="$JVMArgs -Xmx2163m"
JVMArgs="$JVMArgs -Xms256m"
JVMArgs="$JVMArgs -XX:PermSize=64m"
JVMArgs="$JVMArgs -XX:MaxPermSize=256m"
JVMArgs="$JVMArgs -classpath $Classpath"
JVMArgs="$JVMArgs -Dno.trap=false"

#Debugging
#JVMArgs="$JVMArgs -Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8787"

#echo "#################################################"
#echo "JVM Args:"
#echo $JVMArgs
#echo "#################################################"
#echo ""
#echo ""

#echo "#################################################"
#echo "ACQ Args:"
#echo $ACQArgs
#echo "#################################################"
#echo ""
#echo ""


#echo java $JVMArgs -cp $Classpath $MAINClass $ACQArgs
#echo ""
sudo -u jboss java $JVMArgs -cp $Classpath $MAINClass $ACQArgs &
